INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis) 
VALUES ('ABO', 'ABO formát', NULL, NULL, NULL, 'elektronický abo formát', NULL, true, 9999, 0, 'abo.xml', NULL, 'abo.xml', 'kpc', 'gpc');
INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis, kodovaniVypis, priprikazzahr)
VALUES ('MLT-1250', 'MultiCash (windows-1250)', NULL, NULL, NULL, 'MultiCash formát', NULL, true, 9999, 0, 'multicache.xml', 'multicache-zahranicni.xml', 'multicache.xml', 'cfd', 'sta', 'windows-1250', 'cfa');
INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis) 
VALUES ('CITY', 'Citibank', NULL, NULL, NULL, 'Formát citibank', NULL, true, 9999, 0, 'citybank.xml', 'citybank-zahranicni.xml', 'citybank.xml', 'txt', 'csv');
INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis) 
VALUES ('CITY-DIR', 'Citibank direct', NULL, NULL, NULL, 'Formát citibank-direct', NULL, true, 9999, 0, 'citybank-direct.xml', 'citybank-direct-zahranicni.xml', 'citybank-direct.xml', 'imp', 'dsk');

INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis, kodovaniVypis, priprikazzahr)
VALUES ('MLT-UTF', 'MultiCash (UTF-8)', NULL, NULL, NULL, 'MultiCash formát', NULL, true, 9999, 0, 'multicache.xml', 'multicache-zahranicni.xml', 'multicache.xml', 'cfd', 'sta', 'UTF-8', 'cfa');
INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis, kodovaniVypis, priprikazzahr)
VALUES ('MLT-852', 'MultiCash (cp852)', NULL, NULL, NULL, 'MultiCash formát', NULL, true, 9999, 0, 'multicache.xml', 'multicache-zahranicni.xml', 'multicache.xml', 'cfd', 'sta', 'cp852', 'cfa');

INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis, kodovaniVypis)
VALUES ('KB-BEST', 'KB Best', NULL, NULL, NULL, 'Formát Best Komerční banky', NULL, true, 9999, 0, 'kbbest.xml', 'kbbest-zahranicni.xml', 'kbbest.xml', '', 'kmo', 'windows-1250');

INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis)
VALUES ('SIPO', 'Sipo', NULL, NULL, NULL, NULL, NULL, true, 9999, 0, NULL, NULL, 'sipo.xml', '', 'txt');

INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis)
VALUES ('GEMINI', 'Gemini', NULL, NULL, NULL, NULL, NULL, true, 9999, 0, 'gemini.xml', 'gemini-zahranicni.xml', 'gemini.xml', 'p01', 'txt');
INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis)
VALUES ('PAYPAL', 'PayPal', NULL, NULL, NULL, NULL, NULL, true, 9999, 0, null, null, 'paypal.xml', '', 'csv');

INSERT INTO delbanformat (lastupdate, kod, nazev, show, platiod, platido, privypis, formatvypis)
 VALUES ('2008-01-01 00:00:00.000', 'POSTA-SBD', 'Rozpis plateb bezdokladových dobírek', true, 0, 9999, 'sbdt*', 'posta-sbd.xml');
INSERT INTO delbanformat (lastupdate, kod, nazev, show, platiod, platido, privypis, formatvypis)
 VALUES ('2008-01-01 00:00:00.000', 'POSTA-S', 'Poštovní poukázka A', true, 0, 9999, 's*', 'posta-s.xml');

INSERT INTO delbanformat (lastupdate, kod, nazev, show, platiod, platido, privypis, formatvypis)
 VALUES ('2013-11-22 00:00:00.000', 'GEMINI-XML', 'Gemini XML', true, 0, 9999, 'xml', 'gemini-xml.xslt');

INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis, kodovaniVypis, priprikazzahr)
VALUES ('MLT-UTF-16LE', 'MultiCash (UTF-16LE)', NULL, NULL, NULL, 'MultiCash formát', NULL, true, 9999, 0, 'multicache.xml', 'multicache-zahranicni.xml', 'multicache.xml', 'cfd', 'sta', 'UTF-16LE', 'cfa');

INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis) 
VALUES ('SEPA_XML-CAMT.053', 'SEPA XML - camt.053 v02|pain.001 v03', NULL, NULL, NULL, 'Mezinárodní formát XML výpisů (camt.053.001.02) a příkazů (pain.001.001.03)', NULL, true, 9999, 0, 'pain001.xslt', '', 'camt_053.xslt', 'xml', 'xml');

INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis) 
VALUES ('SEPA_XML-CAMT.053_06', 'SEPA XML - camt.053 v06|pain.001 v03', NULL, NULL, NULL, 'Mezinárodní formát XML výpisů (camt.053.001.06) a příkazů (pain.001.001.03)', NULL, true, 9999, 0, 'pain001.xslt', '', 'camt_053_06.xslt', 'xml', 'xml');