/* Typy dokladu pro prispevkove a rozpoctove organizace */

-- Interní doklady
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'INT. DOKLAD', 'Standardní interní doklad', true, 'INT', true, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_INT'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, 'CZ_ROZ_INT_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'KUR.ROZ.ZTRÁTA', 'Účtování kurzového rozdílu - ztráta', true, 'INT', true, false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_INT'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_INT_KURROZ_ZTRATA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, 'CZ_ROZ_INT_KURROZ_ZTRATA');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'KUR.ROZ.ZISK', 'Účtování kurzového rozdílu - výnos', true, 'INT', true, false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_INT'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_INT_KURROZ_ZISK'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, 'CZ_ROZ_INT_KURROZ_ZISK');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'ZBYTEK NÁKLAD', 'Zaúčtování zbytku úhrady - ztráta', true, 'INT', true, false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_INT'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_INT_ZBYTEK_NAKLAD'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, 'CZ_ROZ_INT_ZBYTEK_NAKLAD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'ZBYTEK VÝNOS', 'Zaúčtování zbytku úhrady - výnos', true, 'INT', true, false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_INT'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_INT_ZBYTEK_VYNOS'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, 'CZ_ROZ_INT_ZBYTEK_VYNOS');

-- Sklad
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idtypucopp, idtypucopv, idtyporg, uuid)
 VALUES ('2010-12-02 00:00:00.000', 'STANDARD', 'Standardní skladový pohyb', true, 'SKL', true, false, 0.0, false, false, false, false, 0, 9999, (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_SKL_ZBOZIP'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_SKL_ZBOZIV'), 2, 'CZ_ROZ_SKL_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idtypucopp, idtypucopv, idtyporg, uuid)
 VALUES ('2010-12-02 00:00:00.000', 'PŘEVODKA', 'Převodový pohyb', true, 'SKL', true, false, 0.0, false, false, false, false, 0, 9999, (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_SKL_ZBOZIP'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_SKL_ZBOZIV'), 2, 'CZ_ROZ_SKL_PREVODKA');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idtypucopp, idtypucopv, idtyporg, uuid)
 VALUES ('2010-12-02 00:00:00.000', 'VÝROBA', 'Výroba', true, 'SKL', true, false, 0.0, false, false, false, false, 0, 9999, (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_SKL_ZBOZIP'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_SKL_ZBOZIV'), 2, 'CZ_ROZ_SKL_VYROBA');

-- Banka
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idstatdph, idtyporg, uuid)
 VALUES ('2010-12-02 00:00:00.000', 'STANDARD', 'Standardní bankovní pohyb', true, 'BAN', true, 'typBanUctu.kc', false, 0.0, false, false, false, false, 0, 9999, (select IdStatu from aStaty where uuid like '%_CZ'), 2, 'CZ_ROZ_BAN_STD');

-- Pokladna
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, formauhrk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idstatdph, idtyporg, idtypprotidokladuprijem, idtypprotidokladuvydej, idformauhradycis, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'STANDARD', 'Standardní pokladní pohyb', true, 'POK', true, false, 0.0, 'formaUhr.hotove', true, false, false, false, 0, 9999, (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_SKL_STD'), (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_SKL_STD'), (select IdFormaUhradyCis from dFormaUhradyCis where uuid = 'HOTOVE'), 'CZ_ROZ_POK_STD');

-- Faktury vydané
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, zaokrjaksumk, zaokrnasumk, zaokrjakdphk, zaokrnadphk, splatdny, formauhrk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idprimucet, idmeny, idstatdph, idtyporg, idtypprotidokladuvydej, idbspban, idformauhradycis, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'FAKTURA', 'Faktura - daňový doklad', true, 'FAV', true, 'typDokladu.faktura', false, 0.0, 'zaokrJak.matem', 'zaokrNa.jednotky', 'zaokrJak.matem', 'zaokrNa.setiny', 14, 'formaUhr.prevod', true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_FAV_STD'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdUcet from uUcty where uuid = 'CZ_ROZ_311001'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_SKL_STD'), (select IdBsp from dBsp where uuid = 'CZ_ROZ_BAN_STD'), (select IdFormaUhradyCis from dFormaUhradyCis where uuid = 'PREVOD'), 'CZ_ROZ_FAV_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, zaokrjaksumk, zaokrnasumk, zaokrjakdphk, zaokrnadphk, formauhrk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idstatdph, idtyporg, idbspban, idformauhradycis, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'ZÁLOHA', 'Záloha - není daňový doklad !', true, 'FAV', false, 'typDokladu.zalohFaktura', false, 0.0, 'zaokrJak.matem', 'zaokrNa.jednotky', 'zaokrJak.matem', 'zaokrNa.setiny', 'formaUhr.prevod', false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_FAV_ZAL'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdBsp from dBsp where uuid = 'CZ_ROZ_BAN_STD'), (select IdFormaUhradyCis from dFormaUhradyCis where uuid = 'PREVOD'), 'CZ_ROZ_FAV_ZAL');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, zaokrjaksumk, zaokrnasumk, zaokrjakdphk, zaokrnadphk, formauhrk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idprimucet, idtypucopp, idmeny, idstatdph, idtyporg, idtypprotidokladuvydej, idbspban, idformauhradycis, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'ZDD', 'Zálohový daňový doklad', true, 'FAV', true, 'typDokladu.zdd', false, 0.0, 'zaokrJak.matem', 'zaokrNa.jednotky', 'zaokrJak.matem', 'zaokrNa.setiny', 'formaUhr.prevod', true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_FAV_STD'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdUcet from uUcty where uuid = 'CZ_ROZ_324001'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_FAV_ZALOHA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_SKL_STD'), (select IdBsp from dBsp where uuid = 'CZ_ROZ_BAN_STD'), (select IdFormaUhradyCis from dFormaUhradyCis where uuid = 'PREVOD'), 'CZ_ROZ_FAV_ZDD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, zaokrjaksumk, zaokrnasumk, zaokrjakdphk, zaokrnadphk, splatdny, formauhrk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idkonsym, idprimucet, idmeny, idstatdph, idtyporg, idtypprotidokladuprijem, idbspban, idformauhradycis, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'DOBROPIS', 'Dobropis', true, 'FAV', true, 'typDokladu.dobropis', false, 0.0, 'zaokrJak.matem', 'zaokrNa.jednotky', 'zaokrJak.matem', 'zaokrNa.setiny', 14, 'formaUhr.prevod', true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_FAV_STD'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdKonSym from dKonSym where uuid = 'CZ_0008'), (select IdUcet from uUcty where uuid = 'CZ_ROZ_311001'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_SKL_STD'), (select IdBsp from dBsp where uuid = 'CZ_ROZ_BAN_STD'), (select IdFormaUhradyCis from dFormaUhradyCis where uuid = 'PREVOD'), 'CZ_ROZ_FAV_DOBROPIS');

-- Faktury přijaté
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idprimucet, idmeny, idstatdph, idtyporg, idtypprotidokladuprijem, idbspban, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'FAKTURA', 'Faktura - daňový doklad', true, 'FAP', true, 'typDokladu.faktura', false, 0.0, true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_FAP_STD'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdUcet from uUcty where uuid = 'CZ_ROZ_321001'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_SKL_STD'), (select IdBsp from dBsp where uuid = 'CZ_ROZ_BAN_STD'), 'CZ_ROZ_FAP_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idstatdph, idtyporg, idbspban, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'ZÁLOHA', 'Zálohová faktura', true, 'FAP', false, 'typDokladu.zalohFaktura', false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_FAP_ZAL'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdBsp from dBsp where uuid = 'CZ_ROZ_BAN_STD'), 'CZ_ROZ_FAP_ZAL');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idprimucet, idtypucopv, idmeny, idstatdph, idtyporg, idtypprotidokladuprijem, idbspban, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'ZDD', 'Zálohový daňový doklad', true, 'FAP', true, 'typDokladu.zdd', false, 0.0, true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_FAP_STD'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdUcet from uUcty where uuid = 'CZ_ROZ_314001'), (select IdTypUcOp from uTypUcOp where uuid = 'CZ_ROZ_TUO_FAP_ZALOHA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_SKL_STD'), (select IdBsp from dBsp where uuid = 'CZ_ROZ_BAN_STD'), 'CZ_ROZ_FAP_ZDD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idprimucet, idmeny, idstatdph, idtyporg, idtypprotidokladuprijem, idbspban, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'DOBROPIS', 'Dobropis', true, 'FAP', true, 'typDokladu.dobropis', false, 0.0, true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_FAP_STD'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdUcet from uUcty where uuid = 'CZ_ROZ_321001'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_SKL_STD'), (select IdBsp from dBsp where uuid = 'CZ_ROZ_BAN_STD'), 'CZ_ROZ_FAP_DOBROPIS');

-- Ostatní pohledávky & závazky
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'OST. POHLEDÁVKY', 'Ostatní pohledávky', true, 'PHL', true, 'typDokladu.faktura', true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_PHL'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 1, 'CZ_ROZ_PHL_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idstatdph, idtyporg, idbspban, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'OST. ZÁVAZKY', 'Ostatní závazky', true, 'ZAV', true, 'typDokladu.faktura', true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAV'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 1, (select IdBsp from dBsp where uuid = 'CZ_ROZ_BAN_STD'), 'CZ_ROZ_ZAV_STD');

-- Obchodní moduly
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'POP', 'Poptávka přijatá', true, 'PPP', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_PPP'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), 2, 'CZ_ROZ_POP_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'NAV', 'Nabídka vydaná', true, 'NAV', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_NAV'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), 2, 'CZ_ROZ_NAV_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, zaokrjaksumk, zaokrnasumk, zaokrjakdphk, zaokrnadphk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'OBP', 'Objednávka přijatá', true, 'OBP', false, true, 0.0, 'zaokrJak.matem', 'zaokrNa.jednotky', 'zaokrJak.matem', 'zaokrNa.setiny', false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_OBP'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), 2, 'CZ_ROZ_OBP_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'POV', 'Poptávka vydaná', true, 'PPV', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_PPV'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), 2, 'CZ_ROZ_POV_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'NAP', 'Nabídka přijatá', true, 'NAP', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_NAP'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), 2, 'CZ_ROZ_NAP_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'OBV', 'Objednávka vydaná', true, 'OBV', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_OBV'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), 2, 'CZ_ROZ_OBV_STD');

-- Prodejní pokladna
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idprimucet, idmeny, idstatdph, idtyporg, idtypdoklpok, idbspskl, idtypprotidokladuvydej, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'KASA', 'Kasa', true, 'FAV', true, 'typDokladu.prodejka', false, 0.0, true, false, true, false, 0, 9999, (select IdRady from dRady where uuid = 'CZ_KASA'), (select IdStred from uStrediska where uuid = 'CZ_CENTRALA'), (select IdUcet from uUcty where uuid = 'CZ_ROZ_261001'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_POK_STD'), (select IdBsp from dBsp where uuid = 'CZ_ROZ_SKL_STD'), (select IdTypDokl from dTypDokl where uuid = 'CZ_ROZ_SKL_STD'), 'CZ_ROZ_KASA');

-- Vzájemné zápočty
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idradyvydej, idprimucet, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2010-10-19 00:00:00.000', 'ZAPOCET', 'Zápočet', true, 'BAN', true, 'typBanUctu.kc', false, 0.0, false, false, false, true, 0, 9999, (select IdRady from dRady where uuid = 'CZ_ZAPOCET_PLUS'), (select IdRady from dRady where uuid = 'CZ_ZAPOCET_MINUS'), (select IdUcet from uUcty where uuid = 'CZ_ROZ_395001'), (select IdMeny from uMeny where uuid = 'CZ_CZK'), (select IdStatu from aStaty where uuid like '%_CZ'), 2, 'CZ_ROZ_ZAPOCET');

-- Mzdy




 
