/* Typy dokladu pro slovenske podnikatele */
-- Sklad
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idtypucopp, idtypucopv, idtyporg, uuid)
 VALUES ('2010-12-02 00:00:00.000', 'STANDARD', 'Štandardný skladový pohyb', true, 'SKL', true, false, 0.0, false, false, false, false, 0, 9999, (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_SKL_ZBOZIP'), (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_SKL_ZBOZIV'), 3, 'SK_POD_SKL_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idtypucopp, idtypucopv, idtyporg, uuid)
 VALUES ('2010-12-02 00:00:00.000', 'PREVODKA', 'Prevodový pohyb', true, 'SKL', true, false, 0.0, false, false, false, false, 0, 9999, (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_SKL_ZBOZIP'), (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_SKL_ZBOZIV'), 3, 'SK_POD_SKL_PREVODKA');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idtypucopp, idtypucopv, idtyporg, uuid)
 VALUES ('2010-12-02 00:00:00.000', 'VÝROBA', 'Výroba', true, 'SKL', true, false, 0.0, false, false, false, false, 0, 9999, (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_SKL_ZBOZIP'), (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_SKL_ZBOZIV'), 3, 'SK_POD_SKL_VYROBA');

-- Banka
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idstatdph, idtyporg, uuid)
 VALUES ('2010-12-02 00:00:00.000', 'STANDARD', 'Štandardný bankovní pohyb', true, 'BAN', true, 'typBanUctu.kc', false, 0.0, false, false, false, false, 0, 9999, (select IdStatu from aStaty where uuid like '%_SK'), 3, 'SK_POD_BAN_STD');

-- Pokladna
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, formauhrk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idstatdph, idtyporg, idtypprotidokladuprijem, idtypprotidokladuvydej, idformauhradycis, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'STANDARD', 'Štandardný pokladní pohyb', true, 'POK', true, false, 0.0, 'formaUhr.hotove', true, false, false, false, 0, 9999, (select IdStatu from aStaty where uuid like '%_SK'), 3, (select IdTypDokl from dTypDokl where uuid = 'SK_POD_SKL_STD'), (select IdTypDokl from dTypDokl where uuid = 'SK_POD_SKL_STD'), (select IdFormaUhradyCis from dFormaUhradyCis where uuid = 'HOTOVE'), 'SK_POD_POK_STD');

-- Faktury vydané
INSERT INTO dtypdokl (lastupdate, kod, nazev, popis, show, modul, ucetni, typdoklk, primarni, slevadokl, zaokrjaksumk, zaokrnasumk, zaokrjakdphk, zaokrnadphk, splatdny, formauhrk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idkonsym, idprimucet, idmeny, idstatdph, idtyporg, idtypprotidokladuvydej, idbspban, idformauhradycis, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'FAKTURA', 'Faktúra - daňový doklad', 'Typ dokladu pro standardní fakturu', true, 'FAV', true, 'typDokladu.faktura', false, 0.0, 'zaokrJak.matem', 'zaokrNa.setiny', 'zaokrJak.matem', 'zaokrNa.setiny', 14, 'formaUhr.prevod', true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_FAV_STD'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdKonSym from dKonSym where uuid = 'SK_0008'), (select IdUcet from uUcty where uuid = 'SK_POD_311001'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, (select IdTypDokl from dTypDokl where uuid = 'SK_POD_SKL_STD'), (select IdBsp from dBsp where uuid = 'SK_POD_BAN_STD'), (select IdFormaUhradyCis from dFormaUhradyCis where uuid = 'PREVOD'), 'SK_POD_FAV_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, zaokrjaksumk, zaokrnasumk, zaokrjakdphk, zaokrnadphk, formauhrk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idstatdph, idtyporg, idbspban, idformauhradycis, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'ZÁLOHA', 'Záloha - nie je daňový doklad !', true, 'FAV', false, 'typDokladu.zalohFaktura', false, 0.0, 'zaokrJak.matem', 'zaokrNa.setiny', 'zaokrJak.matem', 'zaokrNa.setiny', 'formaUhr.prevod', false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_FAV_ZAL'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, (select IdBsp from dBsp where uuid = 'SK_POD_BAN_STD'), (select IdFormaUhradyCis from dFormaUhradyCis where uuid = 'PREVOD'), 'SK_POD_FAV_ZAL');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, zaokrjaksumk, zaokrnasumk, zaokrjakdphk, zaokrnadphk,  formauhrk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, idtypprotidokladuvydej, idbspban, idformauhradycis, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'ZDD', 'Zálohový daňový doklad', true, 'FAV', true, 'typDokladu.zdd', false, 0.0, 'zaokrJak.matem', 'zaokrNa.setiny', 'zaokrJak.matem', 'zaokrNa.setiny', 'formaUhr.prevod', true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_FAV_STD'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_FAV_ZALOHA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, (select IdTypDokl from dTypDokl where uuid = 'SK_POD_SKL_STD'), (select IdBsp from dBsp where uuid = 'SK_POD_BAN_STD'), (select IdFormaUhradyCis from dFormaUhradyCis where uuid = 'PREVOD'), 'SK_POD_FAV_ZDD');

-- Faktury přijaté
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idprimucet, idmeny, idstatdph, idtyporg, idtypprotidokladuprijem, idbspban, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'FAKTURA', 'Faktúra - daňový doklad', true, 'FAP', true, 'typDokladu.faktura', false, 0.0, true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_FAP_STD'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdUcet from uUcty where uuid = 'SK_POD_321001'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, (select IdTypDokl from dTypDokl where uuid = 'SK_POD_SKL_STD'), (select IdBsp from dBsp where uuid = 'SK_POD_BAN_STD'), 'SK_POD_FAP_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idstatdph, idtyporg, idbspban, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'ZÁLOHA', 'Zálohová faktúra', true, 'FAP', false, 'typDokladu.zalohFaktura', false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_FAP_ZAL'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, (select IdBsp from dBsp where uuid = 'SK_POD_BAN_STD'), 'SK_POD_FAP_ZAL');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idtypucopv, idmeny, idstatdph, idtyporg, idtypprotidokladuprijem, idbspban, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'ZDD', 'Zálohový daňový doklad', true, 'FAP', true, 'typDokladu.zdd', false, 0.0, true, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_FAP_STD'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_FAP_ZALOHA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, (select IdTypDokl from dTypDokl where uuid = 'SK_POD_SKL_STD'), (select IdBsp from dBsp where uuid = 'SK_POD_BAN_STD'), 'SK_POD_FAP_ZDD');

-- Ostatní pohledávky & závazky
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'OST. POHĽADÁVKY', 'Ostatné pohľadávky', true, 'PHL', true, 'typDokladu.faktura', true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_PHL'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, 'SK_POD_PHL_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idstatdph, idtyporg, idbspban, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'OST. ZÁVÄZKY', 'Ostatné záväzky', true, 'ZAV', true, 'typDokladu.faktura', true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_ZAV'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, (select IdBsp from dBsp where uuid = 'SK_POD_BAN_STD'), 'SK_POD_ZAV_STD');

-- Interní doklady
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'INT. DOKLAD', 'Standardní interní doklad', true, 'INT', true, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_INT'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, 'SK_POD_INT_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'KUR.ROZ.ZTRÁTA', 'Účtovanie kurzových rozdielu - ztráta', true, 'INT', true, false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_INT'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_INT_KURROZ_ZTRATA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, 'SK_POD_INT_KURROZ_ZTRATA');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'KUR.ROZ.ZISK', 'Účtovanie kurzových rozdielu - výnos', true, 'INT', true, false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_INT'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_INT_KURROZ_ZISK'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, 'SK_POD_INT_KURROZ_ZISK');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'ZBYTEK NÁKLAD', 'Zúčtovanie zbytku úhrady - ztráta', true, 'INT', true, false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_INT'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_INT_ZBYTEK_NAKLAD'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, 'SK_POD_INT_ZBYTEK_NAKLAD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2009-05-06 00:00:00.000', 'ZBYTEK VÝNOS', 'Zúčtovanie zbytku úhrady - výnos', true, 'INT', true, false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_INT'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdTypUcOp from uTypUcOp where uuid = 'SK_POD_TUO_INT_ZBYTEK_VYNOS'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, 'SK_POD_INT_ZBYTEK_VYNOS');
INSERT INTO dtypdokl (lastupdate, kod, nazev, popis, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idtypucopp, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2015-12-10 00:00:00.000', 'POM. DOKL. DPH', 'Pomocný doklad pre DPH', 'Pomocný doklad pre DPH', true, 'INT', true, false, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_INT'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), null, (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, 'SK_POM_DOKL_DPH');
 
-- Obchodní moduly
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'NAP', 'Prijaté ponuky', true, 'NAP', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_NAP'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), 3, 'SK_POD_NAP_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'NAV', 'Vydané ponuky', true, 'NAV', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_NAV'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), 3, 'SK_POD_NAV_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, zaokrjaksumk, zaokrnasumk, zaokrjakdphk, zaokrnadphk, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'OBP', 'Prijaté objednávky', true, 'OBP', false, true, 0.0, 'zaokrJak.matem', 'zaokrNa.setiny', 'zaokrJak.matem', 'zaokrNa.setiny', false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_OBP'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), 3, 'SK_POD_OBP_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'OBV', 'Vydané objednávky', true, 'OBV', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_OBV'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), 3, 'SK_POD_OBV_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'POP', 'Prijaté dopyty', true, 'PPP', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_PPP'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), 3, 'SK_POD_PPP_STD');
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyvydej, idstred, idmeny, idtyporg, uuid)
 VALUES ('2010-05-13 00:00:00.000', 'POV', 'Vydané dopyty', true, 'PPV', false, true, 0.0, false, false, false, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_PPV'), (select IdStred from uStrediska where uuid = 'SK_CENTRALA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), 3, 'SK_POD_PPV_STD');

-- Prodejni pokladna
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idmeny, idstatdph, idtyporg, idtypdoklpok, idbspskl, idtypprotidokladuvydej, uuid)
 VALUES ('2010-12-07 00:00:00.000', 'KASA', 'Kasa', true, 'FAV', true, 'typDokladu.prodejka', false, 0.0, true, false, true, false, 0, 9999, (select IdRady from dRady where uuid = 'SK_KASA'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, (select IdTypDokl from dTypDokl where uuid = 'SK_POD_POK_STD'), (select IdBsp from dBsp where uuid = 'SK_POD_SKL_STD'), (select IdTypDokl from dTypDokl where uuid = 'SK_POD_SKL_STD'), 'CZ');

-- Vzajemne zapocty
INSERT INTO dtypdokl (lastupdate, kod, nazev, show, modul, ucetni, typdoklk, primarni, slevadokl, generovatskl, tiskautomat, prodejka, zapocet, platiod, platido, idradyprijem, idradyvydej, idprimucet, idmeny, idstatdph, idtyporg, uuid)
 VALUES ('2010-07-23 00:00:00.000', 'ZAPOCET', 'Zápočet', true, 'BAN', true, 'typBanUctu.kc', false, 0.0, false, false, false, true, 0, 9999, (select IdRady from dRady where uuid = 'SK_ZAPOCET_PLUS'), (select IdRady from dRady where uuid = 'SK_ZAPOCET_MINUS'), (select IdUcet from uUcty where uuid = 'SK_POD_395000'), (select IdMeny from uMeny where uuid = 'SK_EUR'), (select IdStatu from aStaty where uuid like '%_SK'), 3, 'SK_ZAPOCET');
