-- vytvoreni funkce, generujici pro zadanou tabulku unikatni kod vychazejici ze
-- zadaneho kodu, pro potreby bugu 11684
CREATE OR REPLACE FUNCTION generateuniquekod(i_kod character varying, i_tablename character varying, infix character varying)
  RETURNS character varying AS $$
declare 
  _result varchar(20); 
  _resultExt varchar(20); 
  _pocet integer;
  _cislo integer;
begin
  -- pokud neexistuje vratime ho beze zmen
  execute 'select count(*) from '||i_tableName|| ' where kod = '''||i_kod||'''' into _pocet;
  if (_pocet = 0) then
    return i_kod;
  end if;

  _result = substring(i_kod, 0, 14);
  _resultExt = _result;
  _cislo = 2;
  execute 'select count(*) from '||i_tableName|| ' where kod = '''||_result||'''' into _pocet;
  while (_pocet > 0) loop
    _resultExt = _result||infix||_cislo;
    _cislo = _cislo + 1;
    execute 'select count(*) from '||i_tableName|| ' where kod = '''||_resultExt||'''' into _pocet;
  end loop;
  
  return _resultExt;
end;
$$ LANGUAGE plpgsql;