--------------------------------------------------------------------------------------
-- Bug 44711 - Při přepnutí objednávky do stavu storno se nezruší rezervace  
---------------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION ddoklobchupdaterezer()
  RETURNS trigger AS
$BODY$ 
begin 
  if (OLD.idFirmy <> NEW.idFirmy) then 
    update srezervace set idFirmy = NEW.idFirmy where idPolObch in (select idPolObch from dPolObch where idDoklObch = NEW.idDoklObch); 
  end if; 
    
  return NEW; 
end; 
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION ddoklobchupdaterezer() OWNER TO %firmaRole%;
-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 1000, 't', %appVersion%, clock_timestamp());
