-----------------------------------------------------------------------------------------
-- Bug 45359 - Zmenšit rozsah indexů pro pole Intrastat u dokladových tabulek pro zmenšení zabraného místa
-----------------------------------------------------------------------------------------

DROP INDEX IF EXISTS ddoklfak_iddodpodm_index;
DROP INDEX IF EXISTS ddoklfak_iddruhdopr_index;
DROP INDEX IF EXISTS ddoklfak_idkrajurc_index;
DROP INDEX IF EXISTS ddoklfak_idobchtrans_index;
DROP INDEX IF EXISTS ddoklfak_idstatodesl_index;
DROP INDEX IF EXISTS ddoklfak_idstatpuvod_index;
DROP INDEX IF EXISTS ddoklfak_idstaturc_index;
DROP INDEX IF EXISTS ddoklfak_idzvlpoh_index;

DROP INDEX IF EXISTS ddoklint_iddodpodm_index;
DROP INDEX IF EXISTS ddoklint_iddruhdopr_index;
DROP INDEX IF EXISTS ddoklint_idkrajurc_index;
DROP INDEX IF EXISTS ddoklint_idobchtrans_index;
DROP INDEX IF EXISTS ddoklint_idstatodesl_index;
DROP INDEX IF EXISTS ddoklint_idstatpuvod_index;
DROP INDEX IF EXISTS ddoklint_idstaturc_index;
DROP INDEX IF EXISTS ddoklint_idzvlpoh_index;

DROP INDEX IF EXISTS ddoklobch_iddodpodm_index;
DROP INDEX IF EXISTS ddoklobch_iddruhdopr_index;
DROP INDEX IF EXISTS ddoklobch_idkrajurc_index;
DROP INDEX IF EXISTS ddoklobch_idobchtrans_index;
DROP INDEX IF EXISTS ddoklobch_idstatodesl_index;
DROP INDEX IF EXISTS ddoklobch_idstatpuvod_index;
DROP INDEX IF EXISTS ddoklobch_idstaturc_index;
DROP INDEX IF EXISTS ddoklobch_idzvlpoh_index;

DROP INDEX IF EXISTS ddoklsklad_iddodpodm_index;
DROP INDEX IF EXISTS ddoklsklad_iddruhdopr_index;
DROP INDEX IF EXISTS ddoklsklad_idkrajurc_index;
DROP INDEX IF EXISTS ddoklsklad_idobchtrans_index;
DROP INDEX IF EXISTS ddoklsklad_idstatodesl_index;
DROP INDEX IF EXISTS ddoklsklad_idstatpuvod_index;
DROP INDEX IF EXISTS ddoklsklad_idstaturc_index;
DROP INDEX IF EXISTS ddoklsklad_idzvlpoh_index;


CREATE INDEX ddoklfak_iddodpodm_index ON ddoklfak USING btree (iddodpodm) WHERE iddodpodm IS NOT NULL;
CREATE INDEX ddoklfak_iddruhdopr_index ON ddoklfak USING btree (iddruhdopr) WHERE iddruhdopr IS NOT NULL;
CREATE INDEX ddoklfak_idkrajurc_index ON ddoklfak USING btree (idkrajurc) WHERE idkrajurc IS NOT NULL;
CREATE INDEX ddoklfak_idobchtrans_index ON ddoklfak USING btree (idobchtrans) WHERE idobchtrans IS NOT NULL;
CREATE INDEX ddoklfak_idstatodesl_index ON ddoklfak USING btree (idstatodesl) WHERE idstatodesl IS NOT NULL;
CREATE INDEX ddoklfak_idstatpuvod_index ON ddoklfak USING btree (idstatpuvod) WHERE idstatpuvod IS NOT NULL;
CREATE INDEX ddoklfak_idstaturc_index ON ddoklfak USING btree (idstaturc) WHERE idstaturc IS NOT NULL;
CREATE INDEX ddoklfak_idzvlpoh_index ON ddoklfak USING btree (idzvlpoh) WHERE idzvlpoh IS NOT NULL;

CREATE INDEX ddoklint_iddodpodm_index ON ddoklint USING btree (iddodpodm) WHERE iddodpodm IS NOT NULL;
CREATE INDEX ddoklint_iddruhdopr_index ON ddoklint USING btree (iddruhdopr) WHERE iddruhdopr IS NOT NULL;
CREATE INDEX ddoklint_idkrajurc_index ON ddoklint USING btree (idkrajurc) WHERE idkrajurc IS NOT NULL;
CREATE INDEX ddoklint_idobchtrans_index ON ddoklint USING btree (idobchtrans) WHERE idobchtrans IS NOT NULL;
CREATE INDEX ddoklint_idstatodesl_index ON ddoklint USING btree (idstatodesl) WHERE idstatodesl IS NOT NULL;
CREATE INDEX ddoklint_idstatpuvod_index ON ddoklint USING btree (idstatpuvod) WHERE idstatpuvod IS NOT NULL;
CREATE INDEX ddoklint_idstaturc_index ON ddoklint USING btree (idstaturc) WHERE idstaturc IS NOT NULL;
CREATE INDEX ddoklint_idzvlpoh_index ON ddoklint USING btree (idzvlpoh) WHERE idzvlpoh IS NOT NULL;

CREATE INDEX ddoklobch_iddodpodm_index ON ddoklobch USING btree (iddodpodm) WHERE iddodpodm IS NOT NULL;
CREATE INDEX ddoklobch_iddruhdopr_index ON ddoklobch USING btree (iddruhdopr) WHERE iddruhdopr IS NOT NULL;
CREATE INDEX ddoklobch_idkrajurc_index ON ddoklobch USING btree (idkrajurc) WHERE idkrajurc IS NOT NULL;
CREATE INDEX ddoklobch_idobchtrans_index ON ddoklobch USING btree (idobchtrans) WHERE idobchtrans IS NOT NULL;
CREATE INDEX ddoklobch_idstatodesl_index ON ddoklobch USING btree (idstatodesl) WHERE idstatodesl IS NOT NULL;
CREATE INDEX ddoklobch_idstatpuvod_index ON ddoklobch USING btree (idstatpuvod) WHERE idstatpuvod IS NOT NULL;
CREATE INDEX ddoklobch_idstaturc_index ON ddoklobch USING btree (idstaturc) WHERE idstaturc IS NOT NULL;
CREATE INDEX ddoklobch_idzvlpoh_index ON ddoklobch USING btree (idzvlpoh) WHERE idzvlpoh IS NOT NULL;

CREATE INDEX ddoklsklad_iddodpodm_index ON ddoklsklad USING btree (iddodpodm) WHERE iddodpodm IS NOT NULL;
CREATE INDEX ddoklsklad_iddruhdopr_index ON ddoklsklad USING btree (iddruhdopr) WHERE iddruhdopr IS NOT NULL;
CREATE INDEX ddoklsklad_idkrajurc_index ON ddoklsklad USING btree (idkrajurc) WHERE idkrajurc IS NOT NULL;
CREATE INDEX ddoklsklad_idobchtrans_index ON ddoklsklad USING btree (idobchtrans) WHERE idobchtrans IS NOT NULL;
CREATE INDEX ddoklsklad_idstatodesl_index ON ddoklsklad USING btree (idstatodesl) WHERE idstatodesl IS NOT NULL;
CREATE INDEX ddoklsklad_idstatpuvod_index ON ddoklsklad USING btree (idstatpuvod) WHERE idstatpuvod IS NOT NULL;
CREATE INDEX ddoklsklad_idstaturc_index ON ddoklsklad USING btree (idstaturc) WHERE idstaturc IS NOT NULL;
CREATE INDEX ddoklsklad_idzvlpoh_index ON ddoklsklad USING btree (idzvlpoh) WHERE idzvlpoh IS NOT NULL;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 1009, 't', %appVersion%, clock_timestamp());