----------------------------------------------------------
-- Bug 45518 - Opravy ISPV III.
----------------------------------------------------------
 create or replace function runupgrade()
   returns void as $$
 declare
   stat character varying(10);
 begin
   select a.uuid into stat from nnastav n 
     left join utyporg u on u.idtyporg = n.idtyporg
     left join astaty a on a.idstatu = u.idstatu
   order by coalesce(n.platioddata, '1900-01-01') desc limit 1;
 
   if (stat = 'CZ_CZ') then
        INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
            VALUES (390, '2016-06-03 00:00:00.000', 'NÁHRADA ZA SVÁTEK Q', 'Celková náhrada za svátek (za čtvrtletí)', '', true, 11, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, true, false, true, false, false, false, false, false, true, true, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true, true, false, false, false, 'NAHRADA_ZA_SVATEK_Q');

        UPDATE pmzdcalc SET cisrad = 599 WHERE idmzdcalc = 7276;
        UPDATE pmzdcalc SET cisrad = 600 WHERE idmzdcalc = 7277;
        UPDATE pmzdcalc SET cisrad = 601 WHERE idmzdcalc = 7278;
        UPDATE pmzdcalc SET cisrad = 602 WHERE idmzdcalc = 7279;
        UPDATE pmzdcalc SET cisrad = 603 WHERE idmzdcalc = 7280;
        UPDATE pmzdcalc SET cisrad = 604 WHERE idmzdcalc = 7281;
        UPDATE pmzdcalc SET cisrad = 605 WHERE idmzdcalc = 7282;
        UPDATE pmzdcalc SET cisrad = 606 WHERE idmzdcalc = 7283;
        UPDATE pmzdcalc SET cisrad = 607 WHERE idmzdcalc = 7284;
        UPDATE pmzdcalc SET cisrad = 608 WHERE idmzdcalc = 7285;
        UPDATE pmzdcalc SET cisrad = 609 WHERE idmzdcalc = 7286;
        UPDATE pmzdcalc SET cisrad = 610 WHERE idmzdcalc = 7287;
        UPDATE pmzdcalc SET cisrad = 611 WHERE idmzdcalc = 7288;
        UPDATE pmzdcalc SET cisrad = 612 WHERE idmzdcalc = 7289;
        UPDATE pmzdcalc SET cisrad = 613 WHERE idmzdcalc = 7290;
        UPDATE pmzdcalc SET cisrad = 614 WHERE idmzdcalc = 7291;
        UPDATE pmzdcalc SET cisrad = 615 WHERE idmzdcalc = 7292;
        UPDATE pmzdcalc SET cisrad = 616 WHERE idmzdcalc = 7293;
        UPDATE pmzdcalc SET cisrad = 617 WHERE idmzdcalc = 7294;
        UPDATE pmzdcalc SET cisrad = 618 WHERE idmzdcalc = 7295;
        UPDATE pmzdcalc SET cisrad = 619 WHERE idmzdcalc = 7296;
        UPDATE pmzdcalc SET cisrad = 632 WHERE idmzdcalc = 7297;
        UPDATE pmzdcalc SET cisrad = 633 WHERE idmzdcalc = 7298;
        UPDATE pmzdcalc SET cisrad = 634 WHERE idmzdcalc = 7299;
        UPDATE pmzdcalc SET cisrad = 635 WHERE idmzdcalc = 7300;
        UPDATE pmzdcalc SET cisrad = 636 WHERE idmzdcalc = 7301;
        UPDATE pmzdcalc SET cisrad = 637 WHERE idmzdcalc = 7302;
        UPDATE pmzdcalc SET cisrad = 638 WHERE idmzdcalc = 7303;
        UPDATE pmzdcalc SET cisrad = 639 WHERE idmzdcalc = 7304;
        UPDATE pmzdcalc SET cisrad = 640 WHERE idmzdcalc = 7305;
        UPDATE pmzdcalc SET cisrad = 641 WHERE idmzdcalc = 7306;
        UPDATE pmzdcalc SET cisrad = 642 WHERE idmzdcalc = 7307;
        UPDATE pmzdcalc SET cisrad = 643 WHERE idmzdcalc = 7308;
        UPDATE pmzdcalc SET cisrad = 644 WHERE idmzdcalc = 7309;
        UPDATE pmzdcalc SET cisrad = 645 WHERE idmzdcalc = 7310;
        UPDATE pmzdcalc SET cisrad = 646 WHERE idmzdcalc = 7311;
        UPDATE pmzdcalc SET cisrad = 647 WHERE idmzdcalc = 7312;
        UPDATE pmzdcalc SET cisrad = 648 WHERE idmzdcalc = 7313;
        UPDATE pmzdcalc SET cisrad = 649 WHERE idmzdcalc = 7314;
        UPDATE pmzdcalc SET cisrad = 650 WHERE idmzdcalc = 7315;
        UPDATE pmzdcalc SET cisrad = 651 WHERE idmzdcalc = 7316;
        UPDATE pmzdcalc SET cisrad = 652 WHERE idmzdcalc = 7317;
        UPDATE pmzdcalc SET cisrad = 653 WHERE idmzdcalc = 7318;
        UPDATE pmzdcalc SET cisrad = 654 WHERE idmzdcalc = 7319;
        UPDATE pmzdcalc SET cisrad = 655 WHERE idmzdcalc = 7320;
        UPDATE pmzdcalc SET cisrad = 661 WHERE idmzdcalc = 7321;
        UPDATE pmzdcalc SET cisrad = 663 WHERE idmzdcalc = 7322;
        UPDATE pmzdcalc SET cisrad = 664 WHERE idmzdcalc = 7323;
        UPDATE pmzdcalc SET cisrad = 667 WHERE idmzdcalc = 7324;
        UPDATE pmzdcalc SET cisrad = 670 WHERE idmzdcalc = 7325;
        UPDATE pmzdcalc SET cisrad = 671 WHERE idmzdcalc = 7326;
        UPDATE pmzdcalc SET cisrad = 672 WHERE idmzdcalc = 7327;
        UPDATE pmzdcalc SET cisrad = 673 WHERE idmzdcalc = 7328;
        UPDATE pmzdcalc SET cisrad = 674 WHERE idmzdcalc = 7329;
        UPDATE pmzdcalc SET cisrad = 675 WHERE idmzdcalc = 7330;
        UPDATE pmzdcalc SET cisrad = 676 WHERE idmzdcalc = 7331;
        UPDATE pmzdcalc SET cisrad = 677 WHERE idmzdcalc = 7332;
        UPDATE pmzdcalc SET cisrad = 678 WHERE idmzdcalc = 7333;
        UPDATE pmzdcalc SET cisrad = 679 WHERE idmzdcalc = 7334;
        UPDATE pmzdcalc SET cisrad = 680 WHERE idmzdcalc = 7335;
        UPDATE pmzdcalc SET cisrad = 681 WHERE idmzdcalc = 7336;
        UPDATE pmzdcalc SET cisrad = 682 WHERE idmzdcalc = 7337;
        UPDATE pmzdcalc SET cisrad = 683 WHERE idmzdcalc = 7338;
        UPDATE pmzdcalc SET cisrad = 684 WHERE idmzdcalc = 7339;
        UPDATE pmzdcalc SET cisrad = 685 WHERE idmzdcalc = 7340;
        UPDATE pmzdcalc SET cisrad = 686 WHERE idmzdcalc = 7342;
        UPDATE pmzdcalc SET cisrad = 687 WHERE idmzdcalc = 7343;
        UPDATE pmzdcalc SET cisrad = 688 WHERE idmzdcalc = 7344;
        UPDATE pmzdcalc SET cisrad = 689 WHERE idmzdcalc = 7345;
        UPDATE pmzdcalc SET cisrad = 690 WHERE idmzdcalc = 7346;
        UPDATE pmzdcalc SET cisrad = 691 WHERE idmzdcalc = 7347;
        UPDATE pmzdcalc SET cisrad = 692 WHERE idmzdcalc = 7348;
        UPDATE pmzdcalc SET cisrad = 693 WHERE idmzdcalc = 7349;
        UPDATE pmzdcalc SET cisrad = 694 WHERE idmzdcalc = 7350;
        UPDATE pmzdcalc SET cisrad = 695 WHERE idmzdcalc = 7351;
        UPDATE pmzdcalc SET cisrad = 696 WHERE idmzdcalc = 7352;
        UPDATE pmzdcalc SET cisrad = 697 WHERE idmzdcalc = 7353;
        UPDATE pmzdcalc SET cisrad = 698 WHERE idmzdcalc = 7354;
        UPDATE pmzdcalc SET cisrad = 699 WHERE idmzdcalc = 7355;
        UPDATE pmzdcalc SET cisrad = 700 WHERE idmzdcalc = 7356;
        UPDATE pmzdcalc SET cisrad = 701 WHERE idmzdcalc = 7357;
        UPDATE pmzdcalc SET cisrad = 702 WHERE idmzdcalc = 7358;
        UPDATE pmzdcalc SET cisrad = 703 WHERE idmzdcalc = 7359;
        UPDATE pmzdcalc SET cisrad = 704 WHERE idmzdcalc = 7360;
        UPDATE pmzdcalc SET cisrad = 705 WHERE idmzdcalc = 7361;
        UPDATE pmzdcalc SET cisrad = 706 WHERE idmzdcalc = 7362;
        UPDATE pmzdcalc SET cisrad = 707 WHERE idmzdcalc = 7363;
        UPDATE pmzdcalc SET cisrad = 709 WHERE idmzdcalc = 7364;
        UPDATE pmzdcalc SET cisrad = 710 WHERE idmzdcalc = 7365;
        UPDATE pmzdcalc SET cisrad = 711 WHERE idmzdcalc = 7366;
        UPDATE pmzdcalc SET cisrad = 712 WHERE idmzdcalc = 7367;
        UPDATE pmzdcalc SET cisrad = 713 WHERE idmzdcalc = 7368;
        UPDATE pmzdcalc SET cisrad = 714 WHERE idmzdcalc = 7369;
        UPDATE pmzdcalc SET cisrad = 715 WHERE idmzdcalc = 7370;
        UPDATE pmzdcalc SET cisrad = 716 WHERE idmzdcalc = 7371;
        UPDATE pmzdcalc SET cisrad = 717 WHERE idmzdcalc = 7372;
        UPDATE pmzdcalc SET cisrad = 718 WHERE idmzdcalc = 7373;
        UPDATE pmzdcalc SET cisrad = 719 WHERE idmzdcalc = 7374;
        UPDATE pmzdcalc SET cisrad = 720 WHERE idmzdcalc = 7375;
        UPDATE pmzdcalc SET cisrad = 599 WHERE idmzdcalc = 7956;
        UPDATE pmzdcalc SET cisrad = 600 WHERE idmzdcalc = 7957;
        UPDATE pmzdcalc SET cisrad = 601 WHERE idmzdcalc = 7958;
        UPDATE pmzdcalc SET cisrad = 602 WHERE idmzdcalc = 7959;
        UPDATE pmzdcalc SET cisrad = 603 WHERE idmzdcalc = 7960;
        UPDATE pmzdcalc SET cisrad = 604 WHERE idmzdcalc = 7961;
        UPDATE pmzdcalc SET cisrad = 605 WHERE idmzdcalc = 7962;
        UPDATE pmzdcalc SET cisrad = 606 WHERE idmzdcalc = 7963;
        UPDATE pmzdcalc SET cisrad = 607 WHERE idmzdcalc = 7964;
        UPDATE pmzdcalc SET cisrad = 608 WHERE idmzdcalc = 7965;
        UPDATE pmzdcalc SET cisrad = 609 WHERE idmzdcalc = 7966;
        UPDATE pmzdcalc SET cisrad = 610 WHERE idmzdcalc = 7967;
        UPDATE pmzdcalc SET cisrad = 611 WHERE idmzdcalc = 7968;
        UPDATE pmzdcalc SET cisrad = 612 WHERE idmzdcalc = 7969;
        UPDATE pmzdcalc SET cisrad = 613 WHERE idmzdcalc = 7970;
        UPDATE pmzdcalc SET cisrad = 614 WHERE idmzdcalc = 7971;
        UPDATE pmzdcalc SET cisrad = 615 WHERE idmzdcalc = 7972;
        UPDATE pmzdcalc SET cisrad = 616 WHERE idmzdcalc = 7973;
        UPDATE pmzdcalc SET cisrad = 617 WHERE idmzdcalc = 7974;
        UPDATE pmzdcalc SET cisrad = 618 WHERE idmzdcalc = 7975;
        UPDATE pmzdcalc SET cisrad = 619 WHERE idmzdcalc = 7976;
        UPDATE pmzdcalc SET cisrad = 632 WHERE idmzdcalc = 7977;
        UPDATE pmzdcalc SET cisrad = 633 WHERE idmzdcalc = 7978;
        UPDATE pmzdcalc SET cisrad = 634 WHERE idmzdcalc = 7979;
        UPDATE pmzdcalc SET cisrad = 635 WHERE idmzdcalc = 7980;
        UPDATE pmzdcalc SET cisrad = 636 WHERE idmzdcalc = 7981;
        UPDATE pmzdcalc SET cisrad = 637 WHERE idmzdcalc = 7982;
        UPDATE pmzdcalc SET cisrad = 638 WHERE idmzdcalc = 7983;
        UPDATE pmzdcalc SET cisrad = 639 WHERE idmzdcalc = 7984;
        UPDATE pmzdcalc SET cisrad = 640 WHERE idmzdcalc = 7985;
        UPDATE pmzdcalc SET cisrad = 641 WHERE idmzdcalc = 7986;
        UPDATE pmzdcalc SET cisrad = 642 WHERE idmzdcalc = 7987;
        UPDATE pmzdcalc SET cisrad = 643 WHERE idmzdcalc = 7988;
        UPDATE pmzdcalc SET cisrad = 644 WHERE idmzdcalc = 7989;
        UPDATE pmzdcalc SET cisrad = 645 WHERE idmzdcalc = 7990;
        UPDATE pmzdcalc SET cisrad = 646 WHERE idmzdcalc = 7991;
        UPDATE pmzdcalc SET cisrad = 647 WHERE idmzdcalc = 7992;
        UPDATE pmzdcalc SET cisrad = 648 WHERE idmzdcalc = 7993;
        UPDATE pmzdcalc SET cisrad = 649 WHERE idmzdcalc = 7994;
        UPDATE pmzdcalc SET cisrad = 650 WHERE idmzdcalc = 7995;
        UPDATE pmzdcalc SET cisrad = 651 WHERE idmzdcalc = 7996;
        UPDATE pmzdcalc SET cisrad = 652 WHERE idmzdcalc = 7997;
        UPDATE pmzdcalc SET cisrad = 653 WHERE idmzdcalc = 7998;
        UPDATE pmzdcalc SET cisrad = 654 WHERE idmzdcalc = 7999;
        UPDATE pmzdcalc SET cisrad = 655 WHERE idmzdcalc = 8000;
        UPDATE pmzdcalc SET cisrad = 661 WHERE idmzdcalc = 8001;
        UPDATE pmzdcalc SET cisrad = 663 WHERE idmzdcalc = 8002;
        UPDATE pmzdcalc SET cisrad = 664 WHERE idmzdcalc = 8003;
        UPDATE pmzdcalc SET cisrad = 667 WHERE idmzdcalc = 8004;
        UPDATE pmzdcalc SET cisrad = 670 WHERE idmzdcalc = 8005;
        UPDATE pmzdcalc SET cisrad = 671 WHERE idmzdcalc = 8006;
        UPDATE pmzdcalc SET cisrad = 672 WHERE idmzdcalc = 8007;
        UPDATE pmzdcalc SET cisrad = 673 WHERE idmzdcalc = 8008;
        UPDATE pmzdcalc SET cisrad = 674 WHERE idmzdcalc = 8009;
        UPDATE pmzdcalc SET cisrad = 675 WHERE idmzdcalc = 8010;
        UPDATE pmzdcalc SET cisrad = 676 WHERE idmzdcalc = 8011;
        UPDATE pmzdcalc SET cisrad = 677 WHERE idmzdcalc = 8012;
        UPDATE pmzdcalc SET cisrad = 678 WHERE idmzdcalc = 8013;
        UPDATE pmzdcalc SET cisrad = 679 WHERE idmzdcalc = 8014;
        UPDATE pmzdcalc SET cisrad = 680 WHERE idmzdcalc = 8015;
        UPDATE pmzdcalc SET cisrad = 681 WHERE idmzdcalc = 8016;
        UPDATE pmzdcalc SET cisrad = 682 WHERE idmzdcalc = 8017;
        UPDATE pmzdcalc SET cisrad = 683 WHERE idmzdcalc = 8018;
        UPDATE pmzdcalc SET cisrad = 684 WHERE idmzdcalc = 8019;
        UPDATE pmzdcalc SET cisrad = 685 WHERE idmzdcalc = 8020;
        UPDATE pmzdcalc SET cisrad = 686 WHERE idmzdcalc = 8022;
        UPDATE pmzdcalc SET cisrad = 687 WHERE idmzdcalc = 8023;
        UPDATE pmzdcalc SET cisrad = 688 WHERE idmzdcalc = 8024;
        UPDATE pmzdcalc SET cisrad = 689 WHERE idmzdcalc = 8025;
        UPDATE pmzdcalc SET cisrad = 690 WHERE idmzdcalc = 8026;
        UPDATE pmzdcalc SET cisrad = 691 WHERE idmzdcalc = 8027;
        UPDATE pmzdcalc SET cisrad = 692 WHERE idmzdcalc = 8028;
        UPDATE pmzdcalc SET cisrad = 693 WHERE idmzdcalc = 8029;
        UPDATE pmzdcalc SET cisrad = 694 WHERE idmzdcalc = 8030;
        UPDATE pmzdcalc SET cisrad = 695 WHERE idmzdcalc = 8031;
        UPDATE pmzdcalc SET cisrad = 696 WHERE idmzdcalc = 8032;
        UPDATE pmzdcalc SET cisrad = 697 WHERE idmzdcalc = 8033;
        UPDATE pmzdcalc SET cisrad = 698 WHERE idmzdcalc = 8034;
        UPDATE pmzdcalc SET cisrad = 699 WHERE idmzdcalc = 8035;
        UPDATE pmzdcalc SET cisrad = 700 WHERE idmzdcalc = 8036;
        UPDATE pmzdcalc SET cisrad = 701 WHERE idmzdcalc = 8037;
        UPDATE pmzdcalc SET cisrad = 702 WHERE idmzdcalc = 8038;
        UPDATE pmzdcalc SET cisrad = 703 WHERE idmzdcalc = 8039;
        UPDATE pmzdcalc SET cisrad = 704 WHERE idmzdcalc = 8040;
        UPDATE pmzdcalc SET cisrad = 705 WHERE idmzdcalc = 8041;
        UPDATE pmzdcalc SET cisrad = 706 WHERE idmzdcalc = 8042;
        UPDATE pmzdcalc SET cisrad = 707 WHERE idmzdcalc = 8043;
        UPDATE pmzdcalc SET cisrad = 709 WHERE idmzdcalc = 8044;
        UPDATE pmzdcalc SET cisrad = 710 WHERE idmzdcalc = 8045;
        UPDATE pmzdcalc SET cisrad = 711 WHERE idmzdcalc = 8046;
        UPDATE pmzdcalc SET cisrad = 712 WHERE idmzdcalc = 8047;
        UPDATE pmzdcalc SET cisrad = 713 WHERE idmzdcalc = 8048;
        UPDATE pmzdcalc SET cisrad = 714 WHERE idmzdcalc = 8049;
        UPDATE pmzdcalc SET cisrad = 715 WHERE idmzdcalc = 8050;
        UPDATE pmzdcalc SET cisrad = 716 WHERE idmzdcalc = 8051;
        UPDATE pmzdcalc SET cisrad = 717 WHERE idmzdcalc = 8052;
        UPDATE pmzdcalc SET cisrad = 718 WHERE idmzdcalc = 8053;
        UPDATE pmzdcalc SET cisrad = 719 WHERE idmzdcalc = 8054;
        UPDATE pmzdcalc SET cisrad = 720 WHERE idmzdcalc = 8055;
        UPDATE pmzdcalc SET cisrad = 669 WHERE idmzdcalc = 8066;
        UPDATE pmzdcalc SET cisrad = 669 WHERE idmzdcalc = 8067;
        UPDATE pmzdcalc SET cisrad = 668 WHERE idmzdcalc = 8068;
        UPDATE pmzdcalc SET cisrad = 660 WHERE idmzdcalc = 8069;
        UPDATE pmzdcalc SET cisrad = 662 WHERE idmzdcalc = 8070;
        UPDATE pmzdcalc SET cisrad = 666 WHERE idmzdcalc = 8071;
        UPDATE pmzdcalc SET cisrad = 660 WHERE idmzdcalc = 8072;
        UPDATE pmzdcalc SET cisrad = 662 WHERE idmzdcalc = 8073;
        UPDATE pmzdcalc SET cisrad = 666 WHERE idmzdcalc = 8074;
        UPDATE pmzdcalc SET cisrad = 665 WHERE idmzdcalc = 8075;
        UPDATE pmzdcalc SET cisrad = 665 WHERE idmzdcalc = 8076;
        UPDATE pmzdcalc SET cisrad = 656 WHERE idmzdcalc = 8077;
        UPDATE pmzdcalc SET cisrad = 657 WHERE idmzdcalc = 8078;
        UPDATE pmzdcalc SET cisrad = 658 WHERE idmzdcalc = 8079;
        UPDATE pmzdcalc SET cisrad = 659 WHERE idmzdcalc = 8080;
        UPDATE pmzdcalc SET cisrad = 708 WHERE idmzdcalc = 8081;
        UPDATE pmzdcalc SET cisrad = 656 WHERE idmzdcalc = 8082;
        UPDATE pmzdcalc SET cisrad = 657 WHERE idmzdcalc = 8083;
        UPDATE pmzdcalc SET cisrad = 658 WHERE idmzdcalc = 8084;
        UPDATE pmzdcalc SET cisrad = 659 WHERE idmzdcalc = 8085;
        UPDATE pmzdcalc SET cisrad = 668 WHERE idmzdcalc = 8086;
        UPDATE pmzdcalc SET cisrad = 708 WHERE idmzdcalc = 8087;
        UPDATE pmzdcalc SET cisrad = 620 WHERE idmzdcalc = 8100;
        UPDATE pmzdcalc SET cisrad = 621 WHERE idmzdcalc = 8101;
        UPDATE pmzdcalc SET cisrad = 624 WHERE idmzdcalc = 8102;
        UPDATE pmzdcalc SET cisrad = 625 WHERE idmzdcalc = 8103;
        UPDATE pmzdcalc SET cisrad = 626 WHERE idmzdcalc = 8104;
        UPDATE pmzdcalc SET cisrad = 627 WHERE idmzdcalc = 8105;
        UPDATE pmzdcalc SET cisrad = 628 WHERE idmzdcalc = 8106;
        UPDATE pmzdcalc SET cisrad = 629 WHERE idmzdcalc = 8107;
        UPDATE pmzdcalc SET cisrad = 620 WHERE idmzdcalc = 8108;
        UPDATE pmzdcalc SET cisrad = 621 WHERE idmzdcalc = 8109;
        UPDATE pmzdcalc SET cisrad = 624 WHERE idmzdcalc = 8110;
        UPDATE pmzdcalc SET cisrad = 625 WHERE idmzdcalc = 8111;
        UPDATE pmzdcalc SET cisrad = 626 WHERE idmzdcalc = 8112;
        UPDATE pmzdcalc SET cisrad = 627 WHERE idmzdcalc = 8113;
        UPDATE pmzdcalc SET cisrad = 628 WHERE idmzdcalc = 8114;
        UPDATE pmzdcalc SET cisrad = 629 WHERE idmzdcalc = 8115;
        UPDATE pmzdcalc SET cisrad = 630 WHERE idmzdcalc = 8120;
        UPDATE pmzdcalc SET cisrad = 631 WHERE idmzdcalc = 8121;
        UPDATE pmzdcalc SET cisrad = 630 WHERE idmzdcalc = 8122;
        UPDATE pmzdcalc SET cisrad = 631 WHERE idmzdcalc = 8123;
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (8144, '2016-06-03 00:00:00.000', 'ISPV **************', 'Celkový počet svátků započtených do celkové nepřítomnosti', true, 597, -1.0, 1.0, 0.0, 'hodinySvatek', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, true, 9, 387, 312);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (8145, '2016-06-03 00:00:00.000', 'ISPV **************', 'Celkový počet svátků započtených do celkové nepřítomnosti', true, 598, -1.0, 1.0, 0.0, 'hodinySvatek', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, true, 9, 387, 312);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (8146, '2016-06-03 00:00:00.000', 'ISPV **************', 'Celkový počet svátků započtených do celkové nepřítomnosti', '', true, 597, -1.0, 1.0, 0.0, 'hodinySvatek', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, true, 8, 387, 312);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (8147, '2016-06-03 00:00:00.000', 'ISPV **************', 'Celkový počet svátků započtených do celkové nepřítomnosti', '', true, 598, -1.0, 1.0, 0.0, 'hodinySvatek', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, true, 8, 387, 312);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (8148, '2016-06-03 00:00:00.000', 'ISPV **************', 'Náhráda za svátek', true, 622, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.obdobiAkt', 3, true, 8, 21, 390);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (8149, '2016-06-03 00:00:00.000', 'ISPV **************', 'Náhráda za svátek', true, 623, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, true, 8, 21, 390);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (8150, '2016-06-03 00:00:00.000', 'ISPV **************', 'Náhráda za svátek', true, 622, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.obdobiAkt', 3, true, 9, 21, 390);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (8151, '2016-06-03 00:00:00.000', 'ISPV **************', 'Náhráda za svátek', true, 623, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, true, 9, 21, 390);

         PERFORM pg_catalog.setval('seq_pcismzdsloz', 390, true);
         PERFORM pg_catalog.setval('seq_pmzdcalc', 8151, true);
   end if;
 end;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;
 
 select runupgrade();

 drop function runupgrade();
  -- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 1021, 't', %appVersion%, clock_timestamp());