--------------------------------------------------------------
-- Bug 45930 - ISPV a jeden zaměstnanec s více poměry
--------------------------------------------------------------

 create or replace function runupgrade()
   returns void as $$
 declare
   stat character varying(10);
 begin
   select a.uuid into stat from nnastav n 
     left join utyporg u on u.idtyporg = n.idtyporg
     left join astaty a on a.idstatu = u.idstatu
   order by coalesce(n.platioddata, '1900-01-01') desc limit 1;
 
   if (stat = 'CZ_CZ') then
        -- změna složek pro ISPV - zda jsou společné pro všechny poměry - nemají být, chceme je extra pro každý pracovní poměr
        update pcismzdsloz set naosobu = false where skupslozkyk = 'skupinaSlozky.ispvFirma' or skupslozkyk = 'skupinaSlozky.ispvZamestnanec';
        

        -- použití složky  HRUBÁ MZDA DÍLČÍ místo složky HRUBÁ MZDA CELKEM jako vstupu pro složky MZDA a HRMZDYQ
        UPDATE pmzdcalc SET nazev = 'Hrubá mzda (pro jeden pracovní poměr)', idmzdslozin = 87 WHERE idmzdcalc = 6959;
        UPDATE pmzdcalc SET nazev = 'Hrubá mzda (pro jeden pracovní poměr)', idmzdslozin = 87 WHERE idmzdcalc = 6960;
        UPDATE pmzdcalc SET nazev = 'Hrubá mzda (pro jeden pracovní poměr)', idmzdslozin = 87 WHERE idmzdcalc = 7254;
        UPDATE pmzdcalc SET nazev = 'Hrubá mzda (pro jeden pracovní poměr)', idmzdslozin = 87 WHERE idmzdcalc = 7255;
        UPDATE pmzdcalc SET nazev = 'Hrubá mzda (pro jeden pracovní poměr)', idmzdslozin = 87 WHERE idmzdcalc = 7639;
        UPDATE pmzdcalc SET nazev = 'Hrubá mzda (pro jeden pracovní poměr)', idmzdslozin = 87 WHERE idmzdcalc = 7640;
        UPDATE pmzdcalc SET nazev = 'Hrubá mzda (pro jeden pracovní poměr)', idmzdslozin = 87 WHERE idmzdcalc = 7934;
        UPDATE pmzdcalc SET nazev = 'Hrubá mzda (pro jeden pracovní poměr)', idmzdslozin = 87 WHERE idmzdcalc = 7935;
   end if;
 end;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;
 
 select runupgrade();

 drop function runupgrade();
  -- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 1051, 't', %appVersion%, clock_timestamp());