-- vytvoreni funkce, generujici pro zadanou tabulku unikatni kod vychazejici ze
-- zadaneho kodu, pro potreby bugu 11684

CREATE OR REPLACE FUNCTION generateUniqueKod(i_kod varchar(255), i_tableName varchar(100), infix varchar(2))
  RETURNS varchar(20) AS $$
declare
  _result varchar(20);
  _resultExt varchar(20);
  _pocet integer;
  _cislo integer;
begin
  _result = substring(i_kod, 0, 14);
  _resultExt = _result;
  _cislo = 2;
  execute 'select count(*) from '||i_tableName|| ' where kod = '''||_result||'''' into _pocet;
  while (_pocet > 0) loop
    _resultExt = _result||infix||_cislo;
    _cislo = _cislo + 1;
    execute 'select count(*) from '||i_tableName|| ' where kod = '''||_resultExt||'''' into _pocet;
  end loop;
  
  return _resultExt;
end; 
$$ LANGUAGE plpgsql;

ALTER FUNCTION public.generateUniqueKod(varchar, varchar, varchar) OWNER TO %firmaRole%;

insert into dbversion(iddbversion, dbversion, needreimport)
	values (nextval('seq_dbversion'), 17, 't');

