-- Bug 16611 – [WinStrom] Načítaní bankovních výpisů Unicredit
-- Umožnění načítání výpisu v různých kódování

-- přidání sloupce
ALTER TABLE delbanformat ADD COLUMN kodovanivypis character varying(50);

-- úprava existujícího Multicashe
UPDATE delbanformat SET kod='MLT-1250', nazev='MultiCash (windows-1250)', kodovaniVypis='windows-1250' WHERE kod = 'MLT';

-- přidání nových Multicashů s jiným kódováním
INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis, kodovaniVypis)
VALUES ('MLT-UTF', 'MultiCash (UTF-8)', NULL, NULL, NULL, 'MultiCash formát', NULL, true, 9999, 0, 'multicache.xml', 'multicache-zahranicni.xml', 'multicache.xml', 'cfd', 'sta', 'UTF-8');
INSERT INTO delbanformat (kod, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, formatprikaz, formatprikazzahr, formatvypis, priprikaz, privypis, kodovaniVypis)
VALUES ('MLT-852', 'MultiCash (cp852)', NULL, NULL, NULL, 'MultiCash formát', NULL, true, 9999, 0, 'multicache.xml', 'multicache-zahranicni.xml', 'multicache.xml', 'cfd', 'sta', 'cp852');

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 172, 't');
