---------------------------------------------------------------------------
-- Bug 16658 – [WinStrom] Presunout generovani skladovych dokladu do triggeru
---------------------------------------------------------------------------

-- Function: sfifovydej(integer, integer, integer, integer, numeric)
-- DROP FUNCTION sfifovydej(integer, integer, integer, integer, numeric);
CREATE OR REPLACE FUNCTION sfifovydej(idvydej integer, idcenikvydej integer, idskladvydej integer, idkartyvydej integer, vyd numeric)
  RETURNS void AS
$BODY$    
declare     
	_zaznam Record;     
         _vybrano numeric(19,6);   
         _i integer;   
         _novevydcelkem numeric(19,6);   
         _pocet numeric(19,6);   
         _cenamjP numeric(19,6);
         _cenaMjPMen numeric(19,6);
	 _kurzDokladuP numeric(19,6); 
	 _kurzDokladuV numeric(19,6); 
	 _idDoklSkladP integer;  
         _idDoklSkladV integer; 
         _datVystV date; 
         _idrozlozeni integer;   
         _vydexpir boolean;   
         _vyrcis character varying(255);   
         _sklfifo boolean;
         _sarze character varying(255);
         _expirace date;     
         _evidVyrCis boolean;  
begin     
  _vybrano := 0;   
  _i := 1;   
  _novevydcelkem := vyd;   
  select evidVyrCis into _evidVyrCis from ccenik where idcenik = idcenikvydej;
  if (not _evidVyrCis) then
    if (idvydej>0) then
           select vydexpir into _vydexpir from skarty where idkarty=idkartyvydej limit 1;
           select sarze, expirace into _sarze, _expirace from dpolsklad where idpolsklad = idvydej;   
           if (not _vydexpir) then   
                    --pořadí výdeje dle datvyst (dále se bude řesit upřednostněný výdej mimo FIFO)   
	           for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by datVyst,idpolsklad loop     
                      if((_sarze is null or _sarze = _zaznam.sarze) and (_expirace is null or _expirace = _zaznam.expirace)) then
	                  if (_vybrano<_novevydcelkem) then   
	                   _pocet := _zaznam.pocet;   
	                   if( _vybrano+_pocet) > _novevydcelkem then   
	                     _pocet := _novevydcelkem-_vybrano;   
	                   end if;   
	                   _vybrano := _vybrano+_pocet;   
                            --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo   
                            _vyrcis := '';   
                            if (_zaznam.idvyrobnicislo>0) then   
                            	select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo;   
                            end if;   
                            --   
                         if (_i = 1) then
                           insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;
                             _sklfifo := (select isfifosklad(_zaznam.datvyst));   
                             if (_sklfifo) then   
	                       select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);   
	                       select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);  
                           if (_kurzDokladuP <> 0.0) then
	                         _cenamjP := _cenamjP * _kurzDokladuP;   
	                       end if; 
	                       select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej; 
	                       _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));
	                       _cenamjP := _cenamjP / _kurzDokladuV;
                           _cenaMjPMen := 0.0;
                           if(_kurzDokladuV <> 1.0) then
                             _cenaMjPMen := _cenaMjP;
                           end if;
	                       update dpolsklad set mnozmj = _pocet,cenamj = _cenamjP, sumzkl = _pocet*_cenamjP*_kurzDokladuV, sumZklMen = _pocet*_cenaMjPMen, vyrcis=_vyrcis, sarze = _zaznam.sarze, expirace = _zaznam.expirace
                             where idpolsklad = idvydej;
	                     else
	                       update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej;
                        end if;
	                   else   
                             _sklfifo := (select isfifosklad(_zaznam.datvyst));   
                             if (_sklfifo) then   
	                       select nextval('seq_dpolsklad') into _idrozlozeni;   
	                       select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);  
			       select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);  
			       if (_kurzDokladuP <> 0.0) then  
	                         _cenamjP := _cenamjP * _kurzDokladuP;   
	                       end if;  
	                       select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej; 
	                       _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV)); 
	                       _cenamjP := _cenamjP / _kurzDokladuV;
                           _cenaMjPMen := 0.0;
                           if(_kurzDokladuV <> 1.0) then
                             _cenaMjPMen := _cenaMjP;
                           end if;
	                       insert into dpolsklad(idpolsklad,mnozmj,autozaokr,autogen,baleniid,cenjednotka,cenamj,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,vyrcis)    
	                                          (select (-1*_idrozlozeni),_pocet,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_pocet*_cenamjP*_kurzDokladuV,_pocet*_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,_vyrcis from dpolsklad where idpolsklad=idVydej);
	                       --   
	                       insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);   
                               insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);   
                             else   
                               insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);   
                             end if;   
	                   end if;   
	                   --   
	                   _i:=_i+1;   
	                  end if;
                      end if;   
	           end loop;   
           else   
                    --pořadí výdeje dle expirace (dále se bude řesit upřednostněný výdej mimo FIFO)   
	           for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by expirace, idpolsklad loop     
                      if((_sarze is null or _sarze = _zaznam.sarze) and (_expirace is null or _expirace = _zaznam.expirace)) then
	                  if (_vybrano<_novevydcelkem) then   
	                   _pocet := _zaznam.pocet;   
	                   if( _vybrano+_pocet) > _novevydcelkem then   
	                     _pocet := _novevydcelkem-_vybrano;   
	                   end if;   
	                   _vybrano := _vybrano+_pocet;   
                            --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo   
                            _vyrcis := '';   
                            if (_zaznam.idvyrobnicislo>0) then   
                            	select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo;   
                            end if;   
                            --   
	                   if (_i = 1) then   
	                     insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;   
                             _sklfifo := (select isfifosklad(_zaznam.datvyst));   
                             if (_sklfifo) then   
	                       select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);   
	                       select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);  
			       if (_kurzDokladuP <> 0.0) then  
	                         _cenamjP := _cenamjP * _kurzDokladuP;   
	                       end if; 
	                       select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej; 
	                       _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV)); 
	                       _cenamjP := _cenamjP / _kurzDokladuV;
                           _cenaMjPMen := 0.0;
                           if(_kurzDokladuV <> 1.0) then
                             _cenaMjPMen := _cenaMjP;
                           end if;
	                       update dpolsklad set mnozmj = _pocet,cenamj = _cenamjP, sumzkl = _pocet*_cenamjP*_kurzDokladuV, sumZklMen = _pocet*_cenaMjPMen, vyrcis=_vyrcis, sarze = _zaznam.sarze, expirace = _zaznam.expirace
				 where idpolsklad = idvydej;
			     else
			       update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej;
                             end if;   
	                   else   
                             _sklfifo := (select isfifosklad(_zaznam.datvyst));   
                             if (_sklfifo) then   
	                       select nextval('seq_dpolsklad') into _idrozlozeni;   
	                       select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);  
			       select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);  
			       if (_kurzDokladuP <> 0.0) then  
	                         _cenamjP := _cenamjP * _kurzDokladuP;   
	                       end if;  
	                       select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej; 
	                       _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV)); 
	                       _cenamjP := _cenamjP / _kurzDokladuV;
                           _cenaMjPMen := 0.0;
                           if(_kurzDokladuV <> 1.0) then
                             _cenaMjPMen := _cenaMjP;
                           end if;
	                       insert into dpolsklad(idpolsklad,mnozmj,autozaokr,autogen,baleniid,cenjednotka,cenamj,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,vyrcis)    
	                                          (select (-1*_idrozlozeni),_pocet,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_pocet*_cenamjP,_pocet*_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,_vyrcis from dpolsklad where idpolsklad=idVydej);
	                       --   
	                       insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);   
                               insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);   
                             else    
                               insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);    
                             end if;    
	                   end if;    
	                   --    
	                   _i:=_i+1;    
	                  end if; 
                      end if;    
	           end loop;    
           end if;    
    else    
  	--nepoustím fifo do rekurze, příznak záporného id udělám opět kladný    
         update dpolsklad set idPolSklad = -1*idVydej where idpolsklad=idVydej;             
    end if;
  end if;   
end;     
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION sfifovydej(integer, integer, integer, integer, numeric) OWNER TO %firmaRole%;

---------------------------------------------------------------------------
---------------------------------------------------------------------------
---------------------------------------------------------------------------  

-- Function: svyrobnicisloupdate
CREATE OR REPLACE FUNCTION svyrobnicisloupdate()
  RETURNS trigger AS
$BODY$   
declare
  _sklFifo boolean;
  _mnozMj numeric(19,6);
  _datVyst date;
  _idRozlozeni integer;
  _cenaMjP numeric(19,6);
  _kurzDokladuP numeric(19,6);
  _kurzDokladuV numeric(19,6);
  _idDoklSkladP integer;
  _idDoklSkladV integer;
  _datVystV date;
  _cenaMjPMen numeric(19,6);
begin
  if(NEW.idPolSkladVydej is not null and OLD.idPolSkladVydej is null) then
    select datVyst, mnozMj into _datVyst, _mnozMj from dPolSklad where idPolSklad = NEW.idPolSkladVydej;

    _sklfifo := (select isfifosklad(_datVyst));
    if(_sklFifo) then

      select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = NEW.idPolSkladPrijem);    
      select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);   
      if (_kurzDokladuP <> 0.0) then   
	_cenamjP := _cenamjP * _kurzDokladuP;    
      end if;  
      select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = NEW.idPolSkladVydej;  
      _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));  
      _cenamjP := _cenamjP / _kurzDokladuV;
      _cenaMjPMen := 0.0;
	  if(_kurzDokladuV <> 1.0) then
        _cenaMjPMen := _cenaMjP;
      end if;
      if(_mnozMj > 1) then
        -- odecteni 1 z mnoz mj a vytvoreni nove polozky a mnozstvim 1 a 1 vyrobnim cislem
        select nextval('seq_dpolsklad') into _idrozlozeni;                       
	update dpolsklad set mnozMJ = _mnozMj - 1 where idPolSklad = NEW.idPolSkladVydej;
        
        insert into dpolsklad(idpolsklad,mnozmj,autozaokr,autogen,baleniid,cenjednotka,cenamj,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,vyrcis)
	                     (select (_idrozlozeni),1,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_cenamjP*_kurzDokladuV,_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idskladu,idfirmy,vyrcis from dpolsklad where idpolsklad = NEW.idpolskladvydej);
	insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,_idrozlozeni,1,NEW.idvyrobnicislo);
	insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (NEW.idPolSkladVydej, _idrozlozeni);
	NEW.idPolSkladVydej = _idRozlozeni;
      else
        -- nastaveni vyrobniho cisla na a vytvoreni vazby
        --update sfifovazby set idvyrobnicislo = NEW.idvyrobnicislo, kusu = 1, idpolskladprijem = NEW.idpolskladprijem where idpolskladvydej = NEW.idpolskladvydej and idvyrobnicislo = -1;
        insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,NEW.idPolSkladVydej,1,NEW.idvyrobnicislo);
        --select cenaMj into _cenaMjP from dpolsklad where idPolSklad = NEW.idPolSkladPrijem;
        update dpolsklad set cenaMJ = _cenaMjP, sumZkl = _cenamjP*_kurzDokladuV, sumZklMen = _cenaMjPMen where idPolSklad = NEW.idPolSkladVydej;
      end if;
      --
    else
      insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,NEW.idPolSkladVydej,1,NEW.idvyrobnicislo);
    end if;
  end if;
  execute sprepoctisumydokladu(_idDoklSkladV);
  return NEW;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION svyrobnicisloupdate() OWNER TO %firmaRole%;

---------------------------------------------------------------------------
---------------------------------------------------------------------------
---------------------------------------------------------------------------  

CREATE OR REPLACE FUNCTION dpoldoklinsertsklad() RETURNS trigger AS
$BODY$
declare
  pocetNavazanychDokladu integer;
  _idPolFak integer;
  _idDoklFak integer;
  _idPolSklad integer;
  _dokladGenerovatSkl boolean;
  _typDoklGenerovatSkl boolean;
  _typZasobyK character varying;
begin

  if(NEW.typPolozkyK like 'typPolozky.katalog') then
    if(NEW.modul like 'POK') then
      _idPolFak = NEW.idPolInt;
      _idDoklFak = NEW.idDoklInt;
      select generovatSkl into _dokladGenerovatSkl from dDoklInt where idDoklInt = NEW.idDoklInt;
      select generovatSkl into _typDoklGenerovatSkl from dTypDokl where idTypDokl = (select idTypDokl from dDoklInt where idDoklInt = NEW.idDoklInt);
    else
      _idPolFak = NEW.idPolFak;
      _idDoklFak = NEW.idDoklFak;
      select generovatSkl into _dokladGenerovatSkl from dDoklFak where idDoklFak = NEW.idDoklFak;
      select generovatSkl into _typDoklGenerovatSkl from dTypDokl where idTypDokl = (select idTypDokl from dDoklFak where idDoklFak = NEW.idDoklFak);
    end if;

    select typZasobyK into _typZasobyK from cCenik where idCenik = NEW.idCenik;
    
    if ((_typZasobyK like 'typZasoby.skladem' or _typZasobyK like 'typZasoby.vyrobek') 
      and _dokladGenerovatSkl and _typDoklGenerovatSkl ) then
      select count(*) into pocetNavazanychDokladu from dvazebtab where
        typVazbyK like 'typVazbyDokl.hlavaSkl'
        and (
        (idTabA = _idDoklFak and modulA like NEW.modul)
        or
        (idTabB = _idDoklFak and modulB like NEW.modul));

      if(pocetNavazanychDokladu > 2) then
        --neco jeste nevim co
      else 
        select createPolSklad(_idPolFak, NEW.modul) into _idPolSklad;
      end if;
    end if;
  end if;
  
  return NEW;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION dpoldoklinsertsklad() OWNER TO %firmaRole%;





--DROP TRIGGER dpolfakinsertsklad ON dpolfak;

CREATE TRIGGER dpolfakinsertsklad
  AFTER INSERT
  ON dPolFak
  FOR EACH ROW
  EXECUTE PROCEDURE dpoldoklinsertsklad();

--DROP TRIGGER dpolintinsertsklad ON dpolint;

CREATE TRIGGER dpolintinsertsklad
  AFTER INSERT
  ON dPolInt
  FOR EACH ROW
  EXECUTE PROCEDURE dpoldoklinsertsklad();






CREATE OR REPLACE FUNCTION dpoldoklupdatesklad() RETURNS trigger AS
$BODY$
declare
  _idPolDokl integer;
  _idDoklad integer;
  _idPolSklad integer;
  _idDoklSklad integer;
  _dokladGenerovatSkl boolean;
  _typDoklGenerovatSkl boolean;
  _typZasobyK character varying;
  _vyrobniCislo record;
  _typPohybuK character varying;
begin
  if(NEW.storno <> OLD.storno or NEW.stornoPol <> OLD.stornoPol) then
    return NEW;
  end if;

  if(NEW.modul like 'POK') then
    _idPolDokl = NEW.idPolInt;
    _idDoklad = NEW.idDoklInt;
    select generovatSkl into _dokladGenerovatSkl from dDoklInt where idDoklInt = NEW.idDoklInt;
    select generovatSkl into _typDoklGenerovatSkl from dTypDokl where idTypDokl = (select idTypDokl from dDoklInt where idDoklInt = NEW.idDoklInt);
  elsif (NEW.modul like 'FAV' or NEW.modul like 'FAP') then
    _idPolDokl = NEW.idPolFak;
    _idDoklad = NEW.idDoklFak;
    select generovatSkl into _dokladGenerovatSkl from dDoklFak where idDoklFak = NEW.idDoklFak;
    select generovatSkl into _typDoklGenerovatSkl from dTypDokl where idTypDokl = (select idTypDokl from dDoklFak where idDoklFak = NEW.idDoklFak);
  else 
    return NEW;  
  end if;

  -- pokud se lisi sklad, cenik, typPolozky, mnozMj, sarze, expirace
  -- tak skladovou polozku musim smazat a vytvorit znovu kvuli fifu
  if(NEW.idSkladu <> OLD.idSkladu or NEW.idCenik <> OLD.idCenik 
     or NEW.typPolozkyK <> OLD.typPolozkyK or NEW.mnozMj <> OLD.mnozMj
     or NEW.sarze <> OLD.sarze or NEW.expirace <> OLD.expirace) then
    --raise exception 'mazu polSklad';
    execute deleteNavazanePolSklad(_idPolDokl, NEW.modul);
  end if;

  if(NEW.typPolozkyK like 'typPolozky.katalog') then
    select typZasobyK into _typZasobyK from cCenik where idCenik = NEW.idCenik;
    
    if (_typZasobyK like 'typZasoby.skladem' or _typZasobyK like 'typZasoby.vyrobek') then
      select findParovanyPolSklad(_idPolDokl, NEW.modul) into _idPolSklad;
      if(_idPolSklad is null) then
        select createPolSklad(_idPolDokl, NEW.modul) into _idPolSklad;
      else
        select fillPolSklad(_idPolSklad, _idPolDokl, NEW.modul) into _idPolSklad;
      end if;
      -- provedeni upgradu vyrobnich cisel
      if(NEW.modul like 'FAV') then
        for _vyrobniCislo in select * from sVyrobniCislo where idPolFakVydej = NEW.idPolFak loop
          update sVyrobniCislo set idPolSkladVydej = _idPolSklad where idVyrobniCislo = _vyrobniCislo.idVyrobniCislo;
        end loop;
      end if;
      if(NEW.modul like 'FAP') then
        for _vyrobniCislo in select * from sVyrobniCislo where idPolFakPrijem = NEW.idPolFak loop
          update sVyrobniCislo set idPolSkladPrijem = _idPolSklad where idVyrobniCislo = _vyrobniCislo.idVyrobniCislo;
        end loop;
      end if;
      if(NEW.modul like 'POK') then
        select typPohybuK into _typPohybuK from dDoklInt where idDoklInt = _idDoklad;
        if(_typPohybuK like 'typPohybu.prijem') then
          for _vyrobniCislo in select * from sVyrobniCislo where idPolIntVydej = NEW.idPolInt loop
            update sVyrobniCislo set idPolSkladVydej = _idPolSklad where idVyrobniCislo = _vyrobniCislo.idVyrobniCislo;
          end loop;
        else
          for _vyrobniCislo in select * from sVyrobniCislo where idPolIntPrijem = NEW.idPolInt loop
            update sVyrobniCislo set idPolSkladPrijem = _idPolSklad where idVyrobniCislo = _vyrobniCislo.idVyrobniCislo;
          end loop;
        end if;
      end if;

    end if;
    -- prepocteni sum na dokladu
    select findParovanyDoklSklad(_idDoklad, NEW.modul) into _idDoklSklad;
    execute sprepoctiSumyDokladu(_idDoklSklad);
  end if;

  return NEW;
end
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION dpoldoklupdatesklad() OWNER TO %firmaRole%;

--DROP TRIGGER dpolfakupdatesklad ON dpolfak;

CREATE TRIGGER dpolfakupdatesklad
  AFTER UPDATE
  ON dPolFak
  FOR EACH ROW
  EXECUTE PROCEDURE dpoldoklupdatesklad();

--DROP TRIGGER dpolintupdatesklad ON dpolint;

CREATE TRIGGER dpolintupdatesklad
  AFTER UPDATE
  ON dPolInt
  FOR EACH ROW
  EXECUTE PROCEDURE dpoldoklupdatesklad();




CREATE OR REPLACE FUNCTION dpoldokldeletesklad() RETURNS trigger AS
$BODY$
declare
  _idPolDokl integer;
  _idDoklad integer;
  _idDoklSklad integer;
begin
  if(OLD.modul like 'POK') then
    _idPolDokl = OLD.idPolInt;
    _idDoklad = OLD.idDoklInt;
  elsif(OLD.modul like 'FAP' or OLD.modul like 'FAV') then
    _idPolDokl = OLD.idPolFak;
    _idDoklad = OLD.idDoklFak;
  else
    _idPolDokl = null;
    _idDoklad = null;
  end if;

  if(_idPolDokl is not null) then
    execute deleteNavazanePolSklad(_idPolDokl, OLD.modul);
  end if;

  if(_idDoklad is not null) then
    select findParovanyDoklSklad(_idDoklad, OLD.modul) into _idDoklSklad;
    if(_idDoklSklad is not null) then
      execute sprepoctiSumyDokladu(_idDoklSklad);
    end if;
  end if;
  
  return OLD;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION dpoldokldeletesklad() OWNER TO %firmaRole%;

--DROP TRIGGER dpolfakdeletesklad ON dPolFak;

CREATE TRIGGER dpolfakdeletesklad
  BEFORE DELETE
  ON dPolFak
  FOR EACH ROW
  EXECUTE PROCEDURE dpoldokldeletesklad();  

--DROP TRIGGER dpolintdeletesklad ON dPolInt;

CREATE TRIGGER dpolintdeletesklad
  BEFORE DELETE
  ON dPolInt
  FOR EACH ROW
  EXECUTE PROCEDURE dpoldokldeletesklad();  






CREATE OR REPLACE FUNCTION fillPolSklad(_idPolSklad integer, _idPolDokl integer, _modul character varying) RETURNS integer AS
$BODY$
declare
  _polDokl record;
  _polSklad record;
  _idDoklad integer;
  _typPohybuK character varying;
  _typPohybuSklad character varying;
  _cenaMj numeric(19,6);
  _cenaMjTuz numeric(19,6);
  _mnozMj numeric(19,6);
  _sumZkl numeric(19,6);
  _sumZklMen numeric(19,6);
  _idDoklSklad integer;
  _idUcetObdobi integer;
  _idKarty integer;
  _sklad record;
  _kurz numeric(19,6);
  _prumCenaTuz numeric(19,6);
  _isCiziMena boolean;
  _typDoklK character varying;
  _idZklMdUcet integer;
  _idZklDalUcet integer;
begin
  if(_modul like 'POK') then
    select * into _polDokl from dPolInt where idPolInt = _idPolDokl;
    select idDoklInt, typPohybuK into _idDoklad, _typPohybuK from dDoklInt where idDoklInt = _polDokl.idDoklInt;
    _typDoklK = null; -- pro pokladnu dobropisy nejsou
  else
    select * into _polDokl from dPolFak where idPolFak = _idPolDokl;
    select idDoklFak, typPohybuK into _idDoklad, _typPohybuK from dDoklFak where idDoklFak = _polDokl.idDoklFak;
    select typDoklK into _typDoklK from dTypDokl where idTypDokl = (select idTypDokl from dDoklFak where idDoklFak = _polDokl.idDoklFak);
  end if;

  select findParovanyDoklSklad(_idDoklad, _modul) into _idDoklSklad;
  
  if(_idDoklSklad is null) then
    select createDoklSklad(_idPolDokl, _idDoklad, _modul) into _idDoklSklad;
  end if;

  select * into _polSklad from dPolSklad where idPolSklad = _idPolSklad;
  select typPohybuK into _typPohybuSklad from dDoklSklad where idDoklSklad = _polSklad.idDoklSklad;

  select findIdUcetniObdobiKDatu(_polDokl.datVyst) into _iducetobdobi;
  select idkarty into _idkarty from skarty where idcenik = _polDokl.idcenik and idtypdokl = _polDokl.idskladu and iducetobdobi = _iducetobdobi;
  select * into _sklad from dTypDokl where idTypDokl = _polDokl.idSkladu;
  
  select getkurzfromdoklad(_idDoklSklad, _polDokl.datVyst) into _kurz;
  select prumCenaTuz into _prumCenaTuz from sKarty where idKarty = _idKarty;
  select isDoklSkladMenaCizi(_idDoklSklad, _polDokl.datVyst) into _isCiziMena;

  if(_typPohybuSklad like 'typPohybu.vydej') then
    -- pokud vydavam ze skladu tak ma byt pouzita prumerna cena
    _cenaMj = _polSklad.cenaMj;
    _mnozMj = _polDokl.mnozMj;
    _sumZkl = _polSklad.sumZkl;
    _sumZklMen = _polSklad.sumZklMen;
    -- nastaveni uctu pro polSklad vydej
    select findZklMdUcetIfVydej(_idPolDokl, _modul) into _idZklMdUcet;
    _idZklDalUcet = _sklad.idPrimUcet;
  else
    if(_typDoklK like 'typDokladu.dobropis') then
      -- pokud se jedna o dobropis tak doplnuji nakupni ceny;
      _mnozMj = -_polDokl.mnozMj;
      _cenaMjTuz = _prumCenaTuz;
      if(_cenaMjTuz = 0.0) then
        _cenaMjTuz = (select nakupCena from ccenik where idCenik = _polDokl.idCenik);
        if(_cenaMj = 0.0) then
          _cenaMj = _polDokl.cenaMj * _kurz;
        end if;
      end if;
      _cenaMj = _cenaMjTuz / _kurz;
      _sumZkl = _mnozMj * _cenaMjTuz;
      if(_isCiziMena) then
        _sumZklMen = _mnozMj * _cenaMj;
      else
        _sumZklMen = 0.0;
      end if;
    else
      -- pokud na sklad prijmam zkopiruji se ceny z faktury
      _mnozMj = _polDokl.mnozMj;
      _sumZkl = _polDokl.sumZkl;
      if(_mnozMj <> 0.0) then
        _cenaMj = _sumZkl / _mnozMj;
      else
        _cenaMj = _sumZkl;
      end if;
      -- TODO[kb] doplnit vypocet sum zkl men
      --_sumZklMen = _polDokl.sumZklMen;
      _sumZklMen = 0.0;
    end if;
    -- nastaveni uctu pro polSklad prijem
    _idZklMdUcet = _sklad.idPrimUcet;
    _idZklDalUcet = _polDokl.idZklMdUcet;
  end if;
  
  update dPolSklad set
    cenaMj = _cenaMj,
    mnozMj = _mnozMj,
    sumZkl = _sumZkl,
    sumZklMen = _sumZklMen,
    nazev = _polDokl.nazev,
    nazevA = _polDokl.nazevA,
    nazevB = _polDokl.nazevB,
    nazevC = _polDokl.nazevC,
    datVyst = _polDokl.datVyst,
    baleniId = _polDokl.baleniId,
    mnozBaleni = _polDokl.mnozBaleni,
    sarze = _polDokl.sarze,
    expirace = _polDokl.expirace,
    cisRad = _polDokl.cisRad,
    eankod = _polDokl.eanKod,
    idmj = _polDokl.idmj,
    idStred = _polDokl.idStred,
    idMeny = _polDokl.idMeny,
    idZakazky = _polDokl.idZakazky,
    idZklMdUcet = _idZklMdUcet,
    idZklDalUcet = _idZklDalUcet
    where idPolSklad = _idPolSklad;

  return _idPolSklad;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION fillPolSklad(integer, integer, character varying) OWNER TO %firmaRole%;





--drop function createPolSklad(integer, character varying);

CREATE OR REPLACE FUNCTION createPolSklad(_idPolDokl integer, _modul character varying) RETURNS integer AS
$BODY$
declare
  _idDoklSklad integer;
  _idDoklad integer;
  _polDokl record;
  _iducetobdobi integer;
  _idkarty integer;
  _idPolSklad integer;
  _cenaMj numeric(19,6);
  _cenaMjTuz numeric(19,6);
  _typPohybuK character varying;
  _prumCenaTuz numeric(19,6);
  _sumZkl numeric(19,6);
  _sumZklMen numeric(19,6);
  _kurz numeric(19,6);
  _idZklMdUcet integer;
  _idZklDalUcet integer;
  _kopZklMdUcet boolean;
  _kopZklDalUcet boolean;
  _sklad record;
  _typDoklK character varying;
  _mnozMj numeric(19,6);
  _isCiziMena boolean;
begin
  if(_modul like 'FAV' or _modul like 'FAP') then
    select * into _polDokl from dPolFak where idPolFak = _idPolDokl;
    _idDoklad = _polDokl.idDoklFak;
    select typDoklK into _typDoklK from dTypDokl where idTypDokl = (select idTypDokl from dDoklFak where idDoklFak = _polDokl.idDoklFak);
  else
    select * into _polDokl from dPolInt where idPolInt = _idPolDokl;
    _idDoklad = _polDokl.idDoklInt;
    _typDoklK = null; -- pro pokladnu dobropisy nejsou
  end if;

  select findParovanyDoklSklad(_idDoklad, _modul) into _idDoklSklad;
  
  if(_idDoklSklad is null) then
    select createDoklSklad(_idPolDokl, _idDoklad, _modul) into _idDoklSklad;
  end if;

  select findIdUcetniObdobiKDatu(_polDokl.datVyst) into _iducetobdobi;
  select idkarty into _idkarty from skarty where idcenik = _polDokl.idcenik and idtypdokl = _polDokl.idskladu and iducetobdobi = _iducetobdobi;
  select * into _sklad from dTypDokl where idTypDokl = _polDokl.idSkladu;
  
  select typPohybuK into _typPohybuK from dDoklSklad where idDoklSklad = _idDoklSklad;
  select getkurzfromdoklad(_idDoklSklad, _polDokl.datVyst) into _kurz;
  select prumCenaTuz into _prumCenaTuz from sKarty where idKarty = _idKarty;
  select isDoklSkladMenaCizi(_idDoklSklad, _polDokl.datVyst) into _isCiziMena;
    
  if(_typPohybuK like 'typPohybu.vydej') then
    -- pokud vydavam ze skladu tak ma byt pouzita prumerna cena
    _cenaMj = _prumCenaTuz / _kurz;
    _mnozMj = _polDokl.mnozMj;
    _sumZkl = _prumCenaTuz * _mnozMj;
    if(_isCiziMena) then
      _sumZklMen = _mnozMj * _cenaMj;
    else
      _sumZklMen = 0.0;
    end if;
    -- nastaveni uctu pro polSklad vydej
    select findZklMdUcetIfVydej(_idPolDokl, _modul) into _idZklMdUcet;
    _idZklDalUcet = _sklad.idPrimUcet;
  else
    if(_typDoklK like 'typDokladu.dobropis') then
      -- pokud se jedna o dobropis tak doplnuji nakupni ceny;
      _mnozMj = -_polDokl.mnozMj;
      _cenaMjTuz = _prumCenaTuz;
      if(_cenaMjTuz = 0.0) then
        _cenaMjTuz = (select nakupCena from ccenik where idCenik = _polDokl.idCenik);
        if(_cenaMj = 0.0) then
          _cenaMj = _polDokl.cenaMj * _kurz;
        end if;
      end if;
      _cenaMj = _cenaMjTuz / _kurz;
      _sumZkl = _mnozMj * _cenaMjTuz;
      if(_isCiziMena) then
        _sumZklMen = _mnozMj * _cenaMj;
      else
        _sumZklMen = 0.0;
      end if;
    else
      -- pokud na sklad prijmam zkopiruji se ceny z faktury
      _mnozMj = _polDokl.mnozMj;
      _sumZkl = _polDokl.sumZkl;
      if(_mnozMj <> 0.0) then
        _cenaMj = _sumZkl / _mnozMj;
      else
        _cenaMj = _sumZkl;
      end if;
      -- TODO[kb] doplnit vypocet sum zkl men
      --_sumZklMen = _polDokl.sumZklMen;
      _sumZklMen = 0.0;
    end if;
    -- nastaveni uctu pro polSklad prijem
    _idZklMdUcet = _sklad.idPrimUcet;
    _idZklDalUcet = _polDokl.idZklMdUcet;
  end if;
  
  select nextval('seq_dpolsklad') into _idPolSklad;
  insert into dpolsklad(idPolSklad, idcenik, idskladu, idkarty, datVyst, datUcto, modul, typPolozkyK, idDoklSklad, 
        mnozMj, cenaMj, sumZkl, sumZklMen, idZklMdUcet, idZklDalUcet, kopZklMdUcet, kopZklDalUcet, baleniid, mnozBaleni,
        nazev, nazevA, nazevB, nazevC, sarze, expirace, cisRad,
        idStred, idZakazky, idMeny)
      values (_idPolSklad, _polDokl.idcenik, _polDokl.idskladu, _idkarty, _polDokl.datVyst, _polDokl.datUcto, 'SKL', 'typPolozky.katalog', _idDoklSklad, 
        _mnozMj, _cenaMj, _sumZkl, _sumZklMen, _idZklMdUcet, _idZklDalUcet, false, false, _polDokl.baleniid, _polDokl.mnozBaleni, 
        _polDokl.nazev, _polDokl.nazevA, _polDokl.nazevB, _polDokl.nazevC, _polDokl.sarze, _polDokl.expirace, _polDokl.cisRad,
        _polDokl.idStred, _polDokl.idZakazky, _sklad.idMeny);

  -- TODO mozna doresit storno
  insert into dvazebtab (castka, idtabA, idtabB, modulA, modulB, storno, typVazbyK)
       values (0.0, _idPolDokl, _idPolSklad, _modul, 'SKL', false, 'typVazbyDokl.polozkaSkl');

  -- prepocteni sum na dokladu
  execute sprepoctiSumyDokladu(_idDoklSklad);

  return _idPolSklad;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION createPolSklad(integer, character varying) OWNER TO %firmaRole%;



--DROP FUNCTION createDoklSklad(integer, integer);

CREATE OR REPLACE FUNCTION createDoklSklad(_idPolDokl integer, _idDoklad integer, _modul character varying) RETURNS integer AS
$BODY$
declare
  _doklad record;
  _polDokl record;
  _doklSklad record;
  _idDoklSklad integer;
  _cisDoklad character varying;
  _idrada integer;
  _rada record;
  _sklad record;
  _idUcetObd integer;
  _radaRok record;
  _typPohybuSklad character varying;
  _idTypUcOp integer;
  _cisloDokladuCursor refCursor;
  _typDoklFak record;
  _idUcetSklad integer;
  _idProtiUcet integer;
  _typUcOp record;
begin
  if(_modul like 'POK') then
    select * into _doklad from dDoklInt where idDoklInt = _idDoklad;
    select * into _polDokl from dPolInt where idPolInt = _idPolDokl;
  else
    select * into _doklad from dDoklFak where idDoklFak = _idDoklad;
    select * into _polDokl from dPolFak where idPolFak = _idPolDokl;
  end if;

  select * into _sklad from dTypDokl where idTypDokl = _polDokl.idskladu;
  select * into _typDoklFak from dTypDokl where idTypDokl = _doklad.idTypDokl;

  -- urceni spravneho typu pohybu
  if((_typDoklFak.modul like 'FAV' or _typDoklFak.modul like 'FAV') and (_typDoklFak.typDoklK like 'typDokladu.dobropis')) then
    _typPohybuSklad = _doklad.typPohybuK;
  else 
    if(_doklad.typPohybuK like 'typPohybu.prijem') then
      _typPohybuSklad = 'typPohybu.vydej';
    else
      _typPohybuSklad = 'typPohybu.prijem';
    end if;
  end if;

  -- doplneni zbyvajicich veci zavislich na typu pohybu
  if(_typPohybuSklad like 'typPohybu.prijem') then
    _idrada = _sklad.idRadyPrijem;
    _idTypUcOp = _sklad.idTypUcOpP;
  else
    _idrada = _sklad.idRadyVydej;
    _idTypUcOp = _sklad.idTypUcOpV;
  end if;
  
  _idUcetSklad = _sklad.idPrimUcet;
  select * into _typUcOp from utypucop where idtypucop = _idTypUcOp;
  if(_typPohybuSklad like 'typPohybu.prijem') then
    _idProtiUcet = _typUcOp.idProtiucetP;
  else
    _idProtiUcet = _typUcOp.idProtiucetV;
  end if;

  select * into _rada from drady where idRady = _idrada;
  select findIdUcetniObdobiKDatu(_polDokl.datVyst) into _idUcetObd;
  select * into _radaRok from dRadyRok where iducetobdobi = _idUcetObd and idrady = _idrada;
  
  select nextval('seq_ddoklsklad') into _idDoklSklad;
  select dgetcisdokl(null, _idrada, _idUcetObd, 'SKL', _typPohybuSklad) into _cisloDokladuCursor;
  fetch _cisloDokladuCursor into _cisDoklad;
  
  -- vytvoreni noveho skladoveho dokladu
  -- TODO[kb] doplnit kurz pokud je sklad v cici mene
  insert into dDoklSklad (idDoklSklad, datVyst, datUcto, kod, modul, typPohybuK, idTypDokl, ucetni, 
         idFirmy, nazFirmy, ulice, mesto, psc, idStatu, ic, dic, vatId,
         idMur, idKrajUrc, idStatUrc, idTypUcOp, cisObj, cisDodak, doprava, idDruhDopr, popis, poznam, 
         idStred, idZakazky, idMeny, kurz, kurzMnozstvi,
         eanKod, idstatpuvod, idstatodesl,
         idPrimUcet, idProtiUcet
         )
       values (_idDoklSklad, _doklad.datVyst, _doklad.datVyst, _cisDoklad, 'SKL', _typPohybuSklad, _sklad.idTypDokl, _sklad.ucetni, 
         _doklad.idFirmy, _doklad.nazFirmy, _doklad.ulice, _doklad.mesto, _doklad.psc, _doklad.idStatu, _doklad.ic, _doklad.dic, _doklad.vatId,
         _doklad.idMur, _doklad.idKrajUrc, _doklad.idStatUrc, _idTypUcOp, _doklad.cisObj, null, _doklad.doprava, _doklad.idDruhDopr, _doklad.popis, _doklad.poznam, 
         _doklad.idStred, _doklad.idZakazky, _sklad.idMeny, 0.0, 0.0, 
         _doklad.eanKod, _doklad.idstatpuvod, _doklad.idstatodesl,
         _idUcetSklad, _idProtiUcet
         );

  -- TODO mozna doresit storno
  insert into dvazebtab (castka, idtabA, idtabB, modulA, modulB, storno, typVazbyK)
       values (0.0, _idDoklad, _idDoklSklad, _doklad.modul, 'SKL', false, 'typVazbyDokl.hlavaSkl');
  
  return _idDoklSklad;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION createDoklSklad(integer, integer, character varying) OWNER TO %firmaRole%;




--DROP FUNCTION findParovanyDoklSklad(integer, character varying);

CREATE OR REPLACE FUNCTION findParovanyDoklSklad(_idDoklad integer, _modul character varying) RETURNS integer AS
$BODY$
declare
  _idDoklSklad integer;
begin
  select idTabB into _idDoklSklad from dvazebtab where
    typVazbyK like 'typVazbyDokl.hlavaSkl'
    and idTabA = _idDoklad and modulA = _modul;
  if(_idDoklSklad is null) then
    select idTabA into _idDoklSklad from dvazebtab where
      typVazbyK like 'typVazbyDokl.hlavaSkl'
      and idTabB = _idDoklad and modulB = _modul;
  end if;
  return _idDoklSklad;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION findParovanyDoklSklad(integer, character varying) OWNER TO %firmaRole%;




CREATE OR REPLACE FUNCTION findIdUcetniObdobiKDatu(_datum date) RETURNS integer AS
$BODY$
declare
  _idUcetObdobi integer;
begin
  select idUcetObdobi into _idUcetObdobi from nUcetObdobi where platiOdData <= _datum and platiDoData >= _datum;
  return _idUcetObdobi;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION findIdUcetniObdobiKDatu(date) OWNER TO %firmaRole%;


CREATE OR REPLACE FUNCTION findZklMdUcetIfVydej(_idPolDokl integer, _modul character varying) RETURNS integer AS
$BODY$
declare
  _polDokl record;
  _skupZboz record;
  _idZklMdUcet integer;
begin
  if(_modul like 'POK') then
    select * into _polDokl from dPolInt where idPolInt = _idPolDokl;
  else
    select * into _polDokl from dPolFak where idPolFak = _idPolDokl;
  end if;
  select idProtiUcetSklV into _idZklMdUcet from cSkupZboz where idSkupZboz = (select idSkupZboz from ccenik where idCenik = _polDokl.idCenik);
  if(_idZklMdUcet is null) then
     select idProtiUcetV into _idZklMdUcet from uTypUcOp where idTypUcOp = (select idTypUcOpV from dTypDokl where idTypDokl = _polDokl.idSkladu);
  end if;
  return _idZklMdUcet;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION findZklMdUcetIfVydej(integer, character varying) OWNER TO %firmaRole%;




CREATE OR REPLACE FUNCTION deleteNavazanePolSklad(_idPolDokl integer, _modul character varying) RETURNS void AS
$BODY$
declare
  _idPolSklad integer;
  _idVazbyPolSklad integer;
  _idPolSkladRozpad integer;
begin
  select findParovanyPolSklad(_idPolDokl, _modul) into _idPolSklad;
  -- TODO[kb] smazat fifo rozpady
  for _idVazbyPolSklad in select idVazbyPolSklad from sVazbyPolSklad where idPolSkladZdroj = _idPolSklad loop
    select idPolSkladCil into _idPolSkladRozpad from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;
    delete from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;
    delete from dPolSklad where idPolSklad = _idPolSkladRozpad;
  end loop;

  delete from dVazebTab where idTabA = _idPolDokl and idTabB = _idPolSklad 
      and modulA like _modul and modulB like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSkl';
  delete from dVazebTab where idTabB = _idPolDokl and idTabA = _idPolSklad 
      and modulB like _modul and modulA like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSkl';
  delete from dPolSklad where idPolSklad = _idPolSklad;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION deleteNavazanePolSklad(integer, character varying) OWNER TO %firmaRole%;

CREATE OR REPLACE FUNCTION findParovanyPolSklad(_idPolDokl integer, _modul character varying) RETURNS integer AS
$BODY$
declare
  _idPolSklad integer;
begin
  select idTabB into _idPolSklad from dvazebtab where
    typVazbyK like 'typVazbyDokl.polozkaSkl'
    and idTabA = _idPolDokl and modulA = _modul;
  if(_idPolSklad is null) then
    select idTabA into _idPolSklad from dvazebtab where
      typVazbyK like 'typVazbyDokl.polozkaSkl'
      and idTabB = _idPolDokl and modulB = _modul;
  end if;
  return _idPolSklad;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION findParovanyDoklSklad(integer, character varying) OWNER TO %firmaRole%;




-- Function: sprepoctisumydokladu(integer)
-- DROP FUNCTION sprepoctisumydokladu(integer);
CREATE OR REPLACE FUNCTION sprepoctisumydokladu(i_iddoklsklad integer)
  RETURNS void AS
$BODY$ 
declare 
 _sumZkl numeric(15,2);  
 _sumZklMen numeric(15,2);   
begin 
 select sum(sumZkl), sum(sumZklMen) into _sumZkl, _sumZklMen from dPolSklad where idDoklSklad = i_idDoklSklad and storno = false and stornoPol = false; 
 if(_sumZkl is null) then _sumZkl = 0.0; end if;
 if(_sumZklMen is null) then _sumZklMen = 0.0; end if;
 update dDoklSklad set sumCelkem = _sumZkl, sumCelkemMen = _sumZklMen where idDoklSklad = i_idDoklSklad; 
end 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION sprepoctisumydokladu(integer) OWNER TO %firmaRole%;





CREATE OR REPLACE FUNCTION sVyrobniCisloInsertUpdate() RETURNS trigger AS
$BODY$
declare
  _idPolSklad integer;
begin
  if(NEW.idPolSkladPrijem is null) then
    if(tg_op = 'INSERT') then
      if(NEW.idPolFakPrijem is not null) then 
        select findParovanyPolSklad(NEW.idPolFakPrijem, 'FAP') into _idPolSklad;
      elsif(NEW.idPolIntPrijem is not null) then
        select findParovanyPolSklad(NEW.idPolIntPrijem, 'POK') into _idPolSklad;
      end if;
      if(_idPolSklad is not null) then
        NEW.idPolSkladPrijem = _idPolSklad;
      end if;
    elsif(tg_op = 'UPDATE') then
      if(NEW.idPolFakPrijem <> OLD.idPolFakPrijem) then
        select findParovanyPolSklad(NEW.idPolFakPrijem, 'FAP') into _idPolSklad;
      elsif(NEW.idPolIntPrijem <> OLD.idPolIntPrijem) then
        select findParovanyPolSklad(NEW.idPolIntPrijem, 'POK') into _idPolSklad;
      end if;
      if(_idPolSklad is not null) then
        NEW.idPolSkladPrijem = _idPolSklad;
      end if;
    end if;
  end if;
  _idPolSklad = null;
  if(NEW.idPolSkladVydej is null) then
    if(tg_op = 'INSERT') then
      if(NEW.idPolFakVydej is not null) then 
        select findParovanyPolSklad(NEW.idPolFakVydej, 'FAV') into _idPolSklad;
      elsif(NEW.idPolIntVydej is not null) then
        select findParovanyPolSklad(NEW.idPolIntVydej, 'POK') into _idPolSklad;
      end if;
      if(_idPolSklad is not null) then
        NEW.idPolSkladVydej = _idPolSklad;
      end if;
    elsif(tg_op = 'UPDATE') then
      if((NEW.idPolFakVydej is not null and OLD.idPolFakVydej is null) or (NEW.idPolFakVydej <> OLD.idPolFakVydej)) then
        select findParovanyPolSklad(NEW.idPolFakVydej, 'FAV') into _idPolSklad;
      elsif((NEW.idPolIntVydej is not null and OLD.idPolIntVydej is null) or (NEW.idPolFakVydej <> OLD.idPOlFakVydej)) then
        select findParovanyPolSklad(NEW.idPolIntVydej, 'POK') into _idPolSklad;
      end if;
      if(_idPolSklad is not null) then
        NEW.idPolSkladVydej = _idPolSklad;
      end if;
    end if;
  end if;

  return NEW;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION sVyrobniCisloInsertUpdate() OWNER TO %firmaRole%;

--DROP TRIGGER asVyrobniCisloInsertUpdate ON sVyrobniCislo;

CREATE TRIGGER asVyrobniCisloInsertUpdate
  BEFORE INSERT OR UPDATE
  ON sVyrobniCislo
  FOR EACH ROW
  EXECUTE PROCEDURE sVyrobniCisloInsertUpdate();


-- nastaveni verze vytvorene databaze - nebudou se provadet upgrady s mensi nebo stejnou verzi
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 175, 't');

