--------------------------------------------------------------------------------
-- Bug none - castecna synchronizace databazi vzniklych create scriptem a upgrady
--------------------------------------------------------------------------------

-- Function: deletenavazanepolsklad(integer, character varying)

-- DROP FUNCTION deletenavazanepolsklad(integer, character varying);

CREATE OR REPLACE FUNCTION deletenavazanepolsklad(_idpoldokl integer, _modul character varying)
  RETURNS void AS
$BODY$ 
declare 
  _idPolSklad integer; 
  _idVazbyPolSklad integer; 
  _idPolSkladRozpad integer; 
begin 
  for _idPolSklad in select idTabB from dvazebtab where 
    typVazbyK like 'typVazbyDokl.polozkaSkl'  
    and idTabA = _idPolDokl and modulA = _modul and modulB = 'SKL' 
    loop 
 
    for _idVazbyPolSklad in select idVazbyPolSklad from sVazbyPolSklad where idPolSkladZdroj = _idPolSklad loop  
      select idPolSkladCil into _idPolSkladRozpad from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;  
      delete from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;  
      delete from dPolSklad where idPolSklad = _idPolSkladRozpad;  
    end loop; 
 
    delete from dVazebTab where idTabA = _idPolDokl and idTabB = _idPolSklad   
      and modulA like _modul and modulB like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSkl';  
    delete from dVazebTab where idTabB = _idPolDokl and idTabA = _idPolSklad   
      and modulB like _modul and modulA like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSkl';  
    delete from dPolSklad where idPolSklad = _idPolSklad;    
  end loop; 
 
  for _idPolSklad in select idTabA from dvazebtab where 
    typVazbyK like 'typVazbyDokl.polozkaSkl'  
    and idTabB = _idPolDokl and modulB = _modul and modulA = 'SKL' 
    loop 
 
    for _idVazbyPolSklad in select idVazbyPolSklad from sVazbyPolSklad where idPolSkladZdroj = _idPolSklad loop  
      select idPolSkladCil into _idPolSkladRozpad from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;  
      delete from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;  
      delete from dPolSklad where idPolSklad = _idPolSkladRozpad;  
    end loop; 
 
    delete from dVazebTab where idTabA = _idPolDokl and idTabB = _idPolSklad   
      and modulA like _modul and modulB like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSkl';  
    delete from dVazebTab where idTabB = _idPolDokl and idTabA = _idPolSklad   
      and modulB like _modul and modulA like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSkl';  
    delete from dPolSklad where idPolSklad = _idPolSklad;     
  end loop;  
 
  for _idPolSklad in select idTabB from dvazebtab where  
    typVazbyK like 'typVazbyDokl.polozkaSklSada'   
    and idTabA = _idPolDokl and modulA = _modul and modulB = 'SKL'  
    loop  
  
    for _idVazbyPolSklad in select idVazbyPolSklad from sVazbyPolSklad where idPolSkladZdroj = _idPolSklad loop   
      select idPolSkladCil into _idPolSkladRozpad from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;   
      delete from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;   
      delete from dPolSklad where idPolSklad = _idPolSkladRozpad;   
    end loop;  
  
    delete from dVazebTab where idTabA = _idPolDokl and idTabB = _idPolSklad    
      and modulA like _modul and modulB like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSklSada';   
    delete from dVazebTab where idTabB = _idPolDokl and idTabA = _idPolSklad    
      and modulB like _modul and modulA like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSklSada';   
    delete from dPolSklad where idPolSklad = _idPolSklad;     
  end loop;  
 
  for _idPolSklad in select idTabA from dvazebtab where  
    typVazbyK like 'typVazbyDokl.polozkaSklSada'   
    and idTabB = _idPolDokl and modulB = _modul and modulA = 'SKL'  
    loop  
  
    for _idVazbyPolSklad in select idVazbyPolSklad from sVazbyPolSklad where idPolSkladZdroj = _idPolSklad loop   
      select idPolSkladCil into _idPolSkladRozpad from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;   
      delete from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;   
      delete from dPolSklad where idPolSklad = _idPolSkladRozpad;   
    end loop;  
  
    delete from dVazebTab where idTabA = _idPolDokl and idTabB = _idPolSklad    
      and modulA like _modul and modulB like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSklSada';   
    delete from dVazebTab where idTabB = _idPolDokl and idTabA = _idPolSklad    
      and modulB like _modul and modulA like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSklSada';   
    delete from dPolSklad where idPolSklad = _idPolSklad;    
  end loop; 
 
  -- pokud mazu polozku vydejky, ktera byla vytvorena k polozce prijemky podle kusovniku 
  -- vyhodim vyjimku, polozek vydejky se muselo vytvorit vice a musel bych je smazat vsechny 
  -- navic mi prijemka ridi existenci vydejky a tak bych celou vazbu mel ovladat z ni 
  if (exists (select 1 from dvazebtab where idTabB = _idPolDokl and modulB = _modul 
    and typVazbyK = 'typVazbyDokl.polozkaSklKus')) then 
        raise exception 'polozku dokladu vydejky nelze smazat, smazte zavislou polozku na prijemce'; 
  end if; 
 
  for _idPolSklad in select idTabB from dvazebtab where 
    typVazbyK like 'typVazbyDokl.polozkaSklKus'  
    and idTabA = _idPolDokl and modulA = _modul and modulB = 'SKL' 
    loop 
 
    for _idVazbyPolSklad in select idVazbyPolSklad from sVazbyPolSklad where idPolSkladZdroj = _idPolSklad loop  
      select idPolSkladCil into _idPolSkladRozpad from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;  
      delete from sVazbyPolSklad where idVazbyPolSklad = _idVazbyPolSklad;  
      delete from dPolSklad where idPolSklad = _idPolSkladRozpad;  
    end loop; 
 
    delete from dVazebTab where idTabA = _idPolDokl and idTabB = _idPolSklad   
      and modulA like _modul and modulB like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSklKus'; 
    delete from dVazebTab where idTabB = _idPolDokl and idTabA = _idPolSklad   
      and modulB like _modul and modulA like 'SKL' and typVazbyK like 'typVazbyDokl.polozkaSklKus'; 
    delete from dPolSklad where idPolSklad = _idPolSklad;    
  end loop; 
end; 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION deletenavazanepolsklad(integer, character varying) OWNER TO %firmaRole%;

drop function if exists exec(text);

DROP FUNCTION if exists findmatcheditems(character varying, character varying, character varying, character varying, character varying, character varying, integer, integer);
DROP FUNCTION if exists findmatcheditems(character varying, character varying, character varying, character varying, character varying, character varying, character varying, integer, integer);

DROP FUNCTION if exists dcanulozitpolozku(integer, date, integer, numeric, character varying, integer, character varying);

DROP SEQUENCE IF EXISTS seq_dprilohy;
DROP SEQUENCE IF EXISTS seq_nlogo;



-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 226, 't');
