--------------------------------------------------------------------------------
-- Bug 19281 – [WinStrom] Rozvaha v určitých případech ignoruje zůstatky některých 
-- účtů > Účet 221 ve standart.účtové osnově je blbě nastaven
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _idtyporgread integer;
begin
  select idtyporg into _idtyporgread from nnastav limit 1;

  -- sestavy aktualizujeme jen pro cechy
  if (_idtyporgread = 1) then
-- zacatek bloku ceskych podnikatelu


-- uprava uctu 250
UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvo' WHERE uuid = 'CZ_POD_250';

-- uprava sestavy
UPDATE usesstdpred SET jenkladne = false WHERE IdSesStdPred = 123;
UPDATE usesstdpred SET jenkladne = false WHERE IdSesStdPred = 124;
UPDATE usesstdpred SET jenkladne = false WHERE IdSesStdPred = 375;
UPDATE usesstdpred SET jenkladne = false WHERE IdSesStdPred = 383;
UPDATE usesstdpred SET jenkladne = false WHERE IdSesStdPred = 436;
UPDATE usesstdpred SET jenkladne = false WHERE IdSesStdPred = 437;
UPDATE usesstdpred SET jenkladne = false WHERE IdSesStdPred = 438;
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (450, '2010-04-29 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 72, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_330'));

-- konec ceskeho bloku
  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 301, 't');
