--------------------------------------------------------------------------------
-- Bug 19948 – [WinStrom] ISPV
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
ALTER TABLE pmzdsloz DISABLE TRIGGER pmzdslozupdatedatumvypoctu;

UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 17;
UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 18;
UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 19;
UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 20;
UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 22;
UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 23;
UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 24;
UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 25;
UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 26;
UPDATE pcismzdsloz SET popis = '' WHERE IdCisMzdSloz = 27;
UPDATE pcismzdsloz SET popis = 'ispv2010:mp,mzda,castmzd' WHERE IdCisMzdSloz = 28;
UPDATE pcismzdsloz SET pracovni = false WHERE IdCisMzdSloz = 182;
UPDATE pcismzdsloz SET pracovni = false WHERE IdCisMzdSloz = 183;
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (299, '2010-07-01 00:00:00.000', 'HRMZDYQ', 'Celkové hrubé mzdy', '', true, 7, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (300, '2010-07-01 00:00:00.000', 'PONEQ', 'Prémie a odměny nepravidelně zúčtované ve mzdě', '', true, 8, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (301, '2010-07-01 00:00:00.000', 'ODPRACDQ', 'Celkový počet hodin skutečně odpracovaných', '', true, 9, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (302, '2010-07-01 00:00:00.000', 'PRESCASQ', 'Celkové přesčasové hodiny (podle § 78 odst. 1 písm. i/ ZP)', '', true, 10, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (303, '2010-07-01 00:00:00.000', 'ABSCELKQ', 'Celkový počet neodpracovaných hodin z fondu pracovní doby', '', true, 11, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (304, '2010-07-01 00:00:00.000', 'ABSPLACQ', 'Počet neodpracovaných hodin s náhradou či nekrácením mzdy u zaměstnanců', '', true, 12, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (305, '2010-07-01 00:00:00.000', 'POCFYZQ', 'Průměrný počet zaměstnanců (fyzických osob) v evidenčním počtu', '', true, 13, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (306, '2010-07-01 00:00:00.000', 'POCPREPQ', 'Průměrný přepočtený počet zaměstnanců v evidenčním počtu', '', true, 14, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (307, '2010-07-01 00:00:00.000', 'OONQ', 'Ostatní osobní náklady', '', true, 15, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (308, '2010-07-01 00:00:00.000', 'ODMDPCQ', 'Odměny osobám pracujícím na dohodu o pracovní činnosti', '', true, 16, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (309, '2010-07-01 00:00:00.000', 'HODDPCQ', 'Počet hodin odpracovaných osobami pracujícími na dohodu o pracovní činnosti', '', true, 17, 'typSlozky.vypocet', 'skupinaSlozky.ispvFirma', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (310, '2010-07-01 00:00:00.000', 'FONDSTA', 'Stanovený fond je plánovaný hodinový fond pracovní doby pro pracovní pozici zaměstnance', true, 16, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (311, '2010-07-01 00:00:00.000', 'FONDSJE', 'Sjednaný fond je plánovaný hodinový fond pracovní doby zaměstnance', true, 17, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (312, '2010-07-01 00:00:00.000', 'ODPRACD', 'Odpracovaná doba zaměstnance v daném pracovním poměru (podle § 353 odst. 2 a 3 ZP) ', true, 18, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (313, '2010-07-01 00:00:00.000', 'PRESCAS', 'Počet přesčasových hodin (podle § 78 odst. 1 písm. i/ ZP)v', true, 19, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (314, '2010-07-01 00:00:00.000', 'ABSCELK', 'Celkový počet neodpracovaných hodin', true, 20, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (315, '2010-07-01 00:00:00.000', 'ABSPLAC', 'Počet neodpracovaných hodin s náhradou či nekrácením mzdy', true, 21, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (316, '2010-07-01 00:00:00.000', 'ABSDOVOL', 'Počet čerpaných hodin dovolené', true, 22, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (317, '2010-07-01 00:00:00.000', 'ABSNEMOC', 'Počet hodin z fondu pracovní doby neodpracovaných z důvodu dočasné pracovní neschopnosti (příp. karantény)', true, 23, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (318, '2010-07-01 00:00:00.000', 'ABSNEMZ', 'Počet hodin z fondu pracovní doby neodpracovaných z důvodu dočasné pracovní neschopnosti (příp. karantény), za které se neposkytuje nemocenská dávka podle zákona o nemocenském pojištění (zákon č. 187/2006 Sb.).', true, 24, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (319, '2010-07-01 00:00:00.000', 'MZDA', 'Mzda zúčtovaná v jednotlivých měsících', true, 25, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (320, '2010-07-01 00:00:00.000', 'POPRAV', 'Prémie a odměny pravidelně měsíčně zúčtované se mzdou', true, 26, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (321, '2010-07-01 00:00:00.000', 'PONEPRAV', 'Prémie a odměny nepravidelně zúčtované ve mzdě od počátku roku do konce sledovaného období (z položky MZDA).', true, 27, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (322, '2010-07-01 00:00:00.000', 'PRIPPCAS', 'Příplatky za práci přesčas', true, 28, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (323, '2010-07-01 00:00:00.000', 'PRIPLAT', 'Uvádí se součet příplatků (z položky MZDA)', true, 29, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (324, '2010-07-01 00:00:00.000', 'NAHRADY', 'Náhrady mzdy', 'Uvedou se zde např. náhrady za dovolenou, svátky, za poskytnuté volno při překážkách v práci na straně zaměstnance, při překážkách v práci na straně zaměstnavatele, při překážkách z důvodu obecného zájmu, atd.', true, 30, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (325, '2010-07-01 00:00:00.000', 'NAHRNEMZ', 'Náhrady mzdy při dočasné pracovní neschopnosti (karantény)', true, 31, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (326, '2010-07-01 00:00:00.000', 'POHOTOV', 'Odměny za pracovní pohotovost podle § 140 ZP', true, 32, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (327, '2010-07-01 00:00:00.000', 'PRUMVYD', 'Průměrný výdělek zjištěný pro náhrady mzdy', true, 33, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (328, '2010-07-01 00:00:00.000', 'ABSCELK-PRAC', 'Celkový počet neodpracovaných hodin - pracovní púro výpočet ISPV', true, 20, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (329, '2010-07-01 00:00:00.000', 'ABSNEMOC-PRAC', 'Počet hodin z fondu pracovní doby neodpracovaných z důvodu dočasné pracovní neschopnosti (příp. karantény) - pracovní púro výpočet ISPV', true, 20, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (330, '2010-07-01 00:00:00.000', 'POPRAV-PRAC', 'Prémie a odměny pravidelně měsíčně zúčtované se mzdou', true, 26, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (332, '2010-07-01 00:00:00.000', 'NAHRADY-PRAC', 'Náhrady mzdy', 'Uvedou se zde např. náhrady za dovolenou, svátky, za poskytnuté volno při překážkách v práci na straně zaměstnance, při překážkách v práci na straně zaměstnavatele, při překážkách z důvodu obecného zájmu, atd.', true, 30, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka)
 VALUES (333, '2010-07-01 00:00:00.000', 'ABSPLAC-PRAC', 'Počet neodpracovaných hodin s náhradou či nekrácením mzdy', true, 21, 'typSlozky.vypocet', 'skupinaSlozky.ispvZamestnanec', true, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false);
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole)
 VALUES (334, '2010-07-01 00:00:00.000', 'SVÁTEK 4 MM  ', 'Svátek pro měsíční mzdu do PPP', '01.06.2010 ', true, 2000, 'typSlozky.vypocet', 'skupinaSlozky.nepritomnost', false, false, false, true, true, true, true, true, false, false, false, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, true, true, 'hodiny;castMzd');

PERFORM pg_catalog.setval('seq_pcismzdsloz', 334, true);

ALTER TABLE pmzdsloz ENABLE TRIGGER pmzdslozupdatedatumvypoctu;

-- update inicializacnich radek kalkulacky
-- update radek kalkulacky
UPDATE pmzdcalc SET cisrad = 76 WHERE IdMzdCalc = 1;
UPDATE pmzdcalc SET cisrad = 77 WHERE IdMzdCalc = 5;
UPDATE pmzdcalc SET cisrad = 124 WHERE IdMzdCalc = 7;
UPDATE pmzdcalc SET cisrad = 123 WHERE IdMzdCalc = 8;
UPDATE pmzdcalc SET cisrad = 125 WHERE IdMzdCalc = 9;
UPDATE pmzdcalc SET cisrad = 94 WHERE IdMzdCalc = 11;
UPDATE pmzdcalc SET cisrad = 99 WHERE IdMzdCalc = 24;
UPDATE pmzdcalc SET cisrad = 172 WHERE IdMzdCalc = 27;
UPDATE pmzdcalc SET cisrad = 171 WHERE IdMzdCalc = 29;
UPDATE pmzdcalc SET cisrad = 100 WHERE IdMzdCalc = 30;
UPDATE pmzdcalc SET cisrad = 175 WHERE IdMzdCalc = 31;
UPDATE pmzdcalc SET cisrad = 101 WHERE IdMzdCalc = 32;
UPDATE pmzdcalc SET cisrad = 102 WHERE IdMzdCalc = 33;
UPDATE pmzdcalc SET cisrad = 107 WHERE IdMzdCalc = 34;
UPDATE pmzdcalc SET cisrad = 108 WHERE IdMzdCalc = 35;
UPDATE pmzdcalc SET cisrad = 119 WHERE IdMzdCalc = 37;
UPDATE pmzdcalc SET cisrad = 120 WHERE IdMzdCalc = 38;
UPDATE pmzdcalc SET cisrad = 121 WHERE IdMzdCalc = 40;
UPDATE pmzdcalc SET cisrad = 147 WHERE IdMzdCalc = 41;
UPDATE pmzdcalc SET cisrad = 157 WHERE IdMzdCalc = 42;
UPDATE pmzdcalc SET cisrad = 149 WHERE IdMzdCalc = 43;
UPDATE pmzdcalc SET cisrad = 153 WHERE IdMzdCalc = 44;
UPDATE pmzdcalc SET cisrad = 159 WHERE IdMzdCalc = 45;
UPDATE pmzdcalc SET cisrad = 141 WHERE IdMzdCalc = 46;
UPDATE pmzdcalc SET cisrad = 160 WHERE IdMzdCalc = 47;
UPDATE pmzdcalc SET cisrad = 144 WHERE IdMzdCalc = 48;
UPDATE pmzdcalc SET cisrad = 158 WHERE IdMzdCalc = 49;
UPDATE pmzdcalc SET cisrad = 174 WHERE IdMzdCalc = 51;
UPDATE pmzdcalc SET cisrad = 176 WHERE IdMzdCalc = 53;
UPDATE pmzdcalc SET cisrad = 177 WHERE IdMzdCalc = 55;
UPDATE pmzdcalc SET cisrad = 178 WHERE IdMzdCalc = 56;
UPDATE pmzdcalc SET cisrad = 179 WHERE IdMzdCalc = 57;
UPDATE pmzdcalc SET cisrad = 173 WHERE IdMzdCalc = 58;
UPDATE pmzdcalc SET cisrad = 180 WHERE IdMzdCalc = 59;
UPDATE pmzdcalc SET cisrad = 181 WHERE IdMzdCalc = 61;
UPDATE pmzdcalc SET cisrad = 182 WHERE IdMzdCalc = 62;
UPDATE pmzdcalc SET cisrad = 183 WHERE IdMzdCalc = 63;
UPDATE pmzdcalc SET cisrad = 197 WHERE IdMzdCalc = 64;
UPDATE pmzdcalc SET cisrad = 222 WHERE IdMzdCalc = 68;
UPDATE pmzdcalc SET cisrad = 223 WHERE IdMzdCalc = 69;
UPDATE pmzdcalc SET cisrad = 254 WHERE IdMzdCalc = 70;
UPDATE pmzdcalc SET cisrad = 212 WHERE IdMzdCalc = 75;
UPDATE pmzdcalc SET cisrad = 241 WHERE IdMzdCalc = 76;
UPDATE pmzdcalc SET cisrad = 255 WHERE IdMzdCalc = 78;
UPDATE pmzdcalc SET cisrad = 283 WHERE IdMzdCalc = 79;
UPDATE pmzdcalc SET cisrad = 269 WHERE IdMzdCalc = 80;
UPDATE pmzdcalc SET cisrad = 270 WHERE IdMzdCalc = 81;
UPDATE pmzdcalc SET cisrad = 271 WHERE IdMzdCalc = 82;
UPDATE pmzdcalc SET cisrad = 272 WHERE IdMzdCalc = 83;
UPDATE pmzdcalc SET cisrad = 273 WHERE IdMzdCalc = 86;
UPDATE pmzdcalc SET cisrad = 278 WHERE IdMzdCalc = 89;
UPDATE pmzdcalc SET cisrad = 277 WHERE IdMzdCalc = 92;
UPDATE pmzdcalc SET cisrad = 279 WHERE IdMzdCalc = 93;
UPDATE pmzdcalc SET cisrad = 285 WHERE IdMzdCalc = 94;
UPDATE pmzdcalc SET cisrad = 306 WHERE IdMzdCalc = 95;
UPDATE pmzdcalc SET cisrad = 310 WHERE IdMzdCalc = 96;
UPDATE pmzdcalc SET cisrad = 308 WHERE IdMzdCalc = 97;
UPDATE pmzdcalc SET cisrad = 312 WHERE IdMzdCalc = 98;
UPDATE pmzdcalc SET cisrad = 358 WHERE IdMzdCalc = 99;
UPDATE pmzdcalc SET cisrad = 325 WHERE IdMzdCalc = 100;
UPDATE pmzdcalc SET cisrad = 357 WHERE IdMzdCalc = 101;
UPDATE pmzdcalc SET cisrad = 326 WHERE IdMzdCalc = 103;
UPDATE pmzdcalc SET cisrad = 332 WHERE IdMzdCalc = 104;
UPDATE pmzdcalc SET cisrad = 333 WHERE IdMzdCalc = 106;
UPDATE pmzdcalc SET cisrad = 334 WHERE IdMzdCalc = 107;
UPDATE pmzdcalc SET cisrad = 335 WHERE IdMzdCalc = 108;
UPDATE pmzdcalc SET cisrad = 336 WHERE IdMzdCalc = 109;
UPDATE pmzdcalc SET cisrad = 337 WHERE IdMzdCalc = 110;
UPDATE pmzdcalc SET cisrad = 343 WHERE IdMzdCalc = 111;
UPDATE pmzdcalc SET cisrad = 366 WHERE IdMzdCalc = 112;
UPDATE pmzdcalc SET cisrad = 367 WHERE IdMzdCalc = 113;
UPDATE pmzdcalc SET cisrad = 364 WHERE IdMzdCalc = 114;
UPDATE pmzdcalc SET cisrad = 211 WHERE IdMzdCalc = 115;
UPDATE pmzdcalc SET cisrad = 210 WHERE IdMzdCalc = 116;
UPDATE pmzdcalc SET cisrad = 372 WHERE IdMzdCalc = 117;
UPDATE pmzdcalc SET cisrad = 261 WHERE IdMzdCalc = 119;
UPDATE pmzdcalc SET cisrad = 282 WHERE IdMzdCalc = 120;
UPDATE pmzdcalc SET cisrad = 284 WHERE IdMzdCalc = 122;
UPDATE pmzdcalc SET cisrad = 329 WHERE IdMzdCalc = 123;
UPDATE pmzdcalc SET cisrad = 316 WHERE IdMzdCalc = 124;
UPDATE pmzdcalc SET cisrad = 342 WHERE IdMzdCalc = 125;
UPDATE pmzdcalc SET cisrad = 327 WHERE IdMzdCalc = 130;
UPDATE pmzdcalc SET cisrad = 330 WHERE IdMzdCalc = 131;
UPDATE pmzdcalc SET cisrad = 224 WHERE IdMzdCalc = 133;
UPDATE pmzdcalc SET cisrad = 274 WHERE IdMzdCalc = 134;
UPDATE pmzdcalc SET cisrad = 275 WHERE IdMzdCalc = 135;
UPDATE pmzdcalc SET cisrad = 339 WHERE IdMzdCalc = 136;
UPDATE pmzdcalc SET cisrad = 362 WHERE IdMzdCalc = 139;
UPDATE pmzdcalc SET cisrad = 363 WHERE IdMzdCalc = 140;
UPDATE pmzdcalc SET cisrad = 359 WHERE IdMzdCalc = 145;
UPDATE pmzdcalc SET cisrad = 365 WHERE IdMzdCalc = 146;
UPDATE pmzdcalc SET cisrad = 368 WHERE IdMzdCalc = 147;
UPDATE pmzdcalc SET cisrad = 375 WHERE IdMzdCalc = 172;
UPDATE pmzdcalc SET cisrad = 376 WHERE IdMzdCalc = 173;
UPDATE pmzdcalc SET cisrad = 377 WHERE IdMzdCalc = 174;
UPDATE pmzdcalc SET cisrad = 378 WHERE IdMzdCalc = 175;
UPDATE pmzdcalc SET cisrad = 32 WHERE IdMzdCalc = 181;
UPDATE pmzdcalc SET cisrad = 31 WHERE IdMzdCalc = 183;
UPDATE pmzdcalc SET cisrad = 33 WHERE IdMzdCalc = 184;
UPDATE pmzdcalc SET cisrad = 34 WHERE IdMzdCalc = 185;
UPDATE pmzdcalc SET cisrad = 35 WHERE IdMzdCalc = 186;
UPDATE pmzdcalc SET cisrad = 45 WHERE IdMzdCalc = 190;
UPDATE pmzdcalc SET cisrad = 41 WHERE IdMzdCalc = 191;
UPDATE pmzdcalc SET cisrad = 46 WHERE IdMzdCalc = 192;
UPDATE pmzdcalc SET cisrad = 373 WHERE IdMzdCalc = 193;
UPDATE pmzdcalc SET cisrad = 374 WHERE IdMzdCalc = 194;
UPDATE pmzdcalc SET cisrad = 383 WHERE IdMzdCalc = 195;
UPDATE pmzdcalc SET cisrad = 390 WHERE IdMzdCalc = 196;
UPDATE pmzdcalc SET cisrad = 379 WHERE IdMzdCalc = 197;
UPDATE pmzdcalc SET cisrad = 384 WHERE IdMzdCalc = 198;
UPDATE pmzdcalc SET cisrad = 385 WHERE IdMzdCalc = 201;
UPDATE pmzdcalc SET cisrad = 418 WHERE IdMzdCalc = 202;
UPDATE pmzdcalc SET cisrad = 391 WHERE IdMzdCalc = 206;
UPDATE pmzdcalc SET cisrad = 419 WHERE IdMzdCalc = 207;
UPDATE pmzdcalc SET cisrad = 54 WHERE IdMzdCalc = 208;
UPDATE pmzdcalc SET cisrad = 57 WHERE IdMzdCalc = 209;
UPDATE pmzdcalc SET cisrad = 90 WHERE IdMzdCalc = 211;
UPDATE pmzdcalc SET cisrad = 420 WHERE IdMzdCalc = 215;
UPDATE pmzdcalc SET cisrad = 69 WHERE IdMzdCalc = 216;
UPDATE pmzdcalc SET cisrad = 68 WHERE IdMzdCalc = 217;
UPDATE pmzdcalc SET cisrad = 405 WHERE IdMzdCalc = 221;
UPDATE pmzdcalc SET cisrad = 399 WHERE IdMzdCalc = 222;
UPDATE pmzdcalc SET cisrad = 411 WHERE IdMzdCalc = 223;
UPDATE pmzdcalc SET cisrad = 193 WHERE IdMzdCalc = 225;
UPDATE pmzdcalc SET cisrad = 58 WHERE IdMzdCalc = 226;
UPDATE pmzdcalc SET cisrad = 346 WHERE IdMzdCalc = 227;
UPDATE pmzdcalc SET cisrad = 37 WHERE IdMzdCalc = 228;
UPDATE pmzdcalc SET cisrad = 62 WHERE IdMzdCalc = 234;
UPDATE pmzdcalc SET cisrad = 75 WHERE IdMzdCalc = 236;
UPDATE pmzdcalc SET cisrad = 348 WHERE IdMzdCalc = 238;
UPDATE pmzdcalc SET cisrad = 344 WHERE IdMzdCalc = 239;
UPDATE pmzdcalc SET cisrad = 349 WHERE IdMzdCalc = 240;
UPDATE pmzdcalc SET cisrad = 350 WHERE IdMzdCalc = 241;
UPDATE pmzdcalc SET cisrad = 354 WHERE IdMzdCalc = 245;
UPDATE pmzdcalc SET cisrad = 355 WHERE IdMzdCalc = 247;
UPDATE pmzdcalc SET cisrad = 356 WHERE IdMzdCalc = 249;
UPDATE pmzdcalc SET cisrad = 264 WHERE IdMzdCalc = 250;
UPDATE pmzdcalc SET cisrad = 263 WHERE IdMzdCalc = 251;
UPDATE pmzdcalc SET cisrad = 265 WHERE IdMzdCalc = 252;
UPDATE pmzdcalc SET cisrad = 266 WHERE IdMzdCalc = 253;
UPDATE pmzdcalc SET cisrad = 267 WHERE IdMzdCalc = 254;
UPDATE pmzdcalc SET cisrad = 404 WHERE IdMzdCalc = 256;
UPDATE pmzdcalc SET cisrad = 286 WHERE IdMzdCalc = 258;
UPDATE pmzdcalc SET cisrad = 287 WHERE IdMzdCalc = 259;
UPDATE pmzdcalc SET cisrad = 288 WHERE IdMzdCalc = 260;
UPDATE pmzdcalc SET cisrad = 289 WHERE IdMzdCalc = 261;
UPDATE pmzdcalc SET cisrad = 291 WHERE IdMzdCalc = 262;
UPDATE pmzdcalc SET cisrad = 145 WHERE IdMzdCalc = 272;
UPDATE pmzdcalc SET cisrad = 146 WHERE IdMzdCalc = 274;
UPDATE pmzdcalc SET cisrad = 137 WHERE IdMzdCalc = 275;
UPDATE pmzdcalc SET cisrad = 135 WHERE IdMzdCalc = 278;
UPDATE pmzdcalc SET cisrad = 136 WHERE IdMzdCalc = 280;
UPDATE pmzdcalc SET cisrad = 139 WHERE IdMzdCalc = 281;
UPDATE pmzdcalc SET cisrad = 140 WHERE IdMzdCalc = 282;
UPDATE pmzdcalc SET cisrad = 142 WHERE IdMzdCalc = 288;
UPDATE pmzdcalc SET cisrad = 143 WHERE IdMzdCalc = 290;
UPDATE pmzdcalc SET cisrad = 152 WHERE IdMzdCalc = 291;
UPDATE pmzdcalc SET cisrad = 150 WHERE IdMzdCalc = 296;
UPDATE pmzdcalc SET cisrad = 151 WHERE IdMzdCalc = 297;
UPDATE pmzdcalc SET cisrad = 488 WHERE IdMzdCalc = 307;
UPDATE pmzdcalc SET cisrad = 490 WHERE IdMzdCalc = 308;
UPDATE pmzdcalc SET cisrad = 305 WHERE IdMzdCalc = 310;
UPDATE pmzdcalc SET cisrad = 256 WHERE IdMzdCalc = 320;
UPDATE pmzdcalc SET cisrad = 258 WHERE IdMzdCalc = 321;
UPDATE pmzdcalc SET cisrad = 259 WHERE IdMzdCalc = 322;
UPDATE pmzdcalc SET cisrad = 257 WHERE IdMzdCalc = 323;
UPDATE pmzdcalc SET cisrad = 268 WHERE IdMzdCalc = 324;
UPDATE pmzdcalc SET cisrad = 276 WHERE IdMzdCalc = 325;
UPDATE pmzdcalc SET cisrad = 280 WHERE IdMzdCalc = 326;
UPDATE pmzdcalc SET cisrad = 281 WHERE IdMzdCalc = 327;
UPDATE pmzdcalc SET cisrad = 412 WHERE IdMzdCalc = 328;
UPDATE pmzdcalc SET cisrad = 413 WHERE IdMzdCalc = 329;
UPDATE pmzdcalc SET cisrad = 414 WHERE IdMzdCalc = 330;
UPDATE pmzdcalc SET cisrad = 415 WHERE IdMzdCalc = 331;
UPDATE pmzdcalc SET cisrad = 74 WHERE IdMzdCalc = 332;
UPDATE pmzdcalc SET cisrad = 392 WHERE IdMzdCalc = 333;
UPDATE pmzdcalc SET cisrad = 92 WHERE IdMzdCalc = 336;
UPDATE pmzdcalc SET cisrad = 93 WHERE IdMzdCalc = 339;
UPDATE pmzdcalc SET cisrad = 53 WHERE IdMzdCalc = 341;
UPDATE pmzdcalc SET cisrad = 213 WHERE IdMzdCalc = 342;
UPDATE pmzdcalc SET cisrad = 214 WHERE IdMzdCalc = 343;
UPDATE pmzdcalc SET cisrad = 215 WHERE IdMzdCalc = 345;
UPDATE pmzdcalc SET cisrad = 216 WHERE IdMzdCalc = 346;
UPDATE pmzdcalc SET cisrad = 217 WHERE IdMzdCalc = 347;
UPDATE pmzdcalc SET cisrad = 218 WHERE IdMzdCalc = 348;
UPDATE pmzdcalc SET cisrad = 219 WHERE IdMzdCalc = 349;
UPDATE pmzdcalc SET cisrad = 220 WHERE IdMzdCalc = 350;
UPDATE pmzdcalc SET cisrad = 221 WHERE IdMzdCalc = 351;
UPDATE pmzdcalc SET cisrad = 331 WHERE IdMzdCalc = 353;
UPDATE pmzdcalc SET cisrad = 352 WHERE IdMzdCalc = 356;
UPDATE pmzdcalc SET cisrad = 487 WHERE IdMzdCalc = 358;
UPDATE pmzdcalc SET cisrad = 489 WHERE IdMzdCalc = 359;
UPDATE pmzdcalc SET cisrad = 317 WHERE IdMzdCalc = 361;
UPDATE pmzdcalc SET cisrad = 318 WHERE IdMzdCalc = 362;
UPDATE pmzdcalc SET cisrad = 319 WHERE IdMzdCalc = 363;
UPDATE pmzdcalc SET cisrad = 320 WHERE IdMzdCalc = 364;
UPDATE pmzdcalc SET cisrad = 322 WHERE IdMzdCalc = 365;
UPDATE pmzdcalc SET cisrad = 323 WHERE IdMzdCalc = 367;
UPDATE pmzdcalc SET cisrad = 324 WHERE IdMzdCalc = 368;
UPDATE pmzdcalc SET cisrad = 340 WHERE IdMzdCalc = 369;
UPDATE pmzdcalc SET cisrad = 341 WHERE IdMzdCalc = 370;
UPDATE pmzdcalc SET cisrad = 133 WHERE IdMzdCalc = 377;
UPDATE pmzdcalc SET cisrad = 380 WHERE IdMzdCalc = 379;
UPDATE pmzdcalc SET cisrad = 381 WHERE IdMzdCalc = 380;
UPDATE pmzdcalc SET cisrad = 382 WHERE IdMzdCalc = 382;
UPDATE pmzdcalc SET cisrad = 386 WHERE IdMzdCalc = 383;
UPDATE pmzdcalc SET cisrad = 387 WHERE IdMzdCalc = 384;
UPDATE pmzdcalc SET cisrad = 388 WHERE IdMzdCalc = 385;
UPDATE pmzdcalc SET cisrad = 389 WHERE IdMzdCalc = 386;
UPDATE pmzdcalc SET cisrad = 421 WHERE IdMzdCalc = 388;
UPDATE pmzdcalc SET cisrad = 292 WHERE IdMzdCalc = 389;
UPDATE pmzdcalc SET cisrad = 301 WHERE IdMzdCalc = 392;
UPDATE pmzdcalc SET cisrad = 293 WHERE IdMzdCalc = 393;
UPDATE pmzdcalc SET cisrad = 295 WHERE IdMzdCalc = 394;
UPDATE pmzdcalc SET cisrad = 298 WHERE IdMzdCalc = 395;
UPDATE pmzdcalc SET cisrad = 294 WHERE IdMzdCalc = 397;
UPDATE pmzdcalc SET cisrad = 296 WHERE IdMzdCalc = 399;
UPDATE pmzdcalc SET cisrad = 297 WHERE IdMzdCalc = 401;
UPDATE pmzdcalc SET cisrad = 299 WHERE IdMzdCalc = 402;
UPDATE pmzdcalc SET cisrad = 300 WHERE IdMzdCalc = 404;
UPDATE pmzdcalc SET cisrad = 409 WHERE IdMzdCalc = 405;
UPDATE pmzdcalc SET cisrad = 307 WHERE IdMzdCalc = 407;
UPDATE pmzdcalc SET cisrad = 311 WHERE IdMzdCalc = 408;
UPDATE pmzdcalc SET cisrad = 126 WHERE IdMzdCalc = 409;
UPDATE pmzdcalc SET cisrad = 408 WHERE IdMzdCalc = 410;
UPDATE pmzdcalc SET cisrad = 148 WHERE IdMzdCalc = 411;
UPDATE pmzdcalc SET cisrad = 422 WHERE IdMzdCalc = 413;
UPDATE pmzdcalc SET cisrad = 423 WHERE IdMzdCalc = 414;
UPDATE pmzdcalc SET cisrad = 424 WHERE IdMzdCalc = 416;
UPDATE pmzdcalc SET cisrad = 425 WHERE IdMzdCalc = 418;
UPDATE pmzdcalc SET cisrad = 426 WHERE IdMzdCalc = 420;
UPDATE pmzdcalc SET cisrad = 429 WHERE IdMzdCalc = 421;
UPDATE pmzdcalc SET cisrad = 430 WHERE IdMzdCalc = 422;
UPDATE pmzdcalc SET cisrad = 444 WHERE IdMzdCalc = 423;
UPDATE pmzdcalc SET cisrad = 434 WHERE IdMzdCalc = 424;
UPDATE pmzdcalc SET cisrad = 437 WHERE IdMzdCalc = 425;
UPDATE pmzdcalc SET cisrad = 427 WHERE IdMzdCalc = 426;
UPDATE pmzdcalc SET cisrad = 428 WHERE IdMzdCalc = 427;
UPDATE pmzdcalc SET cisrad = 431 WHERE IdMzdCalc = 428;
UPDATE pmzdcalc SET cisrad = 436 WHERE IdMzdCalc = 429;
UPDATE pmzdcalc SET cisrad = 443 WHERE IdMzdCalc = 430;
UPDATE pmzdcalc SET cisrad = 438 WHERE IdMzdCalc = 431;
UPDATE pmzdcalc SET cisrad = 439 WHERE IdMzdCalc = 432;
UPDATE pmzdcalc SET cisrad = 440 WHERE IdMzdCalc = 433;
UPDATE pmzdcalc SET cisrad = 441 WHERE IdMzdCalc = 434;
UPDATE pmzdcalc SET cisrad = 442 WHERE IdMzdCalc = 435;
UPDATE pmzdcalc SET cisrad = 456 WHERE IdMzdCalc = 436;
UPDATE pmzdcalc SET cisrad = 207 WHERE IdMzdCalc = 437;
UPDATE pmzdcalc SET cisrad = 208 WHERE IdMzdCalc = 438;
UPDATE pmzdcalc SET cisrad = 209 WHERE IdMzdCalc = 439;
UPDATE pmzdcalc SET cisrad = 206 WHERE IdMzdCalc = 440;
UPDATE pmzdcalc SET cisrad = 198 WHERE IdMzdCalc = 445;
UPDATE pmzdcalc SET cisrad = 199 WHERE IdMzdCalc = 446;
UPDATE pmzdcalc SET cisrad = 200 WHERE IdMzdCalc = 447;
UPDATE pmzdcalc SET cisrad = 201 WHERE IdMzdCalc = 448;
UPDATE pmzdcalc SET cisrad = 202 WHERE IdMzdCalc = 449;
UPDATE pmzdcalc SET cisrad = 203 WHERE IdMzdCalc = 450;
UPDATE pmzdcalc SET cisrad = 204 WHERE IdMzdCalc = 451;
UPDATE pmzdcalc SET cisrad = 205 WHERE IdMzdCalc = 452;
UPDATE pmzdcalc SET cisrad = 464 WHERE IdMzdCalc = 454;
UPDATE pmzdcalc SET cisrad = 435 WHERE IdMzdCalc = 455;
UPDATE pmzdcalc SET cisrad = 395 WHERE IdMzdCalc = 456;
UPDATE pmzdcalc SET cisrad = 396 WHERE IdMzdCalc = 457;
UPDATE pmzdcalc SET cisrad = 397 WHERE IdMzdCalc = 458;
UPDATE pmzdcalc SET cisrad = 246 WHERE IdMzdCalc = 460;
UPDATE pmzdcalc SET cisrad = 247 WHERE IdMzdCalc = 461;
UPDATE pmzdcalc SET cisrad = 248 WHERE IdMzdCalc = 462;
UPDATE pmzdcalc SET cisrad = 249 WHERE IdMzdCalc = 463;
UPDATE pmzdcalc SET cisrad = 242 WHERE IdMzdCalc = 464;
UPDATE pmzdcalc SET cisrad = 243 WHERE IdMzdCalc = 465;
UPDATE pmzdcalc SET cisrad = 244 WHERE IdMzdCalc = 466;
UPDATE pmzdcalc SET cisrad = 245 WHERE IdMzdCalc = 467;
UPDATE pmzdcalc SET cisrad = 252 WHERE IdMzdCalc = 468;
UPDATE pmzdcalc SET cisrad = 321 WHERE IdMzdCalc = 471;
UPDATE pmzdcalc SET cisrad = 338 WHERE IdMzdCalc = 472;
UPDATE pmzdcalc SET cisrad = 250 WHERE IdMzdCalc = 473;
UPDATE pmzdcalc SET cisrad = 251 WHERE IdMzdCalc = 474;
UPDATE pmzdcalc SET cisrad = 290 WHERE IdMzdCalc = 475;
UPDATE pmzdcalc SET cisrad = 262 WHERE IdMzdCalc = 476;
UPDATE pmzdcalc SET cisrad = 328 WHERE IdMzdCalc = 477;
UPDATE pmzdcalc SET cisrad = 371 WHERE IdMzdCalc = 478;
UPDATE pmzdcalc SET cisrad = 194 WHERE IdMzdCalc = 480;
UPDATE pmzdcalc SET cisrad = 134 WHERE IdMzdCalc = 481;
UPDATE pmzdcalc SET cisrad = 91 WHERE IdMzdCalc = 482;
UPDATE pmzdcalc SET cisrad = 103 WHERE IdMzdCalc = 484;
UPDATE pmzdcalc SET cisrad = 106 WHERE IdMzdCalc = 485;
UPDATE pmzdcalc SET cisrad = 195 WHERE IdMzdCalc = 486;
UPDATE pmzdcalc SET cisrad = 196 WHERE IdMzdCalc = 487;
UPDATE pmzdcalc SET cisrad = 406 WHERE IdMzdCalc = 488;
UPDATE pmzdcalc SET cisrad = 127 WHERE IdMzdCalc = 489;
UPDATE pmzdcalc SET cisrad = 138 WHERE IdMzdCalc = 490;
UPDATE pmzdcalc SET cisrad = 128 WHERE IdMzdCalc = 491;
UPDATE pmzdcalc SET cisrad = 129 WHERE IdMzdCalc = 492;
UPDATE pmzdcalc SET cisrad = 130 WHERE IdMzdCalc = 493;
UPDATE pmzdcalc SET cisrad = 131 WHERE IdMzdCalc = 494;
UPDATE pmzdcalc SET cisrad = 461 WHERE IdMzdCalc = 495;
UPDATE pmzdcalc SET cisrad = 462 WHERE IdMzdCalc = 496;
UPDATE pmzdcalc SET cisrad = 132 WHERE IdMzdCalc = 497;
UPDATE pmzdcalc SET cisrad = 190 WHERE IdMzdCalc = 498;
UPDATE pmzdcalc SET cisrad = 191 WHERE IdMzdCalc = 499;
UPDATE pmzdcalc SET cisrad = 192 WHERE IdMzdCalc = 500;
UPDATE pmzdcalc SET cisrad = 184 WHERE IdMzdCalc = 501;
UPDATE pmzdcalc SET cisrad = 185 WHERE IdMzdCalc = 502;
UPDATE pmzdcalc SET cisrad = 186 WHERE IdMzdCalc = 503;
UPDATE pmzdcalc SET cisrad = 187 WHERE IdMzdCalc = 504;
UPDATE pmzdcalc SET cisrad = 188 WHERE IdMzdCalc = 505;
UPDATE pmzdcalc SET cisrad = 189 WHERE IdMzdCalc = 508;
UPDATE pmzdcalc SET cisrad = 55 WHERE IdMzdCalc = 509;
UPDATE pmzdcalc SET cisrad = 56 WHERE IdMzdCalc = 510;
UPDATE pmzdcalc SET cisrad = 347 WHERE IdMzdCalc = 513;
UPDATE pmzdcalc SET cisrad = 460 WHERE IdMzdCalc = 514;
UPDATE pmzdcalc SET cisrad = 467 WHERE IdMzdCalc = 516;
UPDATE pmzdcalc SET cisrad = 468 WHERE IdMzdCalc = 517;
UPDATE pmzdcalc SET cisrad = 469 WHERE IdMzdCalc = 518;
UPDATE pmzdcalc SET cisrad = 470 WHERE IdMzdCalc = 519;
UPDATE pmzdcalc SET cisrad = 471 WHERE IdMzdCalc = 520;
UPDATE pmzdcalc SET cisrad = 473 WHERE IdMzdCalc = 521;
UPDATE pmzdcalc SET cisrad = 393 WHERE IdMzdCalc = 522;
UPDATE pmzdcalc SET cisrad = 433 WHERE IdMzdCalc = 523;
UPDATE pmzdcalc SET cisrad = 432 WHERE IdMzdCalc = 524;
UPDATE pmzdcalc SET cisrad = 105 WHERE IdMzdCalc = 525;
UPDATE pmzdcalc SET cisrad = 104 WHERE IdMzdCalc = 526;
UPDATE pmzdcalc SET cisrad = 47 WHERE IdMzdCalc = 527;
UPDATE pmzdcalc SET cisrad = 52 WHERE IdMzdCalc = 528;
UPDATE pmzdcalc SET cisrad = 154 WHERE IdMzdCalc = 529;
UPDATE pmzdcalc SET cisrad = 394 WHERE IdMzdCalc = 530;
UPDATE pmzdcalc SET cisrad = 95 WHERE IdMzdCalc = 531;
UPDATE pmzdcalc SET cisrad = 96 WHERE IdMzdCalc = 532;
UPDATE pmzdcalc SET cisrad = 97 WHERE IdMzdCalc = 533;
UPDATE pmzdcalc SET cisrad = 98 WHERE IdMzdCalc = 534;
UPDATE pmzdcalc SET cisrad = 303 WHERE IdMzdCalc = 536;
UPDATE pmzdcalc SET cisrad = 466 WHERE IdMzdCalc = 537;
UPDATE pmzdcalc SET cisrad = 479 WHERE IdMzdCalc = 538;
UPDATE pmzdcalc SET cisrad = 309 WHERE IdMzdCalc = 541;
UPDATE pmzdcalc SET cisrad = 360 WHERE IdMzdCalc = 543;
UPDATE pmzdcalc SET cisrad = 361 WHERE IdMzdCalc = 544;
UPDATE pmzdcalc SET cisrad = 345 WHERE IdMzdCalc = 545;
UPDATE pmzdcalc SET cisrad = 351 WHERE IdMzdCalc = 546;
UPDATE pmzdcalc SET cisrad = 353 WHERE IdMzdCalc = 547;
UPDATE pmzdcalc SET cisrad = 42 WHERE IdMzdCalc = 548;
UPDATE pmzdcalc SET cisrad = 260 WHERE IdMzdCalc = 549;
UPDATE pmzdcalc SET cisrad = 480 WHERE IdMzdCalc = 550;
UPDATE pmzdcalc SET cisrad = 59 WHERE IdMzdCalc = 551;
UPDATE pmzdcalc SET cisrad = 61 WHERE IdMzdCalc = 552;
UPDATE pmzdcalc SET cisrad = 67 WHERE IdMzdCalc = 553;
UPDATE pmzdcalc SET cisrad = 60 WHERE IdMzdCalc = 554;
UPDATE pmzdcalc SET cisrad = 161 WHERE IdMzdCalc = 557;
UPDATE pmzdcalc SET cisrad = 162 WHERE IdMzdCalc = 558;
UPDATE pmzdcalc SET cisrad = 163 WHERE IdMzdCalc = 559;
UPDATE pmzdcalc SET cisrad = 164 WHERE IdMzdCalc = 560;
UPDATE pmzdcalc SET cisrad = 165 WHERE IdMzdCalc = 561;
UPDATE pmzdcalc SET cisrad = 166 WHERE IdMzdCalc = 562;
UPDATE pmzdcalc SET cisrad = 167 WHERE IdMzdCalc = 563;
UPDATE pmzdcalc SET cisrad = 168 WHERE IdMzdCalc = 564;
UPDATE pmzdcalc SET cisrad = 169 WHERE IdMzdCalc = 565;
UPDATE pmzdcalc SET cisrad = 170 WHERE IdMzdCalc = 566;
UPDATE pmzdcalc SET cisrad = 109 WHERE IdMzdCalc = 567;
UPDATE pmzdcalc SET cisrad = 110 WHERE IdMzdCalc = 568;
UPDATE pmzdcalc SET cisrad = 111 WHERE IdMzdCalc = 569;
UPDATE pmzdcalc SET cisrad = 112 WHERE IdMzdCalc = 570;
UPDATE pmzdcalc SET cisrad = 113 WHERE IdMzdCalc = 571;
UPDATE pmzdcalc SET cisrad = 114 WHERE IdMzdCalc = 572;
UPDATE pmzdcalc SET cisrad = 115 WHERE IdMzdCalc = 573;
UPDATE pmzdcalc SET cisrad = 116 WHERE IdMzdCalc = 574;
UPDATE pmzdcalc SET cisrad = 117 WHERE IdMzdCalc = 575;
UPDATE pmzdcalc SET cisrad = 118 WHERE IdMzdCalc = 576;
UPDATE pmzdcalc SET cisrad = 445 WHERE IdMzdCalc = 577;
UPDATE pmzdcalc SET cisrad = 446 WHERE IdMzdCalc = 578;
UPDATE pmzdcalc SET cisrad = 447 WHERE IdMzdCalc = 579;
UPDATE pmzdcalc SET cisrad = 448 WHERE IdMzdCalc = 580;
UPDATE pmzdcalc SET cisrad = 449 WHERE IdMzdCalc = 581;
UPDATE pmzdcalc SET cisrad = 450 WHERE IdMzdCalc = 582;
UPDATE pmzdcalc SET cisrad = 451 WHERE IdMzdCalc = 583;
UPDATE pmzdcalc SET cisrad = 452 WHERE IdMzdCalc = 585;
UPDATE pmzdcalc SET cisrad = 453 WHERE IdMzdCalc = 586;
UPDATE pmzdcalc SET cisrad = 454 WHERE IdMzdCalc = 587;
UPDATE pmzdcalc SET cisrad = 304 WHERE IdMzdCalc = 589;
UPDATE pmzdcalc SET cisrad = 155 WHERE IdMzdCalc = 592;
UPDATE pmzdcalc SET cisrad = 156 WHERE IdMzdCalc = 593;
UPDATE pmzdcalc SET cisrad = 407 WHERE IdMzdCalc = 595;
UPDATE pmzdcalc SET cisrad = 410 WHERE IdMzdCalc = 596;
UPDATE pmzdcalc SET cisrad = 48 WHERE IdMzdCalc = 616;
UPDATE pmzdcalc SET cisrad = 51 WHERE IdMzdCalc = 617;
UPDATE pmzdcalc SET cisrad = 63 WHERE IdMzdCalc = 619;
UPDATE pmzdcalc SET cisrad = 64 WHERE IdMzdCalc = 620;
UPDATE pmzdcalc SET cisrad = 65 WHERE IdMzdCalc = 623;
UPDATE pmzdcalc SET cisrad = 66 WHERE IdMzdCalc = 624;
UPDATE pmzdcalc SET cisrad = 398 WHERE IdMzdCalc = 625;
UPDATE pmzdcalc SET cisrad = 463 WHERE IdMzdCalc = 628;
UPDATE pmzdcalc SET cisrad = 416 WHERE IdMzdCalc = 630;
UPDATE pmzdcalc SET cisrad = 458 WHERE IdMzdCalc = 632;
UPDATE pmzdcalc SET cisrad = 459 WHERE IdMzdCalc = 633;
UPDATE pmzdcalc SET cisrad = 478 WHERE IdMzdCalc = 634;
UPDATE pmzdcalc SET cisrad = 472 WHERE IdMzdCalc = 635;
UPDATE pmzdcalc SET cisrad = 465 WHERE IdMzdCalc = 636;
UPDATE pmzdcalc SET cisrad = 369 WHERE IdMzdCalc = 637;
UPDATE pmzdcalc SET cisrad = 455 WHERE IdMzdCalc = 638;
UPDATE pmzdcalc SET cisrad = 417 WHERE IdMzdCalc = 639;
UPDATE pmzdcalc SET cisrad = 302 WHERE IdMzdCalc = 641;
UPDATE pmzdcalc SET cisrad = 313 WHERE IdMzdCalc = 644;
UPDATE pmzdcalc SET cisrad = 314 WHERE IdMzdCalc = 645;
UPDATE pmzdcalc SET cisrad = 49 WHERE IdMzdCalc = 648;
UPDATE pmzdcalc SET cisrad = 50 WHERE IdMzdCalc = 649;
UPDATE pmzdcalc SET cisrad = 474 WHERE IdMzdCalc = 650;
UPDATE pmzdcalc SET cisrad = 475 WHERE IdMzdCalc = 653;
UPDATE pmzdcalc SET cisrad = 476 WHERE IdMzdCalc = 654;
UPDATE pmzdcalc SET cisrad = 477 WHERE IdMzdCalc = 655;
UPDATE pmzdcalc SET kod = 'SVÁTEK 4 MM  ', nazev = '!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!', popis = '01.06.2010 nakrmení pracovní složky kvůli tomu abych jí mohl ulovat, když není měsíční mzda', cisrad = 71, polein = 'hodinySvatek', sumtypk = null, summesicu = 0, idmzdslozout = 334 WHERE IdMzdCalc = 657;
UPDATE pmzdcalc SET cisrad = 253 WHERE IdMzdCalc = 662;
UPDATE pmzdcalc SET cisrad = 370 WHERE IdMzdCalc = 663;
UPDATE pmzdcalc SET cisrad = 457 WHERE IdMzdCalc = 664;
UPDATE pmzdcalc SET cisrad = 400 WHERE IdMzdCalc = 665;
UPDATE pmzdcalc SET cisrad = 401 WHERE IdMzdCalc = 667;
UPDATE pmzdcalc SET cisrad = 402 WHERE IdMzdCalc = 668;
UPDATE pmzdcalc SET cisrad = 403 WHERE IdMzdCalc = 669;
UPDATE pmzdcalc SET cisrad = 70 WHERE IdMzdCalc = 670;
UPDATE pmzdcalc SET nazev = 'Svátek pro měsíční mzdu do PPP', popis = '01.06.2010', cisrad = 73, koeficient = 1.0, polein = 'hodiny', idmzdslozin = 334 WHERE IdMzdCalc = 671;
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (672, '2010-06-29 00:00:00.000', 'ISPV **************', 'Hrubá mzda celkem ', true, 225, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 167, 319);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (673, '2010-06-29 00:00:00.000', 'ISPV **************', 'Hrubá mzda celkem ', true, 226, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 167, 319);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (674, '2010-06-29 00:00:00.000', 'ISPV **************', 'Odpracovaná doba', true, 78, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 179, 312);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (675, '2010-06-29 00:00:00.000', 'ISPV **************', 'Odpracovaná doba', true, 79, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 179, 312);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (676, '2010-06-29 00:00:00.000', 'ISPV **************', 'Mzda za práci přesčas', true, 80, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 22, 313);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (677, '2010-06-29 00:00:00.000', 'ISPV **************', 'Mzda za práci přesčas', true, 81, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 22, 312);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (678, '2010-06-29 00:00:00.000', 'ISPV **************', 'Neodpracovaná doba', true, 82, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 16, 314);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (679, '2010-06-29 00:00:00.000', 'ISPV **************', 'Neodpracovaná doba', true, 83, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 16, 314);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (680, '2010-06-29 00:00:00.000', 'ISPV **************', 'Počet neodpracovaných hodin s náhradou či nekrácením mzdy', true, 84, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 333, 315);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (686, '2010-06-29 00:00:00.000', 'ISPV **************', 'Počet neodpracovaných hodin s náhradou či nekrácením mzdy', true, 85, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 333, 315);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (687, '2010-06-29 00:00:00.000', 'ISPV **************', 'Neodpracovaná doba', true, 43, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 16, 333);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (688, '2010-06-29 00:00:00.000', 'ISPV **************', 'Dovolená', true, 86, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 2, 316);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (689, '2010-06-29 00:00:00.000', 'ISPV **************', 'Dovolená', true, 87, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 2, 316);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (690, '2010-06-29 00:00:00.000', 'ISPV **************', 'Neodpracovaná doba', true, 36, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 16, 329);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (691, '2010-06-29 00:00:00.000', 'ISPV **************', 'Počet hodin z fondu pracovní doby neodpracovaných z důvodu dočasné pracovní neschopnosti (příp. karantény) - pracovní púro výpočet ISPV', true, 88, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 329, 317);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (692, '2010-06-29 00:00:00.000', 'ISPV **************', 'Počet hodin z fondu pracovní doby neodpracovaných z důvodu dočasné pracovní neschopnosti (příp. karantény) - pracovní púro výpočet ISPV', true, 89, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 329, 317);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (693, '2010-06-29 00:00:00.000', 'POPRAV-PRAC', 'Základ pro průměrný výdělek', true, 122, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 90, 330);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (694, '2010-06-29 00:00:00.000', 'ISPV **************', 'Prémie a odměny pravidelně měsíčně zúčtované se mzdou', true, 227, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 330, 320);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (695, '2010-06-29 00:00:00.000', 'ISPV **************', 'Prémie a odměny pravidelně měsíčně zúčtované se mzdou', true, 228, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 330, 320);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (697, '2010-06-29 00:00:00.000', 'ISPV **************', 'Mimořádná odměna ', true, 229, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 24, 321);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (698, '2010-06-29 00:00:00.000', 'ISPV **************', 'Mimořádná odměna ', true, 230, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 24, 321);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (699, '2010-06-29 00:00:00.000', 'ISPV **************', 'Příplatek za práci přesčas', true, 231, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 216, 323);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (700, '2010-06-29 00:00:00.000', 'ISPV **************', 'Příplatek za práci přesčas', true, 232, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 216, 323);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (701, '2010-06-29 00:00:00.000', 'ISPV **************', 'Nepatří do základu pro průměrný výdělek', true, 233, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 89, 332);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (702, '2010-06-29 00:00:00.000', 'ISPV **************', 'Náhrady mzdy', true, 234, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 332, 324);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (703, '2010-06-29 00:00:00.000', 'ISPV **************', 'Náhrady mzdy', true, 235, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 332, 324);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (704, '2010-06-29 00:00:00.000', 'ISPV **************', 'Náhrada za pr.neschopnost', true, 236, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 294, 325);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (705, '2010-06-29 00:00:00.000', 'ISPV **************', 'Náhrada za pr.neschopnost', true, 237, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 294, 325);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (706, '2010-06-29 00:00:00.000', 'ISPV **************', 'Odměna za prac. pohot.na pracovišti', true, 238, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, 1, 39, 326);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (707, '2010-06-29 00:00:00.000', 'ISPV **************', 'Odměna za prac. pohot.na pracovišti', true, 239, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 39, 326);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (708, '2010-06-29 00:00:00.000', 'ISPV **************', 'Pracovně právní hodinový průměr', true, 240, 1.0, 0.0, 0.0, 'prumNaHodNem', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 172, 327);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (709, '2010-06-29 00:00:00.000', 'ISPV **************', 'Počet hodin z fondu pracovní doby neodpracovaných z důvodu dočasné pracovní neschopnosti (příp. karantény) - pracovní púro výpočet ISPV', true, 44, -1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 329, 333);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (710, '2010-07-01 00:00:00.000', 'ISPV **************', 'Hrubá mzda celkem ', true, 481, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.obdobi', 3, 1, 167, 299);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (711, '2010-07-01 00:00:00.000', 'ISPV **************', 'Odpracovaná doba', true, 482, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.obdobi', 3, 1, 179, 301);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (712, '2010-07-01 00:00:00.000', 'ISPV **************', 'Mimořádná odměna ', true, 483, 1.0, 1.0, 0.0, 'castMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.obdobi', 3, 1, 24, 300);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (713, '2010-07-01 00:00:00.000', 'ISPV **************', 'Mzda za práci přesčas', true, 484, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.obdobi', 3, 1, 22, 302);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (714, '2010-07-01 00:00:00.000', 'ISPV **************', 'Neodpracovaná doba', true, 485, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.obdobi', 3, 1, 16, 303);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (715, '2010-07-01 00:00:00.000', 'ISPV **************', 'Počet neodpracovaných hodin s náhradou či nekrácením mzdy', true, 486, 1.0, 1.0, 0.0, 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.obdobi', 3, 1, 333, 304);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (716, '2010-07-01 00:00:00.000', 'SVÁTEK 4 MM  ', 'Hodinová mzda', 'vynulování hoin svátků pro hodinovou mzdu', true, 72, 1.0, 0.0, 0.0, 'procMzd', 'hodiny', 'hodiny', 0.0, 0.0, 'mzdCalcOper.krat', false, 3, 1, 18, 334, 334);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (717, '2010-07-01 00:00:00.000', 'ZDRAV.POJ.ZÁKLAD', 'Zdrav. pojištění - pracovník', true, 315, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, 1, 103, 92);

PERFORM pg_catalog.setval('seq_pmzdcalc', 717, true);

-- pracovni pomery

-- parametry pro typ prac pom

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 333, 't');
