--------------------------------------------------------------------------------------------
-- Bug 24373 – [WinStrom] - BRANCH pro Axes !!! - Cena z objednávky se nepřenáší do faktury
--------------------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION sfifovydej(idvydej integer, idcenikvydej integer, idskladvydej integer, idkartyvydej integer, vyd numeric)
  RETURNS void AS
$BODY$      
declare       
  _zaznam Record;       
  _vybrano numeric(19,6);     
  _i integer;     
  _novevydcelkem numeric(19,6);     
  _pocet numeric(19,6);     
  _cenamjP numeric(19,6);  
  _cenaMjPMen numeric(19,6);  
  _kurzDokladuP numeric(19,6);   
  _kurzDokladuV numeric(19,6);   
  _idDoklSkladP integer;    
  _idDoklSkladV integer;   
  _datVystV date;   
  _idrozlozeni integer;     
  _vydexpir boolean;     
  _vyrcis character varying(255);     
  _sklfifo boolean;  
  _sarze character varying(255);  
  _expirace date;       
  _evidVyrCis boolean;    
begin       
  _vybrano := 0;     
  _i := 1;     
  _novevydcelkem := vyd;     
  select evidVyrCis into _evidVyrCis from ccenik where idcenik = idcenikvydej;  
  if (not _evidVyrCis) then  
    if (idvydej>0) then  
      select vydexpir into _vydexpir from skarty where idkarty=idkartyvydej limit 1;  
      select sarze, expirace into _sarze, _expirace from dpolsklad where idpolsklad = idvydej;     
      if (not _vydexpir) then     
        --pořadí výdeje dle datvyst (dále se bude řesit upřednostněný výdej mimo FIFO)     
        for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by datSklad,idpolsklad loop       
          if(not _zaznam is null) then 
            if((_sarze is null or _sarze = _zaznam.sarze) and (_expirace is null or _expirace = _zaznam.expirace)) then  
              if (_vybrano<_novevydcelkem) then     
                _pocet := _zaznam.pocet;     
                if( _vybrano+_pocet) > _novevydcelkem then     
                  _pocet := _novevydcelkem-_vybrano;     
                end if;     
                _vybrano := _vybrano+_pocet;     
                --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo     
                _vyrcis := '';     
                if (_zaznam.idvyrobnicislo>0) then     
                  select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo; 
                end if;     
                --     
                if (_i = 1) then  
                  insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;  
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));     
                  if (_sklfifo) then     
                    select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);     
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
                    if (_kurzDokladuP <> 0.0) then  
                      _cenamjP := _cenamjP * _kurzDokladuP;     
	                end if;   
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;   
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));  
                    _cenamjP := _cenamjP / _kurzDokladuV;  
                    _cenaMjPMen := 0.0;  
                    if(_kurzDokladuV <> 1.0) then  
                      _cenaMjPMen := _cenaMjP;  
                    end if;  
                    update dpolsklad set mnozmj = _pocet, mnozMjPlan = _pocet,cenamj = _cenamjP, cenaMjPoriz = _cenaMjP, sumzkl = _pocet*_cenamjP*_kurzDokladuV, sumZklMen = _pocet*_cenaMjPMen, sarze = _zaznam.sarze, expirace = _zaznam.expirace  
                          where idpolsklad = idvydej;  
                  else  
                    update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej;  
                  end if; 
                else     
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));     
                  if (_sklfifo) then     
                    select nextval('seq_dpolsklad') into _idrozlozeni;     
                    select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);    
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
                    if (_kurzDokladuP <> 0.0) then    
                      _cenamjP := _cenamjP * _kurzDokladuP;     
                    end if;    
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;   
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));   
                    _cenamjP := _cenamjP / _kurzDokladuV;  
                    _cenaMjPMen := 0.0;  
                    if(_kurzDokladuV <> 1.0) then  
                      _cenaMjPMen := _cenaMjP;  
                    end if;  
                    insert into dpolsklad(idpolsklad,mnozmj,autozaokr,autogen,baleniid,cenjednotka,cenamj,cenaMjPoriz,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy) 
                         (select (-1*_idrozlozeni),_pocet,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,_cenaMjP,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_pocet*_cenamjP*_kurzDokladuV,_pocet*_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy from dpolsklad where idpolsklad=idVydej); 
                    --     
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);     
                    insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);     
                  else     
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);     
                  end if;     
                end if;     
                --     
                _i:=_i+1;     
              else 
                if (_vybrano>_novevydcelkem) then 
                  _pocet := -_zaznam.pocet; 
                  if(( _vybrano+_pocet) < _novevydcelkem) then 
                    _pocet := _novevydcelkem-_vybrano; 
                  end if; 
                  _vybrano := _vybrano+_pocet; 
                  insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, 0-_pocet,_zaznam.idvyrobnicislo) ; 
                end if; 
              end if;  
            end if; 
          end if; 
        end loop;    
      else     
        --pořadí výdeje dle expirace (dále se bude řesit upřednostněný výdej mimo FIFO)     
        for _zaznam in select * from dPolSkladF where idCenik=idCenikVydej and idSkladu=idSkladVydej order by expirace, idpolsklad loop       
          if(not _zaznam is null) then 
            if((_sarze is null or _sarze = _zaznam.sarze) and (_expirace is null or _expirace = _zaznam.expirace)) then  
              if (_vybrano<_novevydcelkem) then     
                _pocet := _zaznam.pocet;     
                if( _vybrano+_pocet) > _novevydcelkem then     
                  _pocet := _novevydcelkem-_vybrano;     
                end if;     
                _vybrano := _vybrano+_pocet;     
                --pokud je výrobní číslo, tak jeho kód zaznamenám na výdejku (otázka je, zda tam nedat rovnou idvyrobnicislo     
                _vyrcis := '';     
                if (_zaznam.idvyrobnicislo>0) then     
                    select kod into _vyrcis from svyrobnicislo where idvyrobnicislo = _zaznam.idvyrobnicislo; 
                end if;     
                --     
                if (_i = 1) then     
                  insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, _pocet,_zaznam.idvyrobnicislo) ;     
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));     
                  if (_sklfifo) then     
                    select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);     
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
                    if (_kurzDokladuP <> 0.0) then    
                      _cenamjP := _cenamjP * _kurzDokladuP;     
                    end if;   
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;   
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));   
                    _cenamjP := _cenamjP / _kurzDokladuV;  
                    _cenaMjPMen := 0.0;  
                    if(_kurzDokladuV <> 1.0) then  
                      _cenaMjPMen := _cenaMjP;  
                    end if;  
                    update dpolsklad set mnozmj = _pocet, mnozMjPlan = _pocet, cenamj = _cenamjP, cenaMjPoriz = _cenaMjP, sumzkl = _pocet*_cenamjP*_kurzDokladuV, sumZklMen = _pocet*_cenaMjPMen, sarze = _zaznam.sarze, expirace = _zaznam.expirace  
                          where idpolsklad = idvydej;  
                  else  
                    update dpolsklad set sarze = _zaznam.sarze, expirace = _zaznam.expirace where idpolsklad = idvydej;  
                  end if;     
                else     
                  _sklfifo := (select isfifosklad(_zaznam.datvyst));     
                  if (_sklfifo) then     
                    select nextval('seq_dpolsklad') into _idrozlozeni;     
                    select cenamj, idDoklSklad into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = _zaznam.idPolSklad);    
                    select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
                    if (_kurzDokladuP <> 0.0) then    
                      _cenamjP := _cenamjP * _kurzDokladuP;     
                    end if;    
                    select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = idvydej;   
                    _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));   
                    _cenamjP := _cenamjP / _kurzDokladuV;  
                    _cenaMjPMen := 0.0;  
                    if(_kurzDokladuV <> 1.0) then  
                      _cenaMjPMen := _cenaMjP;  
                    end if;  
                    insert into dpolsklad(idpolsklad,mnozmj,autozaokr,autogen,baleniid,cenjednotka,cenamj,cenaMjPoriz,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,sumzklmen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy)  
	                             (select (-1*_idrozlozeni),_pocet,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,_cenaMjP,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,_zaznam.expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,_zaznam.sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_pocet*_cenamjP,_pocet*_cenaMjPMen,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy from dpolsklad where idpolsklad=idVydej);  
                    --     
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,_idrozlozeni,_pocet,_zaznam.idvyrobnicislo);     
                    insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (idvydej, _idrozlozeni);     
                  else      
                    insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values(_zaznam.idpolsklad,idvydej,_pocet,_zaznam.idvyrobnicislo);      
                  end if;      
                end if;      
                --      
                _i:=_i+1;      
              else 
                if (_vybrano>_novevydcelkem) then 
                  _pocet := -_zaznam.pocet; 
                  if(( _vybrano+_pocet) < _novevydcelkem) then 
                    _pocet := _novevydcelkem-_vybrano; 
                  end if; 
                  _vybrano := _vybrano+_pocet; 
                  insert into sfifovazby( idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values( _zaznam.idpolsklad, idVydej, 0-_pocet,_zaznam.idvyrobnicislo) ; 
                end if; 
              end if;   
            end if; 
          end if;     
        end loop;      
      end if;      
    else      
      --nepoustím fifo do rekurze, příznak záporného id udělám opět kladný      
      update dpolsklad set idPolSklad = -1*idVydej where idpolsklad=idVydej;               
    end if;  
  end if;     
end;       
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION sfifovydej(integer, integer, integer, integer, numeric) OWNER TO %firmaRole%;


CREATE OR REPLACE FUNCTION svyrobnicisloupdate()
  RETURNS trigger AS
$BODY$    
declare 
  _sklFifo boolean; 
  _mnozMj numeric(19,6); 
  _datVyst date; 
  _idRozlozeni integer; 
  _cenaMjP numeric(19,6); 
  _kurzDokladuP numeric(19,6); 
  _kurzDokladuV numeric(19,6); 
  _idDoklSkladP integer; 
  _idDoklSkladV integer; 
  _datVystV date; 
  _cenaMjPMen numeric(19,6); 
  _mnozVyrobnichCisel numeric(19,6);  
  _mnozMjPoZmene numeric(19,6); 
begin 
  if(NEW.idPolSkladVydej is not null and OLD.idPolSkladVydej is null) then 
    select datVyst, mnozMj into _datVyst, _mnozMj from dPolSklad where idPolSklad = NEW.idPolSkladVydej; 
    _mnozVyrobnichCisel = 1; 
    _mnozMjPoZmene = _mnozMj; 
    if(_mnozMj < 0.0) then 
      _mnozMjPoZmene = 0.0 - _mnozMj; 
      _mnozVyrobnichCisel = -1; 
    end if; 
  
    _sklfifo := (select isfifosklad(_datVyst)); 
    if(_sklFifo) then 
 
      select cenamj, idDoklSklad  into _cenamjP, _idDoklSkladP from dpolsklad where(idpolsklad = NEW.idPolSkladPrijem);     
      select kurz into _kurzDokladuP from ddoklsklad where (iddoklsklad = _idDoklSkladP);    
      if (_kurzDokladuP <> 0.0) then    
	_cenamjP := _cenamjP * _kurzDokladuP;     
      end if;   
      select iddoklsklad, datVyst into _idDoklSkladV, _datVystV from dpolsklad where idpolsklad = NEW.idPolSkladVydej;   
      _KurzDokladuV := (select getKurzFromDoklad(_idDoklSkladV, _datVystV));   
      _cenamjP := _cenamjP / _kurzDokladuV; 
      _cenaMjPMen := 0.0; 
	  if(_kurzDokladuV <> 1.0) then 
        _cenaMjPMen := _cenaMjP; 
      end if; 
      if(_mnozMjPoZmene > 1) then 
        -- odecteni 1 z mnoz mj a vytvoreni nove polozky a mnozstvim 1 a 1 vyrobnim cislem 
        select nextval('seq_dpolsklad') into _idrozlozeni;                        
	update dpolsklad set mnozMJ = _mnozMj - _mnozVyrobnichCisel, mnozMJPlan = _mnozMj - _mnozVyrobnichCisel where idPolSklad = NEW.idPolSkladVydej; 
 
        insert into dpolsklad(idpolsklad,           mnozmj,             autozaokr,autogen,baleniid,cenjednotka,cenamj,  cenaMjPoriz,cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,sumzkl,                                       sumzklmen,                       szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy)  
                             (select (_idrozlozeni),_mnozVyrobnichCisel,autozaokr,autogen,baleniid,cenjednotka,_cenamjP,_cenaMjP,   cenamjnakup,cenamjprodej,cisrad,datucto,datvyst,datsklad,eankod,expirace,kod,kopclendph,kopdphdalucet,iddphmducet,kopklice,kopstred,kopzakazku,kopzkldalucet,kopzklmducet,mnozbaleni,modul,nazev,objednatk,objem,poznam,proczakl,rezervovat,sarze,slevadokl,slevamnoz,slevapol,stavuzivk,storno,stornopol,sumdph,sumdphmen,_cenamjP*_kurzDokladuV * _mnozVyrobnichCisel,_cenaMjPMen * _mnozVyrobnichCisel,szbdph,typcenydphk,typpolozkyk,typszbdphk, typvypcenyk,ucetni,uplslevadokl,zaokrjakk,zaokrnak,idzkldalucet,iddphdalucet,idmjobjem,idmeny,idstred,idkarty,idcenik,idzklmducet,idsazbydph,idclendph,idzakazky,idmj,iddoklsklad,idbspskl,idfirmy from dpolsklad where idpolsklad = NEW.idpolskladvydej);  
	insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,_idrozlozeni,1,NEW.idvyrobnicislo); 
	insert into svazbypolsklad(idpolskladzdroj,idpolskladcil) values (NEW.idPolSkladVydej, _idrozlozeni); 
	NEW.idPolSkladVydej = _idRozlozeni; 
      else 
        -- nastaveni vyrobniho cisla na a vytvoreni vazby 
        --update sfifovazby set idvyrobnicislo = NEW.idvyrobnicislo, kusu = 1, idpolskladprijem = NEW.idpolskladprijem where idpolskladvydej = NEW.idpolskladvydej and idvyrobnicislo = -1; 
        insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,NEW.idPolSkladVydej,1,NEW.idvyrobnicislo); 
        --select cenaMj into _cenaMjP from dpolsklad where idPolSklad = NEW.idPolSkladPrijem; 
        update dpolsklad set cenaMJ = _cenaMjP, cenaMjPoriz = _cenaMjP, sumZkl = _cenamjP*_kurzDokladuV*_mnozVyrobnichCisel, sumZklMen = _cenaMjPMen*_mnozVyrobnichCisel where idPolSklad = NEW.idPolSkladVydej; 
      end if; 
      -- 
    else 
      insert into sfifovazby(idpolskladprijem,idpolskladvydej,kusu,idvyrobnicislo) values (NEW.idPolSkladPrijem,NEW.idPolSkladVydej,1,NEW.idvyrobnicislo); 
    end if; 
  elsif (NEW.idPolSkladVydej is null and OLD.idPolSkladVydej is not null) then 
    -- pokud se idPolSkladVydej nastavi na null z nejake hodnoty musi se smazat i fifo vazba s timto vyrobnim cislem 
    delete from sfifovazby where idvyrobnicislo = NEW.idVyrobniCislo; 
  end if; 
  execute sprepoctisumydokladu(_idDoklSkladV); 
  return NEW; 
end; 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION svyrobnicisloupdate() OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 519, 't', %appVersion%, clock_timestamp());
