-- Bug 13050 – [WinStrom] Postovni adresa by mela byt podminena
-- přidání sloupce postovniShodna a faNazev do dokladu

ALTER TABLE ddoklfak   ADD COLUMN faNazev character varying(255);
ALTER TABLE ddoklint   ADD COLUMN faNazev character varying(255);
ALTER TABLE ddoklsklad ADD COLUMN faNazev character varying(255);
ALTER TABLE ddoklobch  ADD COLUMN faNazev character varying(255);

ALTER TABLE ddoklfak   ADD COLUMN postovniShodna boolean DEFAULT true NOT NULL;
ALTER TABLE ddoklint   ADD COLUMN postovniShodna boolean DEFAULT true NOT NULL;
ALTER TABLE ddoklsklad ADD COLUMN postovniShodna boolean DEFAULT true NOT NULL;
ALTER TABLE ddoklobch  ADD COLUMN postovniShodna boolean DEFAULT true NOT NULL;

-- nastaveni u starych zaznamu
UPDATE ddoklfak   SET postovniShodna = false WHERE (famesto is not null and famesto <> '') OR
                                                   (faulice is not null and faulice <> '');
                                                 
UPDATE ddoklint   SET postovniShodna = false WHERE (famesto is not null and famesto <> '') OR
                                                   (faulice is not null and faulice <> '');
                                                 
UPDATE ddoklsklad SET postovniShodna = false WHERE (famesto is not null and famesto <> '') OR
                                                   (faulice is not null and faulice <> '');
                                                 
UPDATE ddoklobch  SET postovniShodna = false WHERE (famesto is not null and famesto <> '') OR
                                                   (faulice is not null and faulice <> '');

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 59, 't');