--------------------------------------------------------------------------------
-- Bug 30822 – [WinStrom] - Předpis zaúčtování - kód plnění (boži)
--------------------------------------------------------------------------------

update uclendph set
 kodPlneniK = 'kodPlneni.prenDanPov'
 where 
   uuid in ('CZ 2011 10-11',
            'CZ 2011 10-11, 43-44',
            'CZ 2011 10-11, 43-44 KR',
            'CZ 2011 10-11, 43-44, 47',
            'CZ 2011 10-11, 43-44, 47 KR',
            'CZ 2011 25');


--------------------------------------------------------------------------------
-- Bug none - oprava fixopie [WINSTROM 10.17.1.2] Fixopia error report - Radeks-MacBook-Air.local [HN7FAZKN6R] z 25.10.2012 12:43
--------------------------------------------------------------------------------
CREATE OR REPLACE FUNCTION sfifocenamj(idpohyb integer, iddokl integer, cenamjprijem numeric(19,6))
  RETURNS void AS
$BODY$  
--J.Svik - pokud stornuju nebo mau pohled, tak ruím fifo vazby
declare  
	_typPohybuk character varying(255);
         _pouzitaPrijemka integer;
        _idPolSklad integer;
        _polSklad record;
        _cenaMj numeric(19,6);
        _kurzPrijem numeric(19,6);
        _kurzVydej numeric(19,6);
        _sumZkl numeric(19,6);
        _sumZklMen numeric(19,6);
        _vydejCiziMena boolean;
        _prijemCiziMena boolean;
        _datVystPrijem date;
begin  
	select typpohybuk into _typPohybuk from ddoklsklad where iddoklsklad = iddokl;	
	if (_typPohybuk = 'typPohybu.prijem') then
	        select datVyst into _datVystPrijem from ddoklsklad where iddoklsklad = iddokl;
                select getkurzfromdoklad(iddokl, _datVystPrijem) into _kurzPrijem;
                _cenaMj = cenamjprijem * _kurzPrijem;
                --pokud změna ceny na příjemce, tak změním dle vazeb na výdejkách 
         	for _idpolsklad in select idpolskladvydej from sfifovazby where idpolskladprijem = idpohyb loop
                  select * into _polSklad from dPolSklad where idPolSklad = _idPolSklad;
                  if(not _polSklad.cenyRucne) then

                    select getkurzfromdoklad(_polSklad.idDoklSklad, _polSklad.datVyst) into _kurzVydej;
                    select isdoklskladmenacizi(_polSklad.idDoklSklad, _polSklad.datVyst) into _vydejCiziMena;
                    _sumZkl = _cenaMj * _polSklad.mnozMj;
                    if(_vydejCiziMena = true) then
                      _sumZklMen = (_cenaMj * _polSklad.mnozMj) / _kurzVydej ;
                    else
                      _sumZklMen = 0.0;
                    end if;
                  
                    update dpolsklad set 
                      cenamj = (_cenaMj / _kurzVydej),
                      cenaMjPoriz = (_cenaMj / _kurzVydej), 
                      sumZkl = _sumZkl,
                      sumZklMen = _sumZklMen 
                      where idpolsklad = _idPolSklad;
                    execute sprepoctisumydokladu(_polSklad.idDoklSklad);
                  end if;
         	end loop;
		--update dpolsklad set cenamj = cenamjprijem where idpolsklad = (select idpolskladvydej from sfifovazby where idpolskladprijem = idpohyb); 
         end if;
end;  
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION sfifocenamj(integer, integer, numeric(19,6)) OWNER TO %firmaRole%;


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 665, 't', %appVersion%, clock_timestamp());
