--------------------------------------------------------------------------------
-- Bug 32741 – [WinStrom] - Mzdy - Oprava kalkulačky
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
-- inicializace
-- radky
UPDATE pmzdcalc SET nazev = 'Záloha na daň  dílčí', idmzdslozin = 356 WHERE idmzdcalc = 3362;
UPDATE pmzdcalc SET poznam = '03.01.2013 - změna 1. redukční hranice', dohodnoty = 151.03 WHERE idmzdcalc = 3387;
UPDATE pmzdcalc SET poznam = '03.01.2013 - změna 2. redukční hranice', odhodnoty = 151.03, dohodnoty = 226.63 WHERE idmzdcalc = 3388;
UPDATE pmzdcalc SET poznam = '03.01.2013 - změna 3. redukční hranice', dohodnoty = 453.08 WHERE idmzdcalc = 3389;

-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 694, 't', %appVersion%, clock_timestamp());
