---------------------------------------------------------------------------------------
-- Bug 35774 – [FlexiBee] Přidat podporu externích identifikátorů do zástupností
---------------------------------------------------------------------------------------


ALTER TABLE wextid
  ADD COLUMN idzastupnost integer;

ALTER TABLE wextid 
  ADD CONSTRAINT wextid_idzastupnost FOREIGN KEY (idzastupnost)
      REFERENCES wzastupnosti (idzastupnost) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

CREATE INDEX wextid_idzastupnost_index ON wextid USING btree (idzastupnost);


---------------------------------------------------------------------------------------
-- Bug 35447 – [Winstrom] Změna názvu banky
---------------------------------------------------------------------------------------

UPDATE asmerkod
SET nazev='Sberbank CZ, a.s.'
WHERE kod='6800' AND nazev='Volksbank CZ, a.s.';


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 779, 't', %appVersion%, clock_timestamp());
