--------------------------------------------------------------------------------
-- Bug 36534 – [FlexiBee] Přidat podporu pro měny u Odběratel / Dodavatel
--------------------------------------------------------------------------------

alter table cdodavatele
  add column idmeny integer,
  add CONSTRAINT cdodavatele_idmeny FOREIGN KEY (idmeny)
        REFERENCES umeny (idmeny)
        ON UPDATE NO ACTION ON DELETE NO ACTION,
  drop constraint cdodavatele_unique_key,
  alter column idfirmy drop not null;
alter table cdodavatele add constraint cdodavatele_unique_key UNIQUE (idcenik, idfirmy, idmeny);
CREATE INDEX cdodavatele_idmeny_index ON cdodavatele USING btree (idmeny);

alter table codberatele
  add column idmeny integer,
  add CONSTRAINT codberatele_idmeny FOREIGN KEY (idmeny)
        REFERENCES umeny (idmeny)
        ON UPDATE NO ACTION ON DELETE NO ACTION;
CREATE INDEX codberatele_idmeny_index ON codberatele USING btree (idmeny);

insert into codberatele(idcenik, idmeny, prodejcena) select idcenik, idmeny, min(cenaZakl) from cCenMeny group by idcenik, idmeny;
insert into cdodavatele(idcenik, idmeny, nakupcena) select idcenik, idmeny, min(nakupcena) from cCenMeny group by idcenik, idmeny;

drop table ccenmeny;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 791, 't', %appVersion%, clock_timestamp());


