--Bug 40134 - Geis XML - chybné označení doplňkových služeb, Wizard pro speciální služby dopravy (PPL, GEIS, ČP)


--#GEIS#
--funkce prodlouzi puvodni 10-ti znakovy retezec specialni sluzby dopravy GEIS na 11 znaku, pouze tam kde je aktualne 10-ti znakovy
update dFormaDopravy set specialniSluzby = (specialniSluzby || '0') where specialnisluzby is not null and formadopravyk = 'formaDopravy.geis' and specialniSluzby ~ '^[01]{10}$';
--nastavi tam kde dosud sluzby nebyly, zohledni hodnotu dobirky
update dFormaDopravy set specialniSluzby = '00000000000' where formadopravyk = 'formaDopravy.geis' and (specialniSluzby is null or length(specialniSluzby) = 0) and cisbaldobirka is false;
update dFormaDopravy set specialniSluzby = '00100000000' where formadopravyk = 'formaDopravy.geis' and (specialniSluzby is null or length(specialniSluzby) = 0) and cisbaldobirka is true;
--nastavi tam kde uz sluzby jsou, zohledni hodnotu dobirky
update dFormaDopravy set specialniSluzby = substr(specialniSluzby, 1, 2) || '0' || substr(specialniSluzby, 4, 8) where formadopravyk = 'formaDopravy.geis' and specialniSluzby ~ '^[01]{11}$' and cisbaldobirka is false;
update dFormaDopravy set specialniSluzby = substr(specialniSluzby, 1, 2) || '1' || substr(specialniSluzby, 4, 8) where formadopravyk = 'formaDopravy.geis' and specialniSluzby ~ '^[01]{11}$' and cisbaldobirka is true;

--#CP#
--zanese hodnotu booleanu pro dobirku do retezce spec. sluzeb pro CP
update dFormaDopravy set specialniSluzby = '4' where (formadopravyk = 'formaDopravy.ceskaPostaM' or formadopravyk = 'formaDopravy.ceskaPostaPO') and (specialnisluzby is null or length(specialniSluzby) = 0) and cisbaldobirka is true;
--pokud tam dosud neni, ani na zacatku, ani uprostred, ani na konci -> pripisu na konec
update dFormaDopravy set specialniSluzby = specialnisluzby || '+4' where (formadopravyk = 'formaDopravy.ceskaPostaM' or formadopravyk = 'formaDopravy.ceskaPostaPO') and specialnisluzby is not null and not specialniSluzby ~ '\\y4\\y' and cisbaldobirka is true;

--#PPL#
update dFormaDopravy set specialniSluzby = 'dobirka' where formadopravyk = 'formaDopravy.ppl' and cisbaldobirka = true;


--rusime sloupec dobirky
ALTER TABLE dformadopravy DROP COLUMN cisbaldobirka;

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 903, 't', %appVersion%, clock_timestamp());
