CREATE OR REPLACE FUNCTION create_or_drop_ucto_zurnal_triggers(docreate boolean)
  RETURNS void AS
$BODY$
BEGIN
  -- Na nektere z tabulek muze byt uvalen zamek (napr. typu AccessShareLock)
  LOCK TABLE aadresar IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE abanspoj IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE akontakty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE amisturc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE anaklakt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE apsc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE askupfir IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE asmerkod IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE astaty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE atypakt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE atypnaklakt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE audalosti IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE catribut IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ccenhlad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ccenik IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cdodavatele IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cekokom IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ckusovnik IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cmerjed IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE codberatele IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cpodobne IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cpoplatky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cprislusenstvi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE csady IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cskupcen IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cskupzboz IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cstavcen IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ctypatribut IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ctypzbozi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dautotisk IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dbsp IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dcislobal IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklfak IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklint IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklobch IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklsklad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformadopravy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformauhrady IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformauhradycis IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformauhradyzauc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dkonsym IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolfak IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolint IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolobch IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolprikazuhr IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolsklad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolsml IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dprikazuhr IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE drady IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dradyrok IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dsmlouvy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dstavsml IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dtypdokl IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dtypsml IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dvazebtab IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE idodpodm IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE idruhdopr IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE iintrmerjed IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ikrajurc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE inomen IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE iobchtrans IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE izvlpoh IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE nnastav IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE nucetobdobi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE sinventura IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE skarty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE smapsklad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE spolinventura IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE srezervace IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE sumisteni IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE svyrobnicislo IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE svyrobnicislohlav IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ucinnost IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uclendph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uclenkonvykdph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE udphpren IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ukurzy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE umeny IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uradekpriznanidph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usazbydph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesradky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesrozpaduce IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesstdpred IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usessumace IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesuzivpred IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usestavy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ustavzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ustducty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ustrediska IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE utypucop IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE utypzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uucty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uvyhzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wactclenstvi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wactdefinice IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wactskupina IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wadrcert IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wautcert IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wcolumn IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdataprava IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdotazy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdotazyparam IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdotazyprop IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wextid IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wfiltry IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wkonektor IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE woscert IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wparam IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wpriloha IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wpristprava IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wreport IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wrole IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wsablona IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wskupvybklic IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wstrom IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wtexty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wuzel IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wuzivatel IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvazuzel IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvazba IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvazbatyp IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvybklice IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wxslt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wzamky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wzastupnosti IN ACCESS EXCLUSIVE MODE NOWAIT;
  
  IF docreate THEN
    CREATE TRIGGER aadresarzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON aadresar FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER abanspojzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON abanspoj FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER akontaktyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON akontakty FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER amisturczurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON amisturc FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER anaklaktzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON anaklakt FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER apsczurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON apsc FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER askupfirzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON askupfir FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER asmerkodzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON asmerkod FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER astatyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON astaty FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER atypaktzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON atypakt FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER atypnaklaktzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON atypnaklakt FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER audalostizurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON audalosti FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER catributzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON catribut FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ccenhladzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ccenhlad FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ccenikzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ccenik FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER cdodavatelezurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON cdodavatele FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER cekokomzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON cekokom FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ckusovnikzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ckusovnik FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER cmerjedzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON cmerjed FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER codberatelezurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON codberatele FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER cpodobnezurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON cpodobne FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER cpoplatkyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON cpoplatky FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER cprislusenstvizurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON cprislusenstvi FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER csadyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON csady FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER cskupcenzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON cskupcen FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER cskupzbozzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON cskupzboz FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER cstavcenzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON cstavcen FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ctypatributzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ctypatribut FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ctypzbozizurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ctypzbozi FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dautotiskzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dautotisk FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dbspzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dbsp FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dcislobalzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dcislobal FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ddoklfakzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ddoklfak FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ddoklintzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ddoklint FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ddoklobchzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ddoklobch FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ddoklskladzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ddoklsklad FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dformadopravyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dformadopravy FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dformauhradyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dformauhrady FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dformauhradyciszurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dformauhradycis FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dformauhradyzauczurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dformauhradyzauc FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dkonsymzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dkonsym FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dpolfakzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolfak FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dpolintzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolint FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dpolobchzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolobch FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dpolprikazuhrzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolprikazuhr FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dpolskladzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolsklad FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dpolsmlzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolsml FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dprikazuhrzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dprikazuhr FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dradyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON drady FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dradyrokzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dradyrok FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dsmlouvyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dsmlouvy FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dstavsmlzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dstavsml FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dtypdoklzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dtypdokl FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dtypsmlzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dtypsml FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER dvazebtabzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON dvazebtab FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER idodpodmzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON idodpodm FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER idruhdoprzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON idruhdopr FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER iintrmerjedzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON iintrmerjed FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ikrajurczurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ikrajurc FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER inomenzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON inomen FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER iobchtranszurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON iobchtrans FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER izvlpohzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON izvlpoh FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER nnastavzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON nnastav FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER nucetobdobizurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON nucetobdobi FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER sinventurazurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON sinventura FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER skartyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON skarty FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER smapskladzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON smapsklad FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER spolinventurazurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON spolinventura FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER srezervacezurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON srezervace FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER sumistenizurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON sumisteni FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER svyrobnicislozurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON svyrobnicislo FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER svyrobnicislohlavzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON svyrobnicislohlav FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ucinnostzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ucinnost FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER uclendphzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON uclendph FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER uclenkonvykdphzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON uclenkonvykdph FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER udphprenzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON udphpren FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ukurzyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ukurzy FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER umenyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON umeny FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER uradekpriznanidphzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON uradekpriznanidph FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER usazbydphzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON usazbydph FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER usesradkyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON usesradky FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER usesrozpaducezurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON usesrozpaduce FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER usesstdpredzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON usesstdpred FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER usessumacezurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON usessumace FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER usesuzivpredzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON usesuzivpred FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER usestavyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON usestavy FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ustavzakazkyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ustavzakazky FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ustductyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ustducty FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER ustrediskazurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON ustrediska FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER utypucopzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON utypucop FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER utypzakazkyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON utypzakazky FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER uuctyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON uucty FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER uvyhzakazkyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON uvyhzakazky FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER uzakazkyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON uzakazky FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wactclenstvizurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wactclenstvi FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wactdefinicezurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wactdefinice FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wactskupinazurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wactskupina FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wadrcertzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wadrcert FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wautcertzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wautcert FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wcolumnzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wcolumn FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wdatapravazurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wdataprava FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wdotazyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wdotazy FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wdotazyparamzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wdotazyparam FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wdotazypropzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wdotazyprop FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wextidzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wextid FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wfiltryzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wfiltry FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wkonektorzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wkonektor FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER woscertzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON woscert FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wparamzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wparam FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wprilohazurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wpriloha FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wpristpravazurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wpristprava FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wreportzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wreport FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wrolezurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wrole FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wsablonazurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wsablona FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wskupvybkliczurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wskupvybklic FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wstromzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wstrom FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wtextyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wtexty FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wuzelzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wuzel FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wuzivatelzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wuzivatel FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wvazuzelzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wvazuzel FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wvazbazurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wvazba FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wvazbatypzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wvazbatyp FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wvybklicezurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wvybklice FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wxsltzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wxslt FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wzamkyzurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wzamky FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

    CREATE TRIGGER wzastupnostizurnal
        BEFORE UPDATE OR INSERT OR DELETE
        ON wzastupnosti FOR EACH ROW
        EXECUTE PROCEDURE logzurnal();

  ELSE
    DROP TRIGGER IF EXISTS aadresarzurnal ON aadresar;
    DROP TRIGGER IF EXISTS abanspojzurnal ON abanspoj;
    DROP TRIGGER IF EXISTS akontaktyzurnal ON akontakty;
    DROP TRIGGER IF EXISTS amisturczurnal ON amisturc;
    DROP TRIGGER IF EXISTS anaklaktzurnal ON anaklakt;
    DROP TRIGGER IF EXISTS apsczurnal ON apsc;
    DROP TRIGGER IF EXISTS askupfirzurnal ON askupfir;
    DROP TRIGGER IF EXISTS asmerkodzurnal ON asmerkod;
    DROP TRIGGER IF EXISTS astatyzurnal ON astaty;
    DROP TRIGGER IF EXISTS atypaktzurnal ON atypakt;
    DROP TRIGGER IF EXISTS atypnaklaktzurnal ON atypnaklakt;
    DROP TRIGGER IF EXISTS audalostizurnal ON audalosti;
    DROP TRIGGER IF EXISTS catributzurnal ON catribut;
    DROP TRIGGER IF EXISTS ccenhladzurnal ON ccenhlad;
    DROP TRIGGER IF EXISTS ccenikzurnal ON ccenik;
    DROP TRIGGER IF EXISTS cdodavatelezurnal ON cdodavatele;
    DROP TRIGGER IF EXISTS cekokomzurnal ON cekokom;
    DROP TRIGGER IF EXISTS ckusovnikzurnal ON ckusovnik;
    DROP TRIGGER IF EXISTS cmerjedzurnal ON cmerjed;
    DROP TRIGGER IF EXISTS codberatelezurnal ON codberatele;
    DROP TRIGGER IF EXISTS cpodobnezurnal ON cpodobne;
    DROP TRIGGER IF EXISTS cpoplatkyzurnal ON cpoplatky;
    DROP TRIGGER IF EXISTS cprislusenstvizurnal ON cprislusenstvi;
    DROP TRIGGER IF EXISTS csadyzurnal ON csady;
    DROP TRIGGER IF EXISTS cskupcenzurnal ON cskupcen;
    DROP TRIGGER IF EXISTS cskupzbozzurnal ON cskupzboz;
    DROP TRIGGER IF EXISTS cstavcenzurnal ON cstavcen;
    DROP TRIGGER IF EXISTS ctypatributzurnal ON ctypatribut;
    DROP TRIGGER IF EXISTS ctypzbozizurnal ON ctypzbozi;
    DROP TRIGGER IF EXISTS dautotiskzurnal ON dautotisk;
    DROP TRIGGER IF EXISTS dbspzurnal ON dbsp;
    DROP TRIGGER IF EXISTS dcislobalzurnal ON dcislobal;
    DROP TRIGGER IF EXISTS ddoklfakzurnal ON ddoklfak;
    DROP TRIGGER IF EXISTS ddoklintzurnal ON ddoklint;
    DROP TRIGGER IF EXISTS ddoklobchzurnal ON ddoklobch;
    DROP TRIGGER IF EXISTS ddoklskladzurnal ON ddoklsklad;
    DROP TRIGGER IF EXISTS dformadopravyzurnal ON dformadopravy;
    DROP TRIGGER IF EXISTS dformauhradyzurnal ON dformauhrady;
    DROP TRIGGER IF EXISTS dformauhradyciszurnal ON dformauhradycis;
    DROP TRIGGER IF EXISTS dformauhradyzauczurnal ON dformauhradyzauc;
    DROP TRIGGER IF EXISTS dkonsymzurnal ON dkonsym;
    DROP TRIGGER IF EXISTS dpolfakzurnal ON dpolfak;
    DROP TRIGGER IF EXISTS dpolintzurnal ON dpolint;
    DROP TRIGGER IF EXISTS dpolobchzurnal ON dpolobch;
    DROP TRIGGER IF EXISTS dpolprikazuhrzurnal ON dpolprikazuhr;
    DROP TRIGGER IF EXISTS dpolskladzurnal ON dpolsklad;
    DROP TRIGGER IF EXISTS dpolsmlzurnal ON dpolsml;
    DROP TRIGGER IF EXISTS dprikazuhrzurnal ON dprikazuhr;
    DROP TRIGGER IF EXISTS dradyzurnal ON drady;
    DROP TRIGGER IF EXISTS dradyrokzurnal ON dradyrok;
    DROP TRIGGER IF EXISTS dsmlouvyzurnal ON dsmlouvy;
    DROP TRIGGER IF EXISTS dstavsmlzurnal ON dstavsml;
    DROP TRIGGER IF EXISTS dtypdoklzurnal ON dtypdokl;
    DROP TRIGGER IF EXISTS dtypsmlzurnal ON dtypsml;
    DROP TRIGGER IF EXISTS dvazebtabzurnal ON dvazebtab;
    DROP TRIGGER IF EXISTS idodpodmzurnal ON idodpodm;
    DROP TRIGGER IF EXISTS idruhdoprzurnal ON idruhdopr;
    DROP TRIGGER IF EXISTS iintrmerjedzurnal ON iintrmerjed;
    DROP TRIGGER IF EXISTS ikrajurczurnal ON ikrajurc;
    DROP TRIGGER IF EXISTS inomenzurnal ON inomen;
    DROP TRIGGER IF EXISTS iobchtranszurnal ON iobchtrans;
    DROP TRIGGER IF EXISTS izvlpohzurnal ON izvlpoh;
    DROP TRIGGER IF EXISTS nnastavzurnal ON nnastav;
    DROP TRIGGER IF EXISTS nucetobdobizurnal ON nucetobdobi;
    DROP TRIGGER IF EXISTS sinventurazurnal ON sinventura;
    DROP TRIGGER IF EXISTS skartyzurnal ON skarty;
    DROP TRIGGER IF EXISTS smapskladzurnal ON smapsklad;
    DROP TRIGGER IF EXISTS spolinventurazurnal ON spolinventura;
    DROP TRIGGER IF EXISTS srezervacezurnal ON srezervace;
    DROP TRIGGER IF EXISTS sumistenizurnal ON sumisteni;
    DROP TRIGGER IF EXISTS svyrobnicislozurnal ON svyrobnicislo;
    DROP TRIGGER IF EXISTS svyrobnicislohlavzurnal ON svyrobnicislohlav;
    DROP TRIGGER IF EXISTS ucinnostzurnal ON ucinnost;
    DROP TRIGGER IF EXISTS uclendphzurnal ON uclendph;
    DROP TRIGGER IF EXISTS uclenkonvykdphzurnal ON uclenkonvykdph;
    DROP TRIGGER IF EXISTS udphprenzurnal ON udphpren;
    DROP TRIGGER IF EXISTS ukurzyzurnal ON ukurzy;
    DROP TRIGGER IF EXISTS umenyzurnal ON umeny;
    DROP TRIGGER IF EXISTS uradekpriznanidphzurnal ON uradekpriznanidph;
    DROP TRIGGER IF EXISTS usazbydphzurnal ON usazbydph;
    DROP TRIGGER IF EXISTS usesradkyzurnal ON usesradky;
    DROP TRIGGER IF EXISTS usesrozpaducezurnal ON usesrozpaduce;
    DROP TRIGGER IF EXISTS usesstdpredzurnal ON usesstdpred;
    DROP TRIGGER IF EXISTS usessumacezurnal ON usessumace;
    DROP TRIGGER IF EXISTS usesuzivpredzurnal ON usesuzivpred;
    DROP TRIGGER IF EXISTS usestavyzurnal ON usestavy;
    DROP TRIGGER IF EXISTS ustavzakazkyzurnal ON ustavzakazky;
    DROP TRIGGER IF EXISTS ustductyzurnal ON ustducty;
    DROP TRIGGER IF EXISTS ustrediskazurnal ON ustrediska;
    DROP TRIGGER IF EXISTS utypucopzurnal ON utypucop;
    DROP TRIGGER IF EXISTS utypzakazkyzurnal ON utypzakazky;
    DROP TRIGGER IF EXISTS uuctyzurnal ON uucty;
    DROP TRIGGER IF EXISTS uvyhzakazkyzurnal ON uvyhzakazky;
    DROP TRIGGER IF EXISTS uzakazkyzurnal ON uzakazky;
    DROP TRIGGER IF EXISTS wactclenstvizurnal ON wactclenstvi;
    DROP TRIGGER IF EXISTS wactdefinicezurnal ON wactdefinice;
    DROP TRIGGER IF EXISTS wactskupinazurnal ON wactskupina;
    DROP TRIGGER IF EXISTS wadrcertzurnal ON wadrcert;
    DROP TRIGGER IF EXISTS wautcertzurnal ON wautcert;
    DROP TRIGGER IF EXISTS wcolumnzurnal ON wcolumn;
    DROP TRIGGER IF EXISTS wdatapravazurnal ON wdataprava;
    DROP TRIGGER IF EXISTS wdotazyzurnal ON wdotazy;
    DROP TRIGGER IF EXISTS wdotazyparamzurnal ON wdotazyparam;
    DROP TRIGGER IF EXISTS wdotazypropzurnal ON wdotazyprop;
    DROP TRIGGER IF EXISTS wextidzurnal ON wextid;
    DROP TRIGGER IF EXISTS wfiltryzurnal ON wfiltry;
    DROP TRIGGER IF EXISTS wkonektorzurnal ON wkonektor;
    DROP TRIGGER IF EXISTS woscertzurnal ON woscert;
    DROP TRIGGER IF EXISTS wparamzurnal ON wparam;
    DROP TRIGGER IF EXISTS wprilohazurnal ON wpriloha;
    DROP TRIGGER IF EXISTS wpristpravazurnal ON wpristprava;
    DROP TRIGGER IF EXISTS wreportzurnal ON wreport;
    DROP TRIGGER IF EXISTS wrolezurnal ON wrole;
    DROP TRIGGER IF EXISTS wsablonazurnal ON wsablona;
    DROP TRIGGER IF EXISTS wskupvybkliczurnal ON wskupvybklic;
    DROP TRIGGER IF EXISTS wstromzurnal ON wstrom;
    DROP TRIGGER IF EXISTS wtextyzurnal ON wtexty;
    DROP TRIGGER IF EXISTS wuzelzurnal ON wuzel;
    DROP TRIGGER IF EXISTS wuzivatelzurnal ON wuzivatel;
    DROP TRIGGER IF EXISTS wvazuzelzurnal ON wvazuzel;
    DROP TRIGGER IF EXISTS wvazbazurnal ON wvazba;
    DROP TRIGGER IF EXISTS wvazbatypzurnal ON wvazbatyp;
    DROP TRIGGER IF EXISTS wvybklicezurnal ON wvybklice;
    DROP TRIGGER IF EXISTS wxsltzurnal ON wxslt;
    DROP TRIGGER IF EXISTS wzamkyzurnal ON wzamky;
    DROP TRIGGER IF EXISTS wzastupnostizurnal ON wzastupnosti;
  END IF;
END;
$BODY$
LANGUAGE 'plpgsql' VOLATILE;
