<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java">
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="winstrom">
    <winstrom version="1.0">
      <xsl:apply-templates select="adresar"/>
    </winstrom>
  </xsl:template>

    <!--

	"INTER,N,8,0", 		ok
	"CISLO,C,10",		ok
	"OSLOVENI,C,16",	ign
	"NAZEV,C,64",		ok
	"ALT_NAZEV,C,64",	ign
	"ULICE,C,64",		ok
	"PSC,C,10",		ok
	"MESTO,C,28",		ok
	"STAT,C,24",		ign (použili jsme KOD_ZEME)
	"BANKA,C,40",		ok
	"KOD_BANKY,C,16",	ok
	"ICO,C,8",		ok
	"DIC,C,14",		ok
	"KON_PRIJEM,C,96",
	"DOPRAVA,C,20",		
	"TEL,C,20",		ok
	"FAX,C,20",		ok
	"MOBIL,C,20",		ok
	"DALSI,C,20",
	"E_MAIL,C,64",		ok
	"INTERNET,C,64",	ok
	"POZNAMKA,C,192",	ok
	"ODBERATEL,L",		ok
	"DODAVATEL,L",		ok
	"RAB_SKUP,N,1,0",
	"DUCET,C,6",
	"OUCET,C,6",
	"BANKA_ODB,C,40",
	"BANKA_NAME,C,40",
	"BANKA_MES,C,40",
	"BANKA_STA,C,40",
	"US_ADD,C,16",
	"US_EDI,C,16",
	"USD_ADD,C,16",
	"USD_EDI,C,16",
	"IDEN1,C,3",
	"IDEN2,C,3",
	"IDEN3,C,3",
	"IDEN4,C,3",
	"IDEN5,C,3",
	"UROK,N,7,3",
	"UR_DOBA,N,1,0",
	"SPLATNOST,N,5,0",	ok
	"JAKA_SPL,N,1,0",
	"SLEVA,N,6,2",
	"ONLY_CASH,L",
	"SPEC,C,12",
	"DOBA_DOD,N,5,0",
	"ZALOZEN,D",
	"UKONCEN,D",
	"USER_C01,C,32",
	"USER_C02,C,32","USER_C03,C,32","USER_C04,C,32","USER_C05,C,32","USER_C06,C,32","USER_C07,C,32","USER_C08,C,32","USER_C09,C,32","USER_C10,C,32","USER_C11,C,32","USER_C12,C,32","USER_C13,C,32","USER_C14,C,32","USER_C15,C,32","USER_C16,C,32","USER_C17,C,32","USER_C18,C,32","USER_C19,C,32","USER_C20,C,32","USER_C21,C,32","USER_C22,C,32","USER_C23,C,32","USER_C24,C,32","USER_N01,N,15,3","USER_N02,N,15,3","USER_N03,N,15,3","USER_N04,N,15,3","USER_N05,N,15,3","USER_N06,N,15,3","USER_N07,N,15,3","USER_N08,N,15,3","USER_N09,N,15,3","USER_N10,N,15,3","USER_N11,N,15,3","USER_N12,N,15,3","USER_N13,N,15,3","USER_N14,N,15,3","USER_N15,N,15,3","USER_N16,N,15,3","USER_N17,N,15,3","USER_N18,N,15,3","USER_N19,N,15,3","USER_N20,N,15,3","USER_N21,N,15,3","USER_N22,N,15,3","USER_N23,N,15,3","USER_N24,N,15,3","USER_D01,D","USER_D02,D","USER_D03,D","USER_D04,D","USER_D05,D","USER_D06,D","USER_D07,D","USER_D08,D","USER_D09,D","USER_D10,D","USER_D11,D","USER_D12,D","USER_D13,D","USER_D14,D","USER_D15,D","USER_D16,D","USER_D17,D","USER_D18,D","USER_D19,D","USER_D20,D","USER_D21,D","USER_D22,D","USER_D23,D","USER_D24,D","UHRADA,C,20","PS_PATH,C,80","KREDIT,N,15,2","PS_TIME,C,16","CIL,C,96","KURYR,C,96","TS,C,40","ID,C,36","SKLADY,C,48","FORMA_OS,N,1,0","IBAN,C,32","HODNOCENI,C,3","BARVA,N,10,0","KONTAKT1,C,20","KONTAKT2,C,20","KONTAKT3,C,20","KONTAKT4,C,20","KONTAKT5,C,20","POZN_K1,C,64","POZN_K2,C,64","POZN_K3,C,64","POZN_K4,C,64","POZN_K5,C,64",
	"ZAK_CISLO,C,14",
	"PRED_BANKA,C,3",
	"MORE_1,C,192",
	"MORE_2,C,192",
	"FAKT_TYP,N,2,0",
	"PRED_MENA,C,3",
	"STKOD,N,12,0",
	"CENIK,C,12",
	"EDI_TYP,N,1,0",
	"DEALER,C,24",
	"IS_KRED324,L",
	"KOD_ZEME,C,2",		ok
	"ICO_PLUS,C,4",
	"KREDIT_OB,L",
	"SPLAT_DOD,N,5,0",
	"JAKA_SDOD,N,1,0",
	"UHRA_DOD,C,20",
	"DPH_IN,C,2",
	"DPH_OUT,C,2",
	"IN_DODP,C,3",
	"IN_DOPR,N,1,0",
	"IN_KOD,C,10",
	"VAZ_SEST,C,160",
	"SKUP_SES,C,12",
	"TRASA,C,20"
    -->

  <xsl:template match="adresar">
  
  <adresar update="ignore">
    <id>ext:PREMIER:<xsl:value-of select="INTER"/></id>
    <xsl:if test="ICO != ''">
      <id>in:<xsl:value-of select="ICO"/></id>
    </xsl:if>
    <kod><xsl:value-of select="java:flexibee.Tool.toUpper(CISLO)"/></kod>
    <ic><xsl:value-of select="ICO"/></ic>
    <dic><xsl:value-of select="DIC"/></dic>
    <nazev><xsl:value-of select="NAZEV"/></nazev>
    <ulice><xsl:value-of select="ULICE"/></ulice>
    <mesto><xsl:value-of select="MESTO"/></mesto>
    <psc><xsl:value-of select="PSC"/></psc>
    <stat>code:<xsl:value-of select="KOD_ZEME"/></stat>
    <tel><xsl:value-of select="TEL"/></tel>
    <fax><xsl:value-of select="FAX"/></fax>
    <mobil><xsl:value-of select="MOBIL"/></mobil>
    <email><xsl:value-of select="E_MAIL"/></email>
    <www><xsl:value-of select="INTERNET"/></www>
    <poznam><xsl:value-of select="POZNAMKA"/></poznam>
    <typVztahuK>
      <xsl:choose>
        <xsl:when test="ODBERATEL = 'PRAVDA' and DODAVATEL = 'NEPRAVDA'">typVztahu.odberatel</xsl:when>
        <xsl:when test="ODBERATEL = 'NEPRAVDA' and DODAVATEL = 'PRAVDA'">typVztahu.dodavatel</xsl:when>
        <xsl:otherwise>typVztahu.odberDodav</xsl:otherwise>
      </xsl:choose>
    </typVztahuK>
    <xsl:if test="SPLATNOST != '0'">
      <splatDny><xsl:value-of select="SPLATNOST"/></splatDny>
    </xsl:if>
  </adresar>
  
  <!--<xsl:if test="BANKA != ''">
    <penezni-ustav update="ignore">
    <id>code:<xsl:value-of select="KOD_BANKY"/></id>
    <kod><xsl:value-of select="KOD_BANKY"/></kod>
    <nazev><xsl:value-of select="KOD_BANKY"/></nazev>
    </penezni-ustav>
    <adresar-bankovni-ucet>
      <id>ext:PREMIER:<xsl:value-of select="INTER"/></id>
      <firma>ext:PREMIER:<xsl:value-of select="INTER"/></firma>
      <xsl:if test="java:flexibee.Tool.isNumber(KOD_BANKY)">
        <buc><xsl:value-of select="BANKA"/></buc>
        <smerKod><xsl:value-of select="KOD_BANKY"/></smerKod>
      </xsl:if>
      <xsl:if test="not(java:flexibee.Tool.isNumber(KOD_BANKY))">
        <iban><xsl:value-of select="IBAN"/></iban>
        <bic><xsl:value-of select="KOD_BANKY"/></bic>
      </xsl:if>
    </adresar-bankovni-ucet>
  </xsl:if>-->
  
  </xsl:template>
</xsl:stylesheet>