<?xml version="1.0" encoding="utf-8" ?>
<!--ve sloupci popis u polozky "Systémové zaokrouhlení CM" není uvedená měna-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" >
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="winstrom">
    <winstrom version="1.0">
    <xsl:apply-templates select="misto-urceni"/>
    </winstrom>
  </xsl:template>

<!--
id	ico	prijemce	ulice	cp	mesto	psc	zeme	pozn
-->
  <xsl:template match="misto-urceni">
	<misto-urceni>
	    <id>ext:SINCOLOR-MUR:<xsl:value-of select="id"/></id>
    	    <firma>[code:<xsl:value-of select="ico"/>][in:<xsl:value-of select="ico"/>]</firma>
    	    <xsl:if test="prijemce != ''">
    		<nazev><xsl:value-of select="prijemce"/></nazev>
    	    </xsl:if>
    	    <xsl:if test="not(prijemce)">
    		<nazev><xsl:value-of select="ico"/></nazev>
    	    </xsl:if>
    	    <xsl:if test="ulice != ''">
    		<ulice><xsl:value-of select="ulice"/><xsl:if test="cp != ''"> <xsl:value-of select="cp"/></xsl:if></ulice>
    	    </xsl:if>
    	    <xsl:if test="mesto != ''">
    		<mesto><xsl:value-of select="mesto"/></mesto>
    	    </xsl:if>
    	    <xsl:if test="psc != ''">
    		<psc><xsl:value-of select="psc"/></psc>
    	    </xsl:if>
    	    <xsl:if test="zeme != ''">
        	    <stat>code:<xsl:value-of select="zeme"/></stat>
    	    </xsl:if>
    	    <xsl:if test="pozn != ''">
    		<poznam><xsl:value-of select="pozn"/></poznam>
    	    </xsl:if>
    	</misto-urceni>
  </xsl:template>
</xsl:stylesheet>
