/*
 Odstrann ppadnch vazeb poloky na zlohy

 Autor:        Jan Beta
*/
create or replace function dPolFakDeleteVazba() returns trigger as $$
begin
  if (OLD.typPolozkyK in ('typPolozky.odpocetZalohy', 'typPolozky.odpocetZdd')) then
    delete from dVazebTab where idtaba = OLD.idPolFak and (typVazbyK = 'typVazbyDokl.odpocetZALOHY' or typVazbyK = 'typVazbyDokl.odpocetZDD');
  end if;

  return OLD;
end;
$$ LANGUAGE plpgsql;

drop trigger if exists dPolFakDeleteVazba on dpolfak;

create trigger dPolFakDeleteVazba before delete on dpolfak
for each row execute procedure dPolFakDeleteVazba();
