
CREATE OR REPLACE FUNCTION delete_license_lo()
  RETURNS trigger AS
$BODY$
declare
  z Record;
begin
  select lo_unlink(old.license) into z;
  return old;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;

CREATE TRIGGER delete_license
  AFTER DELETE
  ON cslicense
  FOR EACH ROW
  EXECUTE PROCEDURE delete_license_lo();

insert into dbversion(iddbversion, dbversion, needreimport)
    values (nextval('seq_dbversion'), 8, 't');
