--------------------------------------------------------------------------------
-- Bug 46361 - Pokud u uživatelské role znepřístupním v modulu peníze příkaz k úhradě, automaticky se znepřístupní i příkaz k inkasu
--------------------------------------------------------------------------------

insert into wpristprava(lastupdate, typek, groupkey, features, idrole) (select now(), typek, 'dPrikazUhr$$PRI', features, idrole from wpristprava where groupkey = 'dPrikazUhr$$BAN');
insert into wpristprava(lastupdate, typek, groupkey, features, idrole) (select now(), typek, 'dPrikazUhr$$INK', features, idrole from wpristprava where groupkey = 'dPrikazUhr$$BAN');
delete from wpristprava where groupkey = 'dPrikazUhr$$BAN';

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
 values (nextval('seq_dbversion'), 1107, 't', %appVersion%, clock_timestamp());