--------------------------------------------------------------------------------
-- Bug 47007 - Umožnit import EDI zpráv INVOIC a DESADV 
--------------------------------------------------------------------------------

alter table nnastav add column idTdFapEdi integer;

alter table nnastav add CONSTRAINT nastav_tdfapedi_vazba FOREIGN KEY (idtdfapedi)
      REFERENCES public.dtypdokl (idtypdokl) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;
  
alter table nnastav add column idTdSklEdi integer;

alter table nnastav add CONSTRAINT nastav_tdskledi_vazba FOREIGN KEY (idtdskledi)
      REFERENCES public.dtypdokl (idtypdokl) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX nNastav_IdTdFapEdi_index ON nNastav USING btree (IdTdFapEdi);
CREATE INDEX nNastav_IdTdSklEdi_index ON nNastav USING btree (IdTdSklEdi);

alter table dbsp add column eanKod character varying(20);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 1113, 't', %appVersion%, clock_timestamp());
