---------------------------------------------------------------------------------
-- FB-397 Rozdeleni na strediska a cinnosti - nepropisuje se na interni doklady
---------------------------------------------------------------------------------

create or replace function runupgrade()
   returns void as $$
 declare
   stat character varying(10);
 begin
   select a.uuid into stat from nnastav n 
     left join utyporg u on u.idtyporg = n.idtyporg
     left join astaty a on a.idstatu = u.idstatu
   order by coalesce(n.platioddata, '1900-01-01') desc limit 1;
 
   if (stat = 'CZ_CZ') then
        INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
         VALUES (404, '2018-02-22 00:00:00.000', 'ODPRAC.HODINY MĚSÍC', 'Suma odpracovaných hodin v měsíci', e'Jedná se o obdobu složky HODINY MĚSÍC. \nNarozdíl od ní zohledňuje, že ve složkách vstupujících do HODINY MĚSÍC nemusí být vyplněné hodiny (případ ÚKOLOVÉ MZDY)', true, 1052, 'typSlozky.vypocet', 'skupinaSlozky.doba', false, false, false, true, true, true, true, true, false, false, false, false, false, false, true, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, false, false, false, 'ODPRAC.HODINY_MESIC');

        UPDATE pmzdcalc SET cisrad = 135 WHERE idmzdcalc = 9744;
        UPDATE pmzdcalc SET cisrad = 136 WHERE idmzdcalc = 9745;
        UPDATE pmzdcalc SET cisrad = 137 WHERE idmzdcalc = 9746;
        UPDATE pmzdcalc SET cisrad = 140 WHERE idmzdcalc = 9747;
        UPDATE pmzdcalc SET cisrad = 141 WHERE idmzdcalc = 9748;
        UPDATE pmzdcalc SET cisrad = 142 WHERE idmzdcalc = 9749;
        UPDATE pmzdcalc SET cisrad = 143 WHERE idmzdcalc = 9750;
        UPDATE pmzdcalc SET cisrad = 144 WHERE idmzdcalc = 9752;
        UPDATE pmzdcalc SET cisrad = 145 WHERE idmzdcalc = 9753;
        UPDATE pmzdcalc SET cisrad = 146 WHERE idmzdcalc = 9754;
        UPDATE pmzdcalc SET cisrad = 147 WHERE idmzdcalc = 9755;
        UPDATE pmzdcalc SET cisrad = 148 WHERE idmzdcalc = 9756;
        UPDATE pmzdcalc SET cisrad = 149 WHERE idmzdcalc = 9757;
        UPDATE pmzdcalc SET cisrad = 150 WHERE idmzdcalc = 9758;
        UPDATE pmzdcalc SET cisrad = 151 WHERE idmzdcalc = 9759;
        UPDATE pmzdcalc SET cisrad = 152 WHERE idmzdcalc = 9760;
        UPDATE pmzdcalc SET cisrad = 153 WHERE idmzdcalc = 9761;
        UPDATE pmzdcalc SET cisrad = 154 WHERE idmzdcalc = 9762;
        UPDATE pmzdcalc SET cisrad = 155 WHERE idmzdcalc = 9763;
        UPDATE pmzdcalc SET cisrad = 156 WHERE idmzdcalc = 9764;
        UPDATE pmzdcalc SET cisrad = 157 WHERE idmzdcalc = 9765;
        UPDATE pmzdcalc SET cisrad = 158 WHERE idmzdcalc = 9766;
        UPDATE pmzdcalc SET cisrad = 159 WHERE idmzdcalc = 9767;
        UPDATE pmzdcalc SET cisrad = 160 WHERE idmzdcalc = 9768;
        UPDATE pmzdcalc SET cisrad = 161 WHERE idmzdcalc = 9769;
        UPDATE pmzdcalc SET cisrad = 162 WHERE idmzdcalc = 9770;
        UPDATE pmzdcalc SET cisrad = 163 WHERE idmzdcalc = 9771;
        UPDATE pmzdcalc SET cisrad = 164 WHERE idmzdcalc = 9772;
        UPDATE pmzdcalc SET cisrad = 165 WHERE idmzdcalc = 9773;
        UPDATE pmzdcalc SET cisrad = 166 WHERE idmzdcalc = 9774;
        UPDATE pmzdcalc SET cisrad = 167 WHERE idmzdcalc = 9775;
        UPDATE pmzdcalc SET cisrad = 168 WHERE idmzdcalc = 9776;
        UPDATE pmzdcalc SET cisrad = 169 WHERE idmzdcalc = 9777;
        UPDATE pmzdcalc SET cisrad = 170 WHERE idmzdcalc = 9778;
        UPDATE pmzdcalc SET cisrad = 171 WHERE idmzdcalc = 9779;
        UPDATE pmzdcalc SET cisrad = 172 WHERE idmzdcalc = 9780;
        UPDATE pmzdcalc SET cisrad = 173 WHERE idmzdcalc = 9781;
        UPDATE pmzdcalc SET cisrad = 174 WHERE idmzdcalc = 9782;
        UPDATE pmzdcalc SET cisrad = 175 WHERE idmzdcalc = 9783;
        UPDATE pmzdcalc SET cisrad = 176 WHERE idmzdcalc = 9784;
        UPDATE pmzdcalc SET cisrad = 177 WHERE idmzdcalc = 9785;
        UPDATE pmzdcalc SET cisrad = 178 WHERE idmzdcalc = 9786;
        UPDATE pmzdcalc SET cisrad = 179 WHERE idmzdcalc = 9787;
        UPDATE pmzdcalc SET cisrad = 180 WHERE idmzdcalc = 9788;
        UPDATE pmzdcalc SET cisrad = 181 WHERE idmzdcalc = 9789;
        UPDATE pmzdcalc SET cisrad = 182 WHERE idmzdcalc = 9790;
        UPDATE pmzdcalc SET cisrad = 183 WHERE idmzdcalc = 9791;
        UPDATE pmzdcalc SET cisrad = 184 WHERE idmzdcalc = 9792;
        UPDATE pmzdcalc SET cisrad = 185 WHERE idmzdcalc = 9793;
        UPDATE pmzdcalc SET cisrad = 186 WHERE idmzdcalc = 9794;
        UPDATE pmzdcalc SET cisrad = 187 WHERE idmzdcalc = 9795;
        UPDATE pmzdcalc SET cisrad = 188 WHERE idmzdcalc = 9796;
        UPDATE pmzdcalc SET cisrad = 189 WHERE idmzdcalc = 9797;
        UPDATE pmzdcalc SET cisrad = 190 WHERE idmzdcalc = 9798;
        UPDATE pmzdcalc SET cisrad = 191 WHERE idmzdcalc = 9799;
        UPDATE pmzdcalc SET cisrad = 192 WHERE idmzdcalc = 9800;
        UPDATE pmzdcalc SET cisrad = 193 WHERE idmzdcalc = 9801;
        UPDATE pmzdcalc SET cisrad = 194 WHERE idmzdcalc = 9802;
        UPDATE pmzdcalc SET cisrad = 196 WHERE idmzdcalc = 9803;
        UPDATE pmzdcalc SET cisrad = 197 WHERE idmzdcalc = 9804;
        UPDATE pmzdcalc SET cisrad = 198 WHERE idmzdcalc = 9805;
        UPDATE pmzdcalc SET cisrad = 199 WHERE idmzdcalc = 9806;
        UPDATE pmzdcalc SET cisrad = 200 WHERE idmzdcalc = 9808;
        UPDATE pmzdcalc SET cisrad = 201 WHERE idmzdcalc = 9809;
        UPDATE pmzdcalc SET cisrad = 202 WHERE idmzdcalc = 9810;
        UPDATE pmzdcalc SET cisrad = 203 WHERE idmzdcalc = 9811;
        UPDATE pmzdcalc SET cisrad = 204 WHERE idmzdcalc = 9812;
        UPDATE pmzdcalc SET cisrad = 205 WHERE idmzdcalc = 9813;
        UPDATE pmzdcalc SET cisrad = 206 WHERE idmzdcalc = 9814;
        UPDATE pmzdcalc SET cisrad = 207 WHERE idmzdcalc = 9815;
        UPDATE pmzdcalc SET cisrad = 208 WHERE idmzdcalc = 9816;
        UPDATE pmzdcalc SET cisrad = 209 WHERE idmzdcalc = 9817;
        UPDATE pmzdcalc SET cisrad = 210 WHERE idmzdcalc = 9818;
        UPDATE pmzdcalc SET cisrad = 211 WHERE idmzdcalc = 9819;
        UPDATE pmzdcalc SET cisrad = 212 WHERE idmzdcalc = 9820;
        UPDATE pmzdcalc SET cisrad = 213 WHERE idmzdcalc = 9821;
        UPDATE pmzdcalc SET cisrad = 214 WHERE idmzdcalc = 9822;
        UPDATE pmzdcalc SET cisrad = 215 WHERE idmzdcalc = 9823;
        UPDATE pmzdcalc SET cisrad = 216 WHERE idmzdcalc = 9824;
        UPDATE pmzdcalc SET cisrad = 217 WHERE idmzdcalc = 9825;
        UPDATE pmzdcalc SET cisrad = 218 WHERE idmzdcalc = 9826;
        UPDATE pmzdcalc SET cisrad = 219 WHERE idmzdcalc = 9827;
        UPDATE pmzdcalc SET cisrad = 220 WHERE idmzdcalc = 9828;
        UPDATE pmzdcalc SET cisrad = 221 WHERE idmzdcalc = 9829;
        UPDATE pmzdcalc SET cisrad = 222 WHERE idmzdcalc = 9830;
        UPDATE pmzdcalc SET cisrad = 223 WHERE idmzdcalc = 9831;
        UPDATE pmzdcalc SET cisrad = 224 WHERE idmzdcalc = 9832;
        UPDATE pmzdcalc SET cisrad = 225 WHERE idmzdcalc = 9833;
        UPDATE pmzdcalc SET cisrad = 226 WHERE idmzdcalc = 9834;
        UPDATE pmzdcalc SET cisrad = 227 WHERE idmzdcalc = 9835;
        UPDATE pmzdcalc SET cisrad = 228 WHERE idmzdcalc = 9836;
        UPDATE pmzdcalc SET cisrad = 229 WHERE idmzdcalc = 9837;
        UPDATE pmzdcalc SET cisrad = 230 WHERE idmzdcalc = 9838;
        UPDATE pmzdcalc SET cisrad = 231 WHERE idmzdcalc = 9839;
        UPDATE pmzdcalc SET cisrad = 232 WHERE idmzdcalc = 9840;
        UPDATE pmzdcalc SET cisrad = 233 WHERE idmzdcalc = 9841;
        UPDATE pmzdcalc SET cisrad = 234 WHERE idmzdcalc = 9842;
        UPDATE pmzdcalc SET cisrad = 235 WHERE idmzdcalc = 9843;
        UPDATE pmzdcalc SET cisrad = 236 WHERE idmzdcalc = 9844;
        UPDATE pmzdcalc SET cisrad = 237 WHERE idmzdcalc = 9845;
        UPDATE pmzdcalc SET cisrad = 238 WHERE idmzdcalc = 9846;
        UPDATE pmzdcalc SET cisrad = 239 WHERE idmzdcalc = 9847;
        UPDATE pmzdcalc SET cisrad = 240 WHERE idmzdcalc = 9848;
        UPDATE pmzdcalc SET cisrad = 241 WHERE idmzdcalc = 9849;
        UPDATE pmzdcalc SET cisrad = 242 WHERE idmzdcalc = 9850;
        UPDATE pmzdcalc SET cisrad = 243 WHERE idmzdcalc = 9851;
        UPDATE pmzdcalc SET cisrad = 244 WHERE idmzdcalc = 9852;
        UPDATE pmzdcalc SET cisrad = 245 WHERE idmzdcalc = 9853;
        UPDATE pmzdcalc SET cisrad = 246 WHERE idmzdcalc = 9854;
        UPDATE pmzdcalc SET cisrad = 247 WHERE idmzdcalc = 9855;
        UPDATE pmzdcalc SET cisrad = 248 WHERE idmzdcalc = 9856;
        UPDATE pmzdcalc SET cisrad = 249 WHERE idmzdcalc = 9857;
        UPDATE pmzdcalc SET cisrad = 250 WHERE idmzdcalc = 9858;
        UPDATE pmzdcalc SET cisrad = 251 WHERE idmzdcalc = 9859;
        UPDATE pmzdcalc SET cisrad = 252 WHERE idmzdcalc = 9860;
        UPDATE pmzdcalc SET cisrad = 253 WHERE idmzdcalc = 9861;
        UPDATE pmzdcalc SET cisrad = 254 WHERE idmzdcalc = 9862;
        UPDATE pmzdcalc SET cisrad = 255 WHERE idmzdcalc = 9863;
        UPDATE pmzdcalc SET cisrad = 256 WHERE idmzdcalc = 9864;
        UPDATE pmzdcalc SET cisrad = 257 WHERE idmzdcalc = 9865;
        UPDATE pmzdcalc SET cisrad = 258 WHERE idmzdcalc = 9866;
        UPDATE pmzdcalc SET cisrad = 259 WHERE idmzdcalc = 9867;
        UPDATE pmzdcalc SET cisrad = 260 WHERE idmzdcalc = 9868;
        UPDATE pmzdcalc SET cisrad = 261 WHERE idmzdcalc = 9869;
        UPDATE pmzdcalc SET cisrad = 262 WHERE idmzdcalc = 9870;
        UPDATE pmzdcalc SET cisrad = 263 WHERE idmzdcalc = 9871;
        UPDATE pmzdcalc SET cisrad = 264 WHERE idmzdcalc = 9872;
        UPDATE pmzdcalc SET cisrad = 265 WHERE idmzdcalc = 9873;
        UPDATE pmzdcalc SET cisrad = 266 WHERE idmzdcalc = 9874;
        UPDATE pmzdcalc SET cisrad = 267 WHERE idmzdcalc = 9875;
        UPDATE pmzdcalc SET cisrad = 268 WHERE idmzdcalc = 9876;
        UPDATE pmzdcalc SET cisrad = 269 WHERE idmzdcalc = 9877;
        UPDATE pmzdcalc SET cisrad = 270 WHERE idmzdcalc = 9878;
        UPDATE pmzdcalc SET cisrad = 271 WHERE idmzdcalc = 9879;
        UPDATE pmzdcalc SET cisrad = 272 WHERE idmzdcalc = 9880;
        UPDATE pmzdcalc SET cisrad = 273 WHERE idmzdcalc = 9881;
        UPDATE pmzdcalc SET cisrad = 274 WHERE idmzdcalc = 9882;
        UPDATE pmzdcalc SET cisrad = 275 WHERE idmzdcalc = 9883;
        UPDATE pmzdcalc SET cisrad = 276 WHERE idmzdcalc = 9884;
        UPDATE pmzdcalc SET cisrad = 277 WHERE idmzdcalc = 9885;
        UPDATE pmzdcalc SET cisrad = 278 WHERE idmzdcalc = 9886;
        UPDATE pmzdcalc SET cisrad = 285 WHERE idmzdcalc = 9887;
        UPDATE pmzdcalc SET cisrad = 286 WHERE idmzdcalc = 9888;
        UPDATE pmzdcalc SET cisrad = 287 WHERE idmzdcalc = 9889;
        UPDATE pmzdcalc SET cisrad = 288 WHERE idmzdcalc = 9890;
        UPDATE pmzdcalc SET cisrad = 289 WHERE idmzdcalc = 9891;
        UPDATE pmzdcalc SET cisrad = 290 WHERE idmzdcalc = 9892;
        UPDATE pmzdcalc SET cisrad = 291 WHERE idmzdcalc = 9893;
        UPDATE pmzdcalc SET cisrad = 292 WHERE idmzdcalc = 9894;
        UPDATE pmzdcalc SET cisrad = 293 WHERE idmzdcalc = 9895;
        UPDATE pmzdcalc SET cisrad = 294 WHERE idmzdcalc = 9896;
        UPDATE pmzdcalc SET cisrad = 295 WHERE idmzdcalc = 9897;
        UPDATE pmzdcalc SET cisrad = 296 WHERE idmzdcalc = 9898;
        UPDATE pmzdcalc SET cisrad = 297 WHERE idmzdcalc = 9899;
        UPDATE pmzdcalc SET cisrad = 298 WHERE idmzdcalc = 9900;
        UPDATE pmzdcalc SET cisrad = 299 WHERE idmzdcalc = 9901;
        UPDATE pmzdcalc SET cisrad = 300 WHERE idmzdcalc = 9902;
        UPDATE pmzdcalc SET cisrad = 301 WHERE idmzdcalc = 9903;
        UPDATE pmzdcalc SET cisrad = 302 WHERE idmzdcalc = 9904;
        UPDATE pmzdcalc SET cisrad = 303 WHERE idmzdcalc = 9905;
        UPDATE pmzdcalc SET cisrad = 304 WHERE idmzdcalc = 9906;
        UPDATE pmzdcalc SET cisrad = 305 WHERE idmzdcalc = 9907;
        UPDATE pmzdcalc SET cisrad = 306 WHERE idmzdcalc = 9908;
        UPDATE pmzdcalc SET cisrad = 307 WHERE idmzdcalc = 9909;
        UPDATE pmzdcalc SET cisrad = 308 WHERE idmzdcalc = 9910;
        UPDATE pmzdcalc SET cisrad = 309 WHERE idmzdcalc = 9911;
        UPDATE pmzdcalc SET cisrad = 310 WHERE idmzdcalc = 9912;
        UPDATE pmzdcalc SET cisrad = 311 WHERE idmzdcalc = 9913;
        UPDATE pmzdcalc SET cisrad = 312 WHERE idmzdcalc = 9914;
        UPDATE pmzdcalc SET cisrad = 313 WHERE idmzdcalc = 9915;
        UPDATE pmzdcalc SET cisrad = 314 WHERE idmzdcalc = 9916;
        UPDATE pmzdcalc SET cisrad = 315 WHERE idmzdcalc = 9917;
        UPDATE pmzdcalc SET cisrad = 316 WHERE idmzdcalc = 9918;
        UPDATE pmzdcalc SET cisrad = 317 WHERE idmzdcalc = 9919;
        UPDATE pmzdcalc SET cisrad = 318 WHERE idmzdcalc = 9920;
        UPDATE pmzdcalc SET cisrad = 319 WHERE idmzdcalc = 9921;
        UPDATE pmzdcalc SET cisrad = 320 WHERE idmzdcalc = 9922;
        UPDATE pmzdcalc SET cisrad = 321 WHERE idmzdcalc = 9923;
        UPDATE pmzdcalc SET cisrad = 322 WHERE idmzdcalc = 9924;
        UPDATE pmzdcalc SET cisrad = 323 WHERE idmzdcalc = 9925;
        UPDATE pmzdcalc SET cisrad = 324 WHERE idmzdcalc = 9926;
        UPDATE pmzdcalc SET cisrad = 325 WHERE idmzdcalc = 9927;
        UPDATE pmzdcalc SET cisrad = 326 WHERE idmzdcalc = 9928;
        UPDATE pmzdcalc SET cisrad = 327 WHERE idmzdcalc = 9929;
        UPDATE pmzdcalc SET cisrad = 328 WHERE idmzdcalc = 9930;
        UPDATE pmzdcalc SET cisrad = 329 WHERE idmzdcalc = 9931;
        UPDATE pmzdcalc SET cisrad = 330 WHERE idmzdcalc = 9932;
        UPDATE pmzdcalc SET cisrad = 331 WHERE idmzdcalc = 9933;
        UPDATE pmzdcalc SET cisrad = 332 WHERE idmzdcalc = 9934;
        UPDATE pmzdcalc SET cisrad = 333 WHERE idmzdcalc = 9935;
        UPDATE pmzdcalc SET cisrad = 334 WHERE idmzdcalc = 9936;
        UPDATE pmzdcalc SET cisrad = 335 WHERE idmzdcalc = 9937;
        UPDATE pmzdcalc SET cisrad = 336 WHERE idmzdcalc = 9938;
        UPDATE pmzdcalc SET cisrad = 337 WHERE idmzdcalc = 9939;
        UPDATE pmzdcalc SET cisrad = 338 WHERE idmzdcalc = 9940;
        UPDATE pmzdcalc SET cisrad = 339 WHERE idmzdcalc = 9941;
        UPDATE pmzdcalc SET cisrad = 340 WHERE idmzdcalc = 9942;
        UPDATE pmzdcalc SET cisrad = 341 WHERE idmzdcalc = 9943;
        UPDATE pmzdcalc SET cisrad = 342 WHERE idmzdcalc = 9944;
        UPDATE pmzdcalc SET cisrad = 343 WHERE idmzdcalc = 9945;
        UPDATE pmzdcalc SET cisrad = 344 WHERE idmzdcalc = 9946;
        UPDATE pmzdcalc SET cisrad = 345 WHERE idmzdcalc = 9947;
        UPDATE pmzdcalc SET cisrad = 346 WHERE idmzdcalc = 9948;
        UPDATE pmzdcalc SET cisrad = 347 WHERE idmzdcalc = 9949;
        UPDATE pmzdcalc SET cisrad = 348 WHERE idmzdcalc = 9950;
        UPDATE pmzdcalc SET cisrad = 349 WHERE idmzdcalc = 9951;
        UPDATE pmzdcalc SET cisrad = 350 WHERE idmzdcalc = 9952;
        UPDATE pmzdcalc SET cisrad = 351 WHERE idmzdcalc = 9953;
        UPDATE pmzdcalc SET cisrad = 352 WHERE idmzdcalc = 9954;
        UPDATE pmzdcalc SET cisrad = 353 WHERE idmzdcalc = 9955;
        UPDATE pmzdcalc SET cisrad = 354 WHERE idmzdcalc = 9956;
        UPDATE pmzdcalc SET cisrad = 355 WHERE idmzdcalc = 9957;
        UPDATE pmzdcalc SET cisrad = 356 WHERE idmzdcalc = 9958;
        UPDATE pmzdcalc SET cisrad = 357 WHERE idmzdcalc = 9959;
        UPDATE pmzdcalc SET cisrad = 358 WHERE idmzdcalc = 9960;
        UPDATE pmzdcalc SET cisrad = 359 WHERE idmzdcalc = 9961;
        UPDATE pmzdcalc SET cisrad = 360 WHERE idmzdcalc = 9962;
        UPDATE pmzdcalc SET cisrad = 361 WHERE idmzdcalc = 9963;
        UPDATE pmzdcalc SET cisrad = 362 WHERE idmzdcalc = 9964;
        UPDATE pmzdcalc SET cisrad = 363 WHERE idmzdcalc = 9965;
        UPDATE pmzdcalc SET cisrad = 364 WHERE idmzdcalc = 9966;
        UPDATE pmzdcalc SET cisrad = 365 WHERE idmzdcalc = 9967;
        UPDATE pmzdcalc SET cisrad = 367 WHERE idmzdcalc = 9968;
        UPDATE pmzdcalc SET cisrad = 369 WHERE idmzdcalc = 9969;
        UPDATE pmzdcalc SET cisrad = 370 WHERE idmzdcalc = 9970;
        UPDATE pmzdcalc SET cisrad = 374 WHERE idmzdcalc = 9971;
        UPDATE pmzdcalc SET cisrad = 375 WHERE idmzdcalc = 9972;
        UPDATE pmzdcalc SET cisrad = 376 WHERE idmzdcalc = 9973;
        UPDATE pmzdcalc SET cisrad = 377 WHERE idmzdcalc = 9974;
        UPDATE pmzdcalc SET cisrad = 378 WHERE idmzdcalc = 9975;
        UPDATE pmzdcalc SET cisrad = 379 WHERE idmzdcalc = 9976;
        UPDATE pmzdcalc SET cisrad = 380 WHERE idmzdcalc = 9977;
        UPDATE pmzdcalc SET cisrad = 381 WHERE idmzdcalc = 9978;
        UPDATE pmzdcalc SET cisrad = 382 WHERE idmzdcalc = 9979;
        UPDATE pmzdcalc SET cisrad = 383 WHERE idmzdcalc = 9980;
        UPDATE pmzdcalc SET cisrad = 384 WHERE idmzdcalc = 9981;
        UPDATE pmzdcalc SET cisrad = 385 WHERE idmzdcalc = 9982;
        UPDATE pmzdcalc SET cisrad = 386 WHERE idmzdcalc = 9983;
        UPDATE pmzdcalc SET cisrad = 387 WHERE idmzdcalc = 9984;
        UPDATE pmzdcalc SET cisrad = 388 WHERE idmzdcalc = 9985;
        UPDATE pmzdcalc SET cisrad = 389 WHERE idmzdcalc = 9986;
        UPDATE pmzdcalc SET cisrad = 390 WHERE idmzdcalc = 9987;
        UPDATE pmzdcalc SET cisrad = 391 WHERE idmzdcalc = 9988;
        UPDATE pmzdcalc SET cisrad = 392 WHERE idmzdcalc = 9989;
        UPDATE pmzdcalc SET cisrad = 393 WHERE idmzdcalc = 9990;
        UPDATE pmzdcalc SET cisrad = 394 WHERE idmzdcalc = 9991;
        UPDATE pmzdcalc SET cisrad = 395 WHERE idmzdcalc = 9992;
        UPDATE pmzdcalc SET cisrad = 396 WHERE idmzdcalc = 9993;
        UPDATE pmzdcalc SET cisrad = 397 WHERE idmzdcalc = 9994;
        UPDATE pmzdcalc SET cisrad = 398 WHERE idmzdcalc = 9995;
        UPDATE pmzdcalc SET cisrad = 399 WHERE idmzdcalc = 9996;
        UPDATE pmzdcalc SET cisrad = 400 WHERE idmzdcalc = 9997;
        UPDATE pmzdcalc SET cisrad = 401 WHERE idmzdcalc = 9998;
        UPDATE pmzdcalc SET cisrad = 402 WHERE idmzdcalc = 9999;
        UPDATE pmzdcalc SET cisrad = 403 WHERE idmzdcalc = 10000;
        UPDATE pmzdcalc SET cisrad = 404 WHERE idmzdcalc = 10001;
        UPDATE pmzdcalc SET cisrad = 405 WHERE idmzdcalc = 10002;
        UPDATE pmzdcalc SET cisrad = 406 WHERE idmzdcalc = 10003;
        UPDATE pmzdcalc SET cisrad = 407 WHERE idmzdcalc = 10004;
        UPDATE pmzdcalc SET cisrad = 408 WHERE idmzdcalc = 10005;
        UPDATE pmzdcalc SET cisrad = 409 WHERE idmzdcalc = 10006;
        UPDATE pmzdcalc SET cisrad = 410 WHERE idmzdcalc = 10007;
        UPDATE pmzdcalc SET cisrad = 411 WHERE idmzdcalc = 10008;
        UPDATE pmzdcalc SET cisrad = 412 WHERE idmzdcalc = 10009;
        UPDATE pmzdcalc SET cisrad = 413 WHERE idmzdcalc = 10010;
        UPDATE pmzdcalc SET cisrad = 414 WHERE idmzdcalc = 10011;
        UPDATE pmzdcalc SET cisrad = 279 WHERE idmzdcalc = 10012;
        UPDATE pmzdcalc SET cisrad = 415 WHERE idmzdcalc = 10013;
        UPDATE pmzdcalc SET cisrad = 416 WHERE idmzdcalc = 10014;
        UPDATE pmzdcalc SET cisrad = 417 WHERE idmzdcalc = 10015;
        UPDATE pmzdcalc SET cisrad = 418 WHERE idmzdcalc = 10016;
        UPDATE pmzdcalc SET cisrad = 419 WHERE idmzdcalc = 10017;
        UPDATE pmzdcalc SET cisrad = 420 WHERE idmzdcalc = 10018;
        UPDATE pmzdcalc SET cisrad = 421 WHERE idmzdcalc = 10019;
        UPDATE pmzdcalc SET cisrad = 422 WHERE idmzdcalc = 10020;
        UPDATE pmzdcalc SET cisrad = 423 WHERE idmzdcalc = 10021;
        UPDATE pmzdcalc SET cisrad = 424 WHERE idmzdcalc = 10022;
        UPDATE pmzdcalc SET cisrad = 282 WHERE idmzdcalc = 10023;
        UPDATE pmzdcalc SET cisrad = 280 WHERE idmzdcalc = 10024;
        UPDATE pmzdcalc SET cisrad = 425 WHERE idmzdcalc = 10025;
        UPDATE pmzdcalc SET cisrad = 426 WHERE idmzdcalc = 10026;
        UPDATE pmzdcalc SET cisrad = 427 WHERE idmzdcalc = 10027;
        UPDATE pmzdcalc SET cisrad = 428 WHERE idmzdcalc = 10028;
        UPDATE pmzdcalc SET cisrad = 429 WHERE idmzdcalc = 10029;
        UPDATE pmzdcalc SET cisrad = 431 WHERE idmzdcalc = 10030;
        UPDATE pmzdcalc SET cisrad = 433 WHERE idmzdcalc = 10031;
        UPDATE pmzdcalc SET cisrad = 438 WHERE idmzdcalc = 10034;
        UPDATE pmzdcalc SET cisrad = 434 WHERE idmzdcalc = 10035;
        UPDATE pmzdcalc SET cisrad = 439 WHERE idmzdcalc = 10036;
        UPDATE pmzdcalc SET cisrad = 440 WHERE idmzdcalc = 10037;
        UPDATE pmzdcalc SET cisrad = 441 WHERE idmzdcalc = 10038;
        UPDATE pmzdcalc SET cisrad = 442 WHERE idmzdcalc = 10039;
        UPDATE pmzdcalc SET cisrad = 443 WHERE idmzdcalc = 10040;
        UPDATE pmzdcalc SET cisrad = 444 WHERE idmzdcalc = 10041;
        UPDATE pmzdcalc SET cisrad = 445 WHERE idmzdcalc = 10042;
        UPDATE pmzdcalc SET cisrad = 446 WHERE idmzdcalc = 10043;
        UPDATE pmzdcalc SET cisrad = 447 WHERE idmzdcalc = 10044;
        UPDATE pmzdcalc SET cisrad = 448 WHERE idmzdcalc = 10045;
        UPDATE pmzdcalc SET cisrad = 449 WHERE idmzdcalc = 10046;
        UPDATE pmzdcalc SET cisrad = 450 WHERE idmzdcalc = 10047;
        UPDATE pmzdcalc SET cisrad = 451 WHERE idmzdcalc = 10048;
        UPDATE pmzdcalc SET cisrad = 452 WHERE idmzdcalc = 10049;
        UPDATE pmzdcalc SET cisrad = 453 WHERE idmzdcalc = 10050;
        UPDATE pmzdcalc SET cisrad = 454 WHERE idmzdcalc = 10051;
        UPDATE pmzdcalc SET cisrad = 455 WHERE idmzdcalc = 10052;
        UPDATE pmzdcalc SET cisrad = 456 WHERE idmzdcalc = 10053;
        UPDATE pmzdcalc SET cisrad = 457 WHERE idmzdcalc = 10054;
        UPDATE pmzdcalc SET cisrad = 458 WHERE idmzdcalc = 10055;
        UPDATE pmzdcalc SET cisrad = 459 WHERE idmzdcalc = 10056;
        UPDATE pmzdcalc SET cisrad = 460 WHERE idmzdcalc = 10057;
        UPDATE pmzdcalc SET cisrad = 461 WHERE idmzdcalc = 10058;
        UPDATE pmzdcalc SET cisrad = 462 WHERE idmzdcalc = 10059;
        UPDATE pmzdcalc SET cisrad = 463 WHERE idmzdcalc = 10060;
        UPDATE pmzdcalc SET cisrad = 464 WHERE idmzdcalc = 10061;
        UPDATE pmzdcalc SET cisrad = 465 WHERE idmzdcalc = 10062;
        UPDATE pmzdcalc SET cisrad = 466 WHERE idmzdcalc = 10063;
        UPDATE pmzdcalc SET cisrad = 467 WHERE idmzdcalc = 10064;
        UPDATE pmzdcalc SET cisrad = 468 WHERE idmzdcalc = 10065;
        UPDATE pmzdcalc SET cisrad = 469 WHERE idmzdcalc = 10066;
        UPDATE pmzdcalc SET cisrad = 471 WHERE idmzdcalc = 10067;
        UPDATE pmzdcalc SET cisrad = 472 WHERE idmzdcalc = 10068;
        UPDATE pmzdcalc SET cisrad = 473 WHERE idmzdcalc = 10069;
        UPDATE pmzdcalc SET cisrad = 474 WHERE idmzdcalc = 10070;
        UPDATE pmzdcalc SET cisrad = 475 WHERE idmzdcalc = 10071;
        UPDATE pmzdcalc SET cisrad = 476 WHERE idmzdcalc = 10072;
        UPDATE pmzdcalc SET cisrad = 477 WHERE idmzdcalc = 10073;
        UPDATE pmzdcalc SET cisrad = 478 WHERE idmzdcalc = 10074;
        UPDATE pmzdcalc SET cisrad = 479 WHERE idmzdcalc = 10075;
        UPDATE pmzdcalc SET cisrad = 480 WHERE idmzdcalc = 10076;
        UPDATE pmzdcalc SET cisrad = 481 WHERE idmzdcalc = 10077;
        UPDATE pmzdcalc SET cisrad = 482 WHERE idmzdcalc = 10078;
        UPDATE pmzdcalc SET cisrad = 483 WHERE idmzdcalc = 10079;
        UPDATE pmzdcalc SET cisrad = 484 WHERE idmzdcalc = 10080;
        UPDATE pmzdcalc SET cisrad = 485 WHERE idmzdcalc = 10081;
        UPDATE pmzdcalc SET cisrad = 486 WHERE idmzdcalc = 10082;
        UPDATE pmzdcalc SET cisrad = 487 WHERE idmzdcalc = 10083;
        UPDATE pmzdcalc SET cisrad = 488 WHERE idmzdcalc = 10084;
        UPDATE pmzdcalc SET cisrad = 489 WHERE idmzdcalc = 10085;
        UPDATE pmzdcalc SET cisrad = 490 WHERE idmzdcalc = 10086;
        UPDATE pmzdcalc SET cisrad = 491 WHERE idmzdcalc = 10087;
        UPDATE pmzdcalc SET cisrad = 492 WHERE idmzdcalc = 10088;
        UPDATE pmzdcalc SET cisrad = 493 WHERE idmzdcalc = 10089;
        UPDATE pmzdcalc SET cisrad = 494 WHERE idmzdcalc = 10090;
        UPDATE pmzdcalc SET cisrad = 495 WHERE idmzdcalc = 10091;
        UPDATE pmzdcalc SET cisrad = 496 WHERE idmzdcalc = 10092;
        UPDATE pmzdcalc SET cisrad = 497 WHERE idmzdcalc = 10093;
        UPDATE pmzdcalc SET cisrad = 498 WHERE idmzdcalc = 10094;
        UPDATE pmzdcalc SET cisrad = 499 WHERE idmzdcalc = 10095;
        UPDATE pmzdcalc SET cisrad = 500 WHERE idmzdcalc = 10096;
        UPDATE pmzdcalc SET cisrad = 501 WHERE idmzdcalc = 10097;
        UPDATE pmzdcalc SET cisrad = 502 WHERE idmzdcalc = 10098;
        UPDATE pmzdcalc SET cisrad = 503 WHERE idmzdcalc = 10099;
        UPDATE pmzdcalc SET cisrad = 504 WHERE idmzdcalc = 10100;
        UPDATE pmzdcalc SET cisrad = 505 WHERE idmzdcalc = 10101;
        UPDATE pmzdcalc SET cisrad = 506 WHERE idmzdcalc = 10102;
        UPDATE pmzdcalc SET cisrad = 507 WHERE idmzdcalc = 10103;
        UPDATE pmzdcalc SET cisrad = 508 WHERE idmzdcalc = 10104;
        UPDATE pmzdcalc SET cisrad = 509 WHERE idmzdcalc = 10105;
        UPDATE pmzdcalc SET cisrad = 510 WHERE idmzdcalc = 10106;
        UPDATE pmzdcalc SET cisrad = 511 WHERE idmzdcalc = 10107;
        UPDATE pmzdcalc SET cisrad = 512 WHERE idmzdcalc = 10108;
        UPDATE pmzdcalc SET cisrad = 513 WHERE idmzdcalc = 10109;
        UPDATE pmzdcalc SET cisrad = 514 WHERE idmzdcalc = 10110;
        UPDATE pmzdcalc SET cisrad = 515 WHERE idmzdcalc = 10111;
        UPDATE pmzdcalc SET cisrad = 516 WHERE idmzdcalc = 10112;
        UPDATE pmzdcalc SET cisrad = 517 WHERE idmzdcalc = 10113;
        UPDATE pmzdcalc SET cisrad = 518 WHERE idmzdcalc = 10114;
        UPDATE pmzdcalc SET cisrad = 519 WHERE idmzdcalc = 10115;
        UPDATE pmzdcalc SET cisrad = 520 WHERE idmzdcalc = 10116;
        UPDATE pmzdcalc SET cisrad = 521 WHERE idmzdcalc = 10117;
        UPDATE pmzdcalc SET cisrad = 522 WHERE idmzdcalc = 10118;
        UPDATE pmzdcalc SET cisrad = 523 WHERE idmzdcalc = 10119;
        UPDATE pmzdcalc SET cisrad = 524 WHERE idmzdcalc = 10120;
        UPDATE pmzdcalc SET cisrad = 525 WHERE idmzdcalc = 10121;
        UPDATE pmzdcalc SET cisrad = 526 WHERE idmzdcalc = 10122;
        UPDATE pmzdcalc SET cisrad = 527 WHERE idmzdcalc = 10123;
        UPDATE pmzdcalc SET cisrad = 528 WHERE idmzdcalc = 10124;
        UPDATE pmzdcalc SET cisrad = 529 WHERE idmzdcalc = 10125;
        UPDATE pmzdcalc SET cisrad = 530 WHERE idmzdcalc = 10126;
        UPDATE pmzdcalc SET cisrad = 531 WHERE idmzdcalc = 10127;
        UPDATE pmzdcalc SET cisrad = 532 WHERE idmzdcalc = 10128;
        UPDATE pmzdcalc SET cisrad = 533 WHERE idmzdcalc = 10129;
        UPDATE pmzdcalc SET cisrad = 534 WHERE idmzdcalc = 10130;
        UPDATE pmzdcalc SET cisrad = 535 WHERE idmzdcalc = 10131;
        UPDATE pmzdcalc SET cisrad = 536 WHERE idmzdcalc = 10132;
        UPDATE pmzdcalc SET cisrad = 537 WHERE idmzdcalc = 10133;
        UPDATE pmzdcalc SET cisrad = 538 WHERE idmzdcalc = 10134;
        UPDATE pmzdcalc SET cisrad = 539 WHERE idmzdcalc = 10135;
        UPDATE pmzdcalc SET cisrad = 540 WHERE idmzdcalc = 10136;
        UPDATE pmzdcalc SET cisrad = 541 WHERE idmzdcalc = 10137;
        UPDATE pmzdcalc SET cisrad = 542 WHERE idmzdcalc = 10138;
        UPDATE pmzdcalc SET cisrad = 543 WHERE idmzdcalc = 10139;
        UPDATE pmzdcalc SET cisrad = 544 WHERE idmzdcalc = 10140;
        UPDATE pmzdcalc SET cisrad = 545 WHERE idmzdcalc = 10141;
        UPDATE pmzdcalc SET cisrad = 546 WHERE idmzdcalc = 10142;
        UPDATE pmzdcalc SET cisrad = 547 WHERE idmzdcalc = 10143;
        UPDATE pmzdcalc SET cisrad = 548 WHERE idmzdcalc = 10144;
        UPDATE pmzdcalc SET cisrad = 549 WHERE idmzdcalc = 10145;
        UPDATE pmzdcalc SET cisrad = 550 WHERE idmzdcalc = 10146;
        UPDATE pmzdcalc SET cisrad = 551 WHERE idmzdcalc = 10147;
        UPDATE pmzdcalc SET cisrad = 552 WHERE idmzdcalc = 10148;
        UPDATE pmzdcalc SET cisrad = 553 WHERE idmzdcalc = 10149;
        UPDATE pmzdcalc SET cisrad = 554 WHERE idmzdcalc = 10150;
        UPDATE pmzdcalc SET cisrad = 555 WHERE idmzdcalc = 10151;
        UPDATE pmzdcalc SET cisrad = 556 WHERE idmzdcalc = 10152;
        UPDATE pmzdcalc SET cisrad = 557 WHERE idmzdcalc = 10153;
        UPDATE pmzdcalc SET cisrad = 558 WHERE idmzdcalc = 10154;
        UPDATE pmzdcalc SET cisrad = 559 WHERE idmzdcalc = 10155;
        UPDATE pmzdcalc SET cisrad = 560 WHERE idmzdcalc = 10156;
        UPDATE pmzdcalc SET cisrad = 561 WHERE idmzdcalc = 10157;
        UPDATE pmzdcalc SET cisrad = 562 WHERE idmzdcalc = 10158;
        UPDATE pmzdcalc SET cisrad = 563 WHERE idmzdcalc = 10159;
        UPDATE pmzdcalc SET cisrad = 564 WHERE idmzdcalc = 10160;
        UPDATE pmzdcalc SET cisrad = 565 WHERE idmzdcalc = 10161;
        UPDATE pmzdcalc SET cisrad = 566 WHERE idmzdcalc = 10162;
        UPDATE pmzdcalc SET cisrad = 567 WHERE idmzdcalc = 10163;
        UPDATE pmzdcalc SET cisrad = 568 WHERE idmzdcalc = 10164;
        UPDATE pmzdcalc SET cisrad = 569 WHERE idmzdcalc = 10165;
        UPDATE pmzdcalc SET cisrad = 570 WHERE idmzdcalc = 10166;
        UPDATE pmzdcalc SET cisrad = 571 WHERE idmzdcalc = 10167;
        UPDATE pmzdcalc SET cisrad = 572 WHERE idmzdcalc = 10168;
        UPDATE pmzdcalc SET cisrad = 573 WHERE idmzdcalc = 10169;
        UPDATE pmzdcalc SET cisrad = 574 WHERE idmzdcalc = 10170;
        UPDATE pmzdcalc SET cisrad = 575 WHERE idmzdcalc = 10171;
        UPDATE pmzdcalc SET cisrad = 576 WHERE idmzdcalc = 10172;
        UPDATE pmzdcalc SET cisrad = 577 WHERE idmzdcalc = 10173;
        UPDATE pmzdcalc SET cisrad = 578 WHERE idmzdcalc = 10174;
        UPDATE pmzdcalc SET cisrad = 579 WHERE idmzdcalc = 10175;
        UPDATE pmzdcalc SET cisrad = 580 WHERE idmzdcalc = 10176;
        UPDATE pmzdcalc SET cisrad = 581 WHERE idmzdcalc = 10177;
        UPDATE pmzdcalc SET cisrad = 582 WHERE idmzdcalc = 10178;
        UPDATE pmzdcalc SET cisrad = 583 WHERE idmzdcalc = 10179;
        UPDATE pmzdcalc SET cisrad = 584 WHERE idmzdcalc = 10180;
        UPDATE pmzdcalc SET cisrad = 585 WHERE idmzdcalc = 10181;
        UPDATE pmzdcalc SET cisrad = 586 WHERE idmzdcalc = 10182;
        UPDATE pmzdcalc SET cisrad = 587 WHERE idmzdcalc = 10183;
        UPDATE pmzdcalc SET cisrad = 588 WHERE idmzdcalc = 10184;
        UPDATE pmzdcalc SET cisrad = 589 WHERE idmzdcalc = 10185;
        UPDATE pmzdcalc SET cisrad = 590 WHERE idmzdcalc = 10186;
        UPDATE pmzdcalc SET cisrad = 591 WHERE idmzdcalc = 10187;
        UPDATE pmzdcalc SET cisrad = 592 WHERE idmzdcalc = 10188;
        UPDATE pmzdcalc SET cisrad = 593 WHERE idmzdcalc = 10189;
        UPDATE pmzdcalc SET cisrad = 594 WHERE idmzdcalc = 10190;
        UPDATE pmzdcalc SET cisrad = 595 WHERE idmzdcalc = 10191;
        UPDATE pmzdcalc SET cisrad = 596 WHERE idmzdcalc = 10192;
        UPDATE pmzdcalc SET cisrad = 597 WHERE idmzdcalc = 10193;
        UPDATE pmzdcalc SET cisrad = 598 WHERE idmzdcalc = 10194;
        UPDATE pmzdcalc SET cisrad = 599 WHERE idmzdcalc = 10195;
        UPDATE pmzdcalc SET cisrad = 600 WHERE idmzdcalc = 10196;
        UPDATE pmzdcalc SET cisrad = 601 WHERE idmzdcalc = 10197;
        UPDATE pmzdcalc SET cisrad = 602 WHERE idmzdcalc = 10198;
        UPDATE pmzdcalc SET cisrad = 603 WHERE idmzdcalc = 10199;
        UPDATE pmzdcalc SET cisrad = 604 WHERE idmzdcalc = 10200;
        UPDATE pmzdcalc SET cisrad = 605 WHERE idmzdcalc = 10201;
        UPDATE pmzdcalc SET cisrad = 606 WHERE idmzdcalc = 10202;
        UPDATE pmzdcalc SET cisrad = 607 WHERE idmzdcalc = 10203;
        UPDATE pmzdcalc SET cisrad = 608 WHERE idmzdcalc = 10204;
        UPDATE pmzdcalc SET cisrad = 609 WHERE idmzdcalc = 10205;
        UPDATE pmzdcalc SET cisrad = 610 WHERE idmzdcalc = 10206;
        UPDATE pmzdcalc SET cisrad = 611 WHERE idmzdcalc = 10207;
        UPDATE pmzdcalc SET cisrad = 612 WHERE idmzdcalc = 10208;
        UPDATE pmzdcalc SET cisrad = 613 WHERE idmzdcalc = 10209;
        UPDATE pmzdcalc SET cisrad = 614 WHERE idmzdcalc = 10210;
        UPDATE pmzdcalc SET cisrad = 615 WHERE idmzdcalc = 10211;
        UPDATE pmzdcalc SET cisrad = 616 WHERE idmzdcalc = 10212;
        UPDATE pmzdcalc SET cisrad = 617 WHERE idmzdcalc = 10213;
        UPDATE pmzdcalc SET cisrad = 618 WHERE idmzdcalc = 10214;
        UPDATE pmzdcalc SET cisrad = 619 WHERE idmzdcalc = 10215;
        UPDATE pmzdcalc SET cisrad = 620 WHERE idmzdcalc = 10216;
        UPDATE pmzdcalc SET cisrad = 621 WHERE idmzdcalc = 10217;
        UPDATE pmzdcalc SET cisrad = 622 WHERE idmzdcalc = 10218;
        UPDATE pmzdcalc SET cisrad = 623 WHERE idmzdcalc = 10219;
        UPDATE pmzdcalc SET cisrad = 624 WHERE idmzdcalc = 10220;
        UPDATE pmzdcalc SET cisrad = 625 WHERE idmzdcalc = 10221;
        UPDATE pmzdcalc SET cisrad = 626 WHERE idmzdcalc = 10222;
        UPDATE pmzdcalc SET cisrad = 627 WHERE idmzdcalc = 10223;
        UPDATE pmzdcalc SET cisrad = 628 WHERE idmzdcalc = 10224;
        UPDATE pmzdcalc SET cisrad = 629 WHERE idmzdcalc = 10225;
        UPDATE pmzdcalc SET cisrad = 630 WHERE idmzdcalc = 10226;
        UPDATE pmzdcalc SET cisrad = 631 WHERE idmzdcalc = 10227;
        UPDATE pmzdcalc SET cisrad = 632 WHERE idmzdcalc = 10228;
        UPDATE pmzdcalc SET cisrad = 633 WHERE idmzdcalc = 10229;
        UPDATE pmzdcalc SET cisrad = 634 WHERE idmzdcalc = 10230;
        UPDATE pmzdcalc SET cisrad = 635 WHERE idmzdcalc = 10231;
        UPDATE pmzdcalc SET cisrad = 636 WHERE idmzdcalc = 10232;
        UPDATE pmzdcalc SET cisrad = 637 WHERE idmzdcalc = 10233;
        UPDATE pmzdcalc SET cisrad = 638 WHERE idmzdcalc = 10234;
        UPDATE pmzdcalc SET cisrad = 639 WHERE idmzdcalc = 10235;
        UPDATE pmzdcalc SET cisrad = 640 WHERE idmzdcalc = 10236;
        UPDATE pmzdcalc SET cisrad = 641 WHERE idmzdcalc = 10237;
        UPDATE pmzdcalc SET cisrad = 642 WHERE idmzdcalc = 10238;
        UPDATE pmzdcalc SET cisrad = 643 WHERE idmzdcalc = 10239;
        UPDATE pmzdcalc SET cisrad = 644 WHERE idmzdcalc = 10240;
        UPDATE pmzdcalc SET cisrad = 645 WHERE idmzdcalc = 10241;
        UPDATE pmzdcalc SET cisrad = 646 WHERE idmzdcalc = 10242;
        UPDATE pmzdcalc SET cisrad = 647 WHERE idmzdcalc = 10243;
        UPDATE pmzdcalc SET cisrad = 648 WHERE idmzdcalc = 10244;
        UPDATE pmzdcalc SET cisrad = 649 WHERE idmzdcalc = 10245;
        UPDATE pmzdcalc SET cisrad = 650 WHERE idmzdcalc = 10246;
        UPDATE pmzdcalc SET cisrad = 651 WHERE idmzdcalc = 10247;
        UPDATE pmzdcalc SET cisrad = 652 WHERE idmzdcalc = 10248;
        UPDATE pmzdcalc SET cisrad = 653 WHERE idmzdcalc = 10249;
        UPDATE pmzdcalc SET cisrad = 654 WHERE idmzdcalc = 10250;
        UPDATE pmzdcalc SET cisrad = 655 WHERE idmzdcalc = 10251;
        UPDATE pmzdcalc SET cisrad = 656 WHERE idmzdcalc = 10252;
        UPDATE pmzdcalc SET cisrad = 657 WHERE idmzdcalc = 10253;
        UPDATE pmzdcalc SET cisrad = 658 WHERE idmzdcalc = 10254;
        UPDATE pmzdcalc SET cisrad = 659 WHERE idmzdcalc = 10255;
        UPDATE pmzdcalc SET cisrad = 660 WHERE idmzdcalc = 10256;
        UPDATE pmzdcalc SET cisrad = 661 WHERE idmzdcalc = 10257;
        UPDATE pmzdcalc SET cisrad = 662 WHERE idmzdcalc = 10258;
        UPDATE pmzdcalc SET cisrad = 663 WHERE idmzdcalc = 10259;
        UPDATE pmzdcalc SET cisrad = 664 WHERE idmzdcalc = 10260;
        UPDATE pmzdcalc SET cisrad = 665 WHERE idmzdcalc = 10261;
        UPDATE pmzdcalc SET cisrad = 666 WHERE idmzdcalc = 10262;
        UPDATE pmzdcalc SET cisrad = 667 WHERE idmzdcalc = 10263;
        UPDATE pmzdcalc SET cisrad = 668 WHERE idmzdcalc = 10264;
        UPDATE pmzdcalc SET cisrad = 669 WHERE idmzdcalc = 10265;
        UPDATE pmzdcalc SET cisrad = 670 WHERE idmzdcalc = 10266;
        UPDATE pmzdcalc SET cisrad = 671 WHERE idmzdcalc = 10267;
        UPDATE pmzdcalc SET cisrad = 672 WHERE idmzdcalc = 10268;
        UPDATE pmzdcalc SET cisrad = 673 WHERE idmzdcalc = 10269;
        UPDATE pmzdcalc SET cisrad = 674 WHERE idmzdcalc = 10270;
        UPDATE pmzdcalc SET cisrad = 675 WHERE idmzdcalc = 10271;
        UPDATE pmzdcalc SET cisrad = 676 WHERE idmzdcalc = 10272;
        UPDATE pmzdcalc SET cisrad = 677 WHERE idmzdcalc = 10273;
        UPDATE pmzdcalc SET cisrad = 678 WHERE idmzdcalc = 10274;
        UPDATE pmzdcalc SET cisrad = 679 WHERE idmzdcalc = 10275;
        UPDATE pmzdcalc SET cisrad = 680 WHERE idmzdcalc = 10276;
        UPDATE pmzdcalc SET cisrad = 681 WHERE idmzdcalc = 10277;
        UPDATE pmzdcalc SET cisrad = 682 WHERE idmzdcalc = 10278;
        UPDATE pmzdcalc SET cisrad = 683 WHERE idmzdcalc = 10279;
        UPDATE pmzdcalc SET cisrad = 684 WHERE idmzdcalc = 10280;
        UPDATE pmzdcalc SET cisrad = 685 WHERE idmzdcalc = 10281;
        UPDATE pmzdcalc SET cisrad = 686 WHERE idmzdcalc = 10282;
        UPDATE pmzdcalc SET cisrad = 687 WHERE idmzdcalc = 10283;
        UPDATE pmzdcalc SET cisrad = 688 WHERE idmzdcalc = 10284;
        UPDATE pmzdcalc SET cisrad = 689 WHERE idmzdcalc = 10285;
        UPDATE pmzdcalc SET cisrad = 690 WHERE idmzdcalc = 10286;
        UPDATE pmzdcalc SET cisrad = 691 WHERE idmzdcalc = 10287;
        UPDATE pmzdcalc SET cisrad = 692 WHERE idmzdcalc = 10288;
        UPDATE pmzdcalc SET cisrad = 693 WHERE idmzdcalc = 10289;
        UPDATE pmzdcalc SET cisrad = 694 WHERE idmzdcalc = 10290;
        UPDATE pmzdcalc SET cisrad = 695 WHERE idmzdcalc = 10291;
        UPDATE pmzdcalc SET cisrad = 696 WHERE idmzdcalc = 10292;
        UPDATE pmzdcalc SET cisrad = 697 WHERE idmzdcalc = 10293;
        UPDATE pmzdcalc SET cisrad = 698 WHERE idmzdcalc = 10294;
        UPDATE pmzdcalc SET cisrad = 699 WHERE idmzdcalc = 10295;
        UPDATE pmzdcalc SET cisrad = 700 WHERE idmzdcalc = 10296;
        UPDATE pmzdcalc SET cisrad = 701 WHERE idmzdcalc = 10297;
        UPDATE pmzdcalc SET cisrad = 702 WHERE idmzdcalc = 10298;
        UPDATE pmzdcalc SET cisrad = 703 WHERE idmzdcalc = 10299;
        UPDATE pmzdcalc SET cisrad = 704 WHERE idmzdcalc = 10300;
        UPDATE pmzdcalc SET cisrad = 705 WHERE idmzdcalc = 10301;
        UPDATE pmzdcalc SET cisrad = 706 WHERE idmzdcalc = 10302;
        UPDATE pmzdcalc SET cisrad = 707 WHERE idmzdcalc = 10303;
        UPDATE pmzdcalc SET cisrad = 708 WHERE idmzdcalc = 10304;
        UPDATE pmzdcalc SET cisrad = 709 WHERE idmzdcalc = 10305;
        UPDATE pmzdcalc SET cisrad = 710 WHERE idmzdcalc = 10306;
        UPDATE pmzdcalc SET cisrad = 711 WHERE idmzdcalc = 10307;
        UPDATE pmzdcalc SET cisrad = 712 WHERE idmzdcalc = 10308;
        UPDATE pmzdcalc SET cisrad = 713 WHERE idmzdcalc = 10309;
        UPDATE pmzdcalc SET cisrad = 714 WHERE idmzdcalc = 10310;
        UPDATE pmzdcalc SET cisrad = 715 WHERE idmzdcalc = 10311;
        UPDATE pmzdcalc SET cisrad = 716 WHERE idmzdcalc = 10312;
        UPDATE pmzdcalc SET cisrad = 717 WHERE idmzdcalc = 10313;
        UPDATE pmzdcalc SET cisrad = 718 WHERE idmzdcalc = 10314;
        UPDATE pmzdcalc SET cisrad = 719 WHERE idmzdcalc = 10315;
        UPDATE pmzdcalc SET cisrad = 720 WHERE idmzdcalc = 10316;
        UPDATE pmzdcalc SET cisrad = 721 WHERE idmzdcalc = 10317;
        UPDATE pmzdcalc SET cisrad = 722 WHERE idmzdcalc = 10318;
        UPDATE pmzdcalc SET cisrad = 723 WHERE idmzdcalc = 10319;
        UPDATE pmzdcalc SET cisrad = 724 WHERE idmzdcalc = 10320;
        UPDATE pmzdcalc SET cisrad = 725 WHERE idmzdcalc = 10321;
        UPDATE pmzdcalc SET cisrad = 726 WHERE idmzdcalc = 10322;
        UPDATE pmzdcalc SET cisrad = 727 WHERE idmzdcalc = 10323;
        UPDATE pmzdcalc SET cisrad = 728 WHERE idmzdcalc = 10324;
        UPDATE pmzdcalc SET cisrad = 729 WHERE idmzdcalc = 10325;
        UPDATE pmzdcalc SET cisrad = 730 WHERE idmzdcalc = 10326;
        UPDATE pmzdcalc SET cisrad = 731 WHERE idmzdcalc = 10327;
        UPDATE pmzdcalc SET cisrad = 732 WHERE idmzdcalc = 10328;
        UPDATE pmzdcalc SET cisrad = 733 WHERE idmzdcalc = 10329;
        UPDATE pmzdcalc SET cisrad = 734 WHERE idmzdcalc = 10330;
        UPDATE pmzdcalc SET cisrad = 735 WHERE idmzdcalc = 10331;
        UPDATE pmzdcalc SET cisrad = 736 WHERE idmzdcalc = 10332;
        UPDATE pmzdcalc SET cisrad = 737 WHERE idmzdcalc = 10333;
        UPDATE pmzdcalc SET cisrad = 738 WHERE idmzdcalc = 10334;
        UPDATE pmzdcalc SET cisrad = 739 WHERE idmzdcalc = 10335;
        UPDATE pmzdcalc SET cisrad = 740 WHERE idmzdcalc = 10336;
        UPDATE pmzdcalc SET cisrad = 741 WHERE idmzdcalc = 10337;
        UPDATE pmzdcalc SET cisrad = 742 WHERE idmzdcalc = 10338;
        UPDATE pmzdcalc SET cisrad = 743 WHERE idmzdcalc = 10339;
        UPDATE pmzdcalc SET cisrad = 744 WHERE idmzdcalc = 10340;
        UPDATE pmzdcalc SET cisrad = 745 WHERE idmzdcalc = 10341;
        UPDATE pmzdcalc SET cisrad = 746 WHERE idmzdcalc = 10342;
        UPDATE pmzdcalc SET cisrad = 747 WHERE idmzdcalc = 10343;
        UPDATE pmzdcalc SET cisrad = 748 WHERE idmzdcalc = 10344;
        UPDATE pmzdcalc SET cisrad = 749 WHERE idmzdcalc = 10345;
        UPDATE pmzdcalc SET cisrad = 750 WHERE idmzdcalc = 10346;
        UPDATE pmzdcalc SET cisrad = 751 WHERE idmzdcalc = 10347;
        UPDATE pmzdcalc SET cisrad = 752 WHERE idmzdcalc = 10348;
        UPDATE pmzdcalc SET cisrad = 753 WHERE idmzdcalc = 10349;
        UPDATE pmzdcalc SET cisrad = 754 WHERE idmzdcalc = 10350;
        UPDATE pmzdcalc SET cisrad = 755 WHERE idmzdcalc = 10351;
        UPDATE pmzdcalc SET cisrad = 756 WHERE idmzdcalc = 10352;
        UPDATE pmzdcalc SET cisrad = 757 WHERE idmzdcalc = 10353;
        UPDATE pmzdcalc SET cisrad = 758 WHERE idmzdcalc = 10354;
        UPDATE pmzdcalc SET cisrad = 759 WHERE idmzdcalc = 10355;
        UPDATE pmzdcalc SET cisrad = 760 WHERE idmzdcalc = 10356;
        UPDATE pmzdcalc SET cisrad = 761 WHERE idmzdcalc = 10357;
        UPDATE pmzdcalc SET cisrad = 762 WHERE idmzdcalc = 10358;
        UPDATE pmzdcalc SET cisrad = 763 WHERE idmzdcalc = 10359;
        UPDATE pmzdcalc SET cisrad = 764 WHERE idmzdcalc = 10360;
        UPDATE pmzdcalc SET cisrad = 765 WHERE idmzdcalc = 10361;
        UPDATE pmzdcalc SET cisrad = 766 WHERE idmzdcalc = 10362;
        UPDATE pmzdcalc SET cisrad = 281 WHERE idmzdcalc = 10369;
        UPDATE pmzdcalc SET cisrad = 284 WHERE idmzdcalc = 10370;
        UPDATE pmzdcalc SET cisrad = 432 WHERE idmzdcalc = 10371;
        UPDATE pmzdcalc SET cisrad = 470 WHERE idmzdcalc = 10372;
        UPDATE pmzdcalc SET cisrad = 195 WHERE idmzdcalc = 10374;
        UPDATE pmzdcalc SET cisrad = 138 WHERE idmzdcalc = 10375;
        UPDATE pmzdcalc SET cisrad = 283 WHERE idmzdcalc = 10380;
        UPDATE pmzdcalc SET cisrad = 366 WHERE idmzdcalc = 10385;
        UPDATE pmzdcalc SET cisrad = 368 WHERE idmzdcalc = 10386;
        UPDATE pmzdcalc SET cisrad = 371 WHERE idmzdcalc = 10387;
        UPDATE pmzdcalc SET cisrad = 435 WHERE idmzdcalc = 10388;
        UPDATE pmzdcalc SET cisrad = 430 WHERE idmzdcalc = 10389;
        UPDATE pmzdcalc SET cisrad = 436 WHERE idmzdcalc = 10390;
        UPDATE pmzdcalc SET cisrad = 437 WHERE idmzdcalc = 10391;
        UPDATE pmzdcalc SET cisrad = 139 WHERE idmzdcalc = 10396;
        UPDATE pmzdcalc SET cisrad = 372 WHERE idmzdcalc = 10401;
        UPDATE pmzdcalc SET cisrad = 373 WHERE idmzdcalc = 10402;
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, vstupnapricpomery, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (10404, '2018-02-22 00:00:00.000', 'ODPRAC.HODINY MĚSÍC', 'Odpracovaná doba', 'Přičítáme vždy, jen u nepravidelných úvazků bez směn budeme přičítat 0.', true, 130, 1.0, 0.0, 0.0, 'dnyPrac;dnyKal;dnySvatek;hodiny', '', 'dnyPrac;dnyKal;dnySvatek;hodiny', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, false, 12, 179, 404);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, vstupnapricpomery, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (10405, '2018-02-22 00:00:00.000', 'ODPRAC.HODINY MĚSÍC', 'Odpracovaná doba', e'Nejprve si do pomocné proměnné uložíme příznak, jestli v ODPRACOVÁNO VÝPOČET, je nějaká hodnota hodin\n(bývá 0 u nepravidelných úvazků, které nemají vyplněné směny)\n1 = hodiny zadány nejsou\n0 = hodiny zadány jsou', true, 131, 0.0, 1.0, 0.0, 'hodiny', 'procMzd', 0.0, 0.0, 'mzdCalcOper.rovno', false, 0, false, false, 12, 179, 404);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, vstupnapricpomery, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
         VALUES (10406, '2018-02-22 00:00:00.000', 'ODPRAC.HODINY MĚSÍC', 'Suma odpracovaných hodin v měsíci', e'Z HODINY MĚSÍC přičítáme hodnotu jen, pokud nemáme hodiny ze složky ODPRACOVÁNO VÝPOČEČT\n(k tomu nám pomáhá pomocná proměnná)', true, 132, 1.0, 0.0, 1.0, 'dnyPrac;dnyKal;dnySvatek;hodiny', 'procMzd;procMzd;procMzd;procMzd', 'dnyPrac;dnyKal;dnySvatek;hodiny', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, false, false, 12, 63, 404, 404);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, vstupnapricpomery, idmzdcalchlav, idmzdslozin, idmzdslozout)
         VALUES (10407, '2018-02-24 00:00:00.000', 'ODPRAC.HODINY MĚSÍC', 'Odpracovaná doba', e'Nejprve si do pomocné proměnné uložíme příznak, jestli v ODPRACOVÁNO VÝPOČET, je nějaká hodnota hodin\n(bývá 0 u nepravidelných úvazků, které nemají vyplněné směny)\n0 = hodiny zadány nejsou\n1 = hodiny zadány jsou', true, 133, 0.0, 0.0, 1.0, 'hodiny', 'castkaHod', 0.0, 0.0, 'mzdCalcOper.rovno', false, 0, false, false, 12, 179, 404);
        INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, vstupnapricpomery, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
         VALUES (10408, '2018-02-24 00:00:00.000', 'ODPRAC.HODINY MĚSÍC', 'Mzda za práci přesčas', e'Z PRESČAS přičítáme hodnotu jen, pokud máme hodiny ze složky ODPRACOVÁNO VÝPOČEČT\n(k tomu nám pomáhá pomocná proměnná)', true, 134, 1.0, 0.0, 1.0, 'hodiny', 'castkaHod', 'hodiny', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, false, false, 12, 22, 404, 404);


        PERFORM pg_catalog.setval('seq_pcismzdsloz', 404, true);
        PERFORM pg_catalog.setval('seq_pmzdcalc', 10408, true);
   end if;
 end;
  $$ LANGUAGE plpgsql;

      
 select runupgrade();
 
 drop function runupgrade();


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 1125, 't', %appVersion%, clock_timestamp());
