-- vytvoreni a nastaveni sekvence
CREATE SEQUENCE seq_wreport
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;
ALTER TABLE seq_wreport OWNER TO %firmaRole%;
alter table wreport alter column idreport set default nextval('seq_wreport'::regclass);
select setval('seq_wreport', (select max(idreport)+1 from wreport));

CREATE SEQUENCE seq_wreportdata
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;
ALTER TABLE seq_wreportdata OWNER TO %firmaRole%;
alter table wreportdata alter column idreportdata set default nextval('seq_wreportdata'::regclass);
select setval('seq_wreportdata', (select max(idreportdata)+1 from wreportdata));


-- prejmenovani sloupcu
alter table wreport rename column "name" to kod;
alter table wreport rename column description to nazev;
alter table wreportdata rename column "name" to kod;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 255, 't');
