---------------------------------------------------------------------
-- Bug 19079 – [WinStrom] Ceník obsahující dodavatele nejde smazat
---------------------------------------------------------------------

ALTER TABLE cdodavatele DROP CONSTRAINT cdodavatele_idcenik;
ALTER TABLE cdodavatele ADD CONSTRAINT cdodavatele_idcenik FOREIGN KEY (idcenik)
    REFERENCES ccenik (idcenik)
    ON UPDATE NO ACTION ON DELETE CASCADE;

ALTER TABLE codberatele DROP CONSTRAINT codberatele_idcenik;
ALTER TABLE codberatele ADD CONSTRAINT codberatele_idcenik FOREIGN KEY (idcenik)
    REFERENCES ccenik (idcenik)
    ON UPDATE NO ACTION ON DELETE CASCADE;

ALTER TABLE cpodobne DROP CONSTRAINT cpodobne_idcenikotec;
ALTER TABLE cpodobne ADD CONSTRAINT cpodobne_idcenikotec FOREIGN KEY (idcenikotec)
    REFERENCES ccenik (idcenik)
    ON UPDATE NO ACTION ON DELETE CASCADE;

ALTER TABLE cpoplatky DROP CONSTRAINT cpoplatky_idcenikotec;
ALTER TABLE cpoplatky ADD CONSTRAINT cpoplatky_idcenikotec FOREIGN KEY (idcenikotec)
    REFERENCES ccenik (idcenik)
    ON UPDATE NO ACTION ON DELETE CASCADE;

ALTER TABLE csady DROP CONSTRAINT csady_idceniksada;
ALTER TABLE csady ADD CONSTRAINT csady_idceniksada FOREIGN KEY (idceniksada)
    REFERENCES ccenik (idcenik)
    ON UPDATE NO ACTION ON DELETE CASCADE;


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 293, 't');
