---------------------------------------------------------------------------------------
-- Bug 25680 – [winstrom] legislativa - řádky DPH u neplátce v EU
---------------------------------------------------------------------------------------

INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, jedph, poradi, idstatu, uuid)
 VALUES ('2011-09-27 00:00:00.000', '01-02 EU-N', 'Dodání zboží nebo poskytnutí služby s místem plnění v tuzemsku (např. § 13, § 14, § 18) - EU neplátce DPH', true, 2011, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUneplat', true, 100, (select IdStatu from aStaty where uuid  like '%_CZ'), 'CZ 01-02 EU-N');
INSERT INTO uclendph (lastupdate, kod, nazev, show, platiod, platido, typplnenik, typobchoduk, jedph, poradi, idstatu, uuid)
 VALUES ('2011-09-27 00:00:00.000', '01-02, 51 SN EU-N', '01-02 + Hodnota plnění nezapočítávaných do výpočtu koeficientu (§ 76 odst. 4) - EU neplátce DPH', true, 2011, 9999, 'typPlneni.uskutecnena', 'typObchodu.EUneplat', true, 110, coalesce((select IdStatu from aStaty where uuid like '%_CZ'), -1), 'CZ 2011 01-02, 51 SN EU-N');


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 542, 't', %appVersion%, clock_timestamp());
