--------------------------------------------------------------------------------
-- Bug 27317 – [winstrom] - Mzdy 2012 - kalkulačka
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
-- inicializace
-- radky
UPDATE pmzdcalc SET koeficient2 = 0.0, koeficient3 = 1.0, operacek = 'mzdCalcOper.max' WHERE idmzdcalc = 1426;
UPDATE pmzdcalc SET koeficient2 = 0.0, koeficient3 = 1.0, operacek = 'mzdCalcOper.max' WHERE idmzdcalc = 2456;

-- parametry pomeru
UPDATE ptyppracpomparam SET nazev = 'Nulování sociálky pro malý rozsah do 2500' WHERE idtyppracpomparam = 64;
UPDATE ptyppracpomparam SET nazev = 'Nulování zdravotky vždy do 2500' WHERE idtyppracpomparam = 78;
UPDATE ptyppracpomparam SET nazev = 'Nulování zdravotky vždy do 2500' WHERE idtyppracpomparam = 81;
UPDATE ptyppracpomparam SET nazev = 'Nulování zdravotky vždy do 2500' WHERE idtyppracpomparam = 82;
UPDATE ptyppracpomparam SET nazev = 'Nulování zdravotky vždy do 2500' WHERE idtyppracpomparam = 85;

-- hromadne
-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 578, 't', %appVersion%, clock_timestamp());
