---------------------------------------------------------------------------------------
-- Bug 28180 – [WinStrom] importy ve mzdách
---------------------------------------------------------------------------------------


alter table wextid add column idUzivatel integer;
alter table wextid add column idTypAkt integer;
alter table wextid add column idTypNaklAkt integer;
alter table wextid add column idTypZakazky integer;

alter table wextid add column idPraceStred integer;

alter table wextid add constraint wextid_idUzivatel FOREIGN KEY (idUzivatel)
      REFERENCES wUzivatel (idUzivatel) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;      
alter table wextid add constraint wextid_idTypAkt FOREIGN KEY (idTypAkt)
      REFERENCES aTypAkt (idTypAkt) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;
alter table wextid add constraint wextid_idTypNaklAkt FOREIGN KEY (idTypNaklAkt)
      REFERENCES aTypNaklAkt (idTypNaklAkt) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;
alter table wextid add constraint wextid_idTypZakazky FOREIGN KEY (idTypZakazky)
      REFERENCES uTypZakazky (idTypZakazky) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

alter table wextid add constraint wextid_idPraceStred FOREIGN KEY (idPraceStred)
      REFERENCES pPraceStred (idPraceStred) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE CASCADE;

CREATE INDEX wExtId_IdUzivatel_index ON wExtId USING btree (idUzivatel);
CREATE INDEX wExtId_IdTypAkt_index ON wExtId USING btree (idTypAkt);
CREATE INDEX wExtId_IdTypNaklAkt_index ON wExtId USING btree (idTypNaklAkt);
CREATE INDEX wExtId_IdTypZakazky_index ON wExtId USING btree (idTypZakazky);

CREATE INDEX wExtId_IdPraceStred_index ON wExtId USING btree (idPraceStred);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 591, 't', %appVersion%, clock_timestamp());
