--------------------------------------------------------------------------------
-- Bug 28606 – [winstrom] mzdy - přehledy ZP počet zaměstnanců
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole, zapoctovylist, uuid)
 VALUES (352, '2012-03-20 00:00:00.000', 'ZP-JE POJIŠTĚN 1 POM', 'Identifikace zdravotního pojištění pro jeden pracovní poměr', 'identifikace zdravotního pojištění pro daný pracovní poměr', true, 6300, 'typSlozky.vypocet', 'skupinaSlozky.zdravPoj', false, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true, false, true, true, 'hodiny;castmzd', false, 'ZP-JE_POJISTEN_1_POM');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, paskapole, zapoctovylist, uuid)
 VALUES (353, '2012-03-20 00:00:00.000', 'ZP-JE POJIŠTĚN', 'Identifikace zdravotního pojištění pro osobu', 'identifikace zdravotního pojištění pro daný pracovní poměr\nsumolu této položky získáme počet zaměstnanců pro tisk \n"Přehled o platbě pojistného"', true, 6310, 'typSlozky.vypocet', 'skupinaSlozky.zdravPoj', true, false, false, false, false, false, false, false, false, false, true, false, false, false, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, true, true, true, 'hodiny;castmzd', false, 'ZP-JE_POJISTEN');

-- inicializace
-- radky
UPDATE pmzdcalc SET cisrad = 291 WHERE idmzdcalc = 2304;
UPDATE pmzdcalc SET cisrad = 292 WHERE idmzdcalc = 2305;
UPDATE pmzdcalc SET cisrad = 294 WHERE idmzdcalc = 2306;
UPDATE pmzdcalc SET cisrad = 295 WHERE idmzdcalc = 2307;
UPDATE pmzdcalc SET cisrad = 296 WHERE idmzdcalc = 2308;
UPDATE pmzdcalc SET cisrad = 297 WHERE idmzdcalc = 2309;
UPDATE pmzdcalc SET cisrad = 298 WHERE idmzdcalc = 2310;
UPDATE pmzdcalc SET cisrad = 299 WHERE idmzdcalc = 2311;
UPDATE pmzdcalc SET cisrad = 300 WHERE idmzdcalc = 2312;
UPDATE pmzdcalc SET cisrad = 301 WHERE idmzdcalc = 2313;
UPDATE pmzdcalc SET cisrad = 302 WHERE idmzdcalc = 2314;
UPDATE pmzdcalc SET cisrad = 303 WHERE idmzdcalc = 2315;
UPDATE pmzdcalc SET cisrad = 304 WHERE idmzdcalc = 2316;
UPDATE pmzdcalc SET cisrad = 305 WHERE idmzdcalc = 2317;
UPDATE pmzdcalc SET cisrad = 306 WHERE idmzdcalc = 2318;
UPDATE pmzdcalc SET cisrad = 307 WHERE idmzdcalc = 2319;
UPDATE pmzdcalc SET cisrad = 308 WHERE idmzdcalc = 2320;
UPDATE pmzdcalc SET cisrad = 309 WHERE idmzdcalc = 2321;
UPDATE pmzdcalc SET cisrad = 310 WHERE idmzdcalc = 2322;
UPDATE pmzdcalc SET cisrad = 311 WHERE idmzdcalc = 2323;
UPDATE pmzdcalc SET cisrad = 312 WHERE idmzdcalc = 2324;
UPDATE pmzdcalc SET cisrad = 313 WHERE idmzdcalc = 2325;
UPDATE pmzdcalc SET cisrad = 314 WHERE idmzdcalc = 2326;
UPDATE pmzdcalc SET cisrad = 315 WHERE idmzdcalc = 2327;
UPDATE pmzdcalc SET cisrad = 316 WHERE idmzdcalc = 2328;
UPDATE pmzdcalc SET cisrad = 317 WHERE idmzdcalc = 2329;
UPDATE pmzdcalc SET cisrad = 318 WHERE idmzdcalc = 2330;
UPDATE pmzdcalc SET cisrad = 319 WHERE idmzdcalc = 2331;
UPDATE pmzdcalc SET cisrad = 320 WHERE idmzdcalc = 2332;
UPDATE pmzdcalc SET cisrad = 323 WHERE idmzdcalc = 2333;
UPDATE pmzdcalc SET cisrad = 324 WHERE idmzdcalc = 2334;
UPDATE pmzdcalc SET cisrad = 325 WHERE idmzdcalc = 2335;
UPDATE pmzdcalc SET cisrad = 326 WHERE idmzdcalc = 2336;
UPDATE pmzdcalc SET cisrad = 327 WHERE idmzdcalc = 2337;
UPDATE pmzdcalc SET cisrad = 328 WHERE idmzdcalc = 2338;
UPDATE pmzdcalc SET cisrad = 329 WHERE idmzdcalc = 2339;
UPDATE pmzdcalc SET cisrad = 330 WHERE idmzdcalc = 2340;
UPDATE pmzdcalc SET cisrad = 331 WHERE idmzdcalc = 2341;
UPDATE pmzdcalc SET cisrad = 332 WHERE idmzdcalc = 2342;
UPDATE pmzdcalc SET cisrad = 333 WHERE idmzdcalc = 2343;
UPDATE pmzdcalc SET cisrad = 334 WHERE idmzdcalc = 2344;
UPDATE pmzdcalc SET cisrad = 335 WHERE idmzdcalc = 2345;
UPDATE pmzdcalc SET cisrad = 336 WHERE idmzdcalc = 2346;
UPDATE pmzdcalc SET cisrad = 337 WHERE idmzdcalc = 2347;
UPDATE pmzdcalc SET cisrad = 338 WHERE idmzdcalc = 2348;
UPDATE pmzdcalc SET cisrad = 339 WHERE idmzdcalc = 2349;
UPDATE pmzdcalc SET cisrad = 340 WHERE idmzdcalc = 2350;
UPDATE pmzdcalc SET cisrad = 341 WHERE idmzdcalc = 2351;
UPDATE pmzdcalc SET cisrad = 342 WHERE idmzdcalc = 2352;
UPDATE pmzdcalc SET cisrad = 343 WHERE idmzdcalc = 2353;
UPDATE pmzdcalc SET cisrad = 344 WHERE idmzdcalc = 2354;
UPDATE pmzdcalc SET cisrad = 345 WHERE idmzdcalc = 2355;
UPDATE pmzdcalc SET cisrad = 346 WHERE idmzdcalc = 2356;
UPDATE pmzdcalc SET cisrad = 347 WHERE idmzdcalc = 2357;
UPDATE pmzdcalc SET cisrad = 348 WHERE idmzdcalc = 2358;
UPDATE pmzdcalc SET cisrad = 349 WHERE idmzdcalc = 2359;
UPDATE pmzdcalc SET cisrad = 350 WHERE idmzdcalc = 2360;
UPDATE pmzdcalc SET cisrad = 351 WHERE idmzdcalc = 2361;
UPDATE pmzdcalc SET cisrad = 352 WHERE idmzdcalc = 2362;
UPDATE pmzdcalc SET cisrad = 353 WHERE idmzdcalc = 2363;
UPDATE pmzdcalc SET cisrad = 354 WHERE idmzdcalc = 2364;
UPDATE pmzdcalc SET cisrad = 355 WHERE idmzdcalc = 2365;
UPDATE pmzdcalc SET cisrad = 356 WHERE idmzdcalc = 2366;
UPDATE pmzdcalc SET cisrad = 357 WHERE idmzdcalc = 2367;
UPDATE pmzdcalc SET cisrad = 358 WHERE idmzdcalc = 2368;
UPDATE pmzdcalc SET cisrad = 359 WHERE idmzdcalc = 2369;
UPDATE pmzdcalc SET cisrad = 360 WHERE idmzdcalc = 2370;
UPDATE pmzdcalc SET cisrad = 361 WHERE idmzdcalc = 2371;
UPDATE pmzdcalc SET cisrad = 362 WHERE idmzdcalc = 2372;
UPDATE pmzdcalc SET cisrad = 363 WHERE idmzdcalc = 2373;
UPDATE pmzdcalc SET cisrad = 364 WHERE idmzdcalc = 2374;
UPDATE pmzdcalc SET cisrad = 365 WHERE idmzdcalc = 2375;
UPDATE pmzdcalc SET cisrad = 366 WHERE idmzdcalc = 2376;
UPDATE pmzdcalc SET cisrad = 367 WHERE idmzdcalc = 2377;
UPDATE pmzdcalc SET cisrad = 368 WHERE idmzdcalc = 2378;
UPDATE pmzdcalc SET cisrad = 369 WHERE idmzdcalc = 2379;
UPDATE pmzdcalc SET cisrad = 370 WHERE idmzdcalc = 2380;
UPDATE pmzdcalc SET cisrad = 371 WHERE idmzdcalc = 2381;
UPDATE pmzdcalc SET cisrad = 372 WHERE idmzdcalc = 2382;
UPDATE pmzdcalc SET cisrad = 373 WHERE idmzdcalc = 2383;
UPDATE pmzdcalc SET cisrad = 374 WHERE idmzdcalc = 2384;
UPDATE pmzdcalc SET cisrad = 375 WHERE idmzdcalc = 2385;
UPDATE pmzdcalc SET cisrad = 376 WHERE idmzdcalc = 2386;
UPDATE pmzdcalc SET cisrad = 377 WHERE idmzdcalc = 2387;
UPDATE pmzdcalc SET cisrad = 378 WHERE idmzdcalc = 2388;
UPDATE pmzdcalc SET cisrad = 379 WHERE idmzdcalc = 2389;
UPDATE pmzdcalc SET cisrad = 380 WHERE idmzdcalc = 2390;
UPDATE pmzdcalc SET cisrad = 381 WHERE idmzdcalc = 2391;
UPDATE pmzdcalc SET cisrad = 382 WHERE idmzdcalc = 2392;
UPDATE pmzdcalc SET cisrad = 383 WHERE idmzdcalc = 2393;
UPDATE pmzdcalc SET cisrad = 384 WHERE idmzdcalc = 2394;
UPDATE pmzdcalc SET cisrad = 385 WHERE idmzdcalc = 2395;
UPDATE pmzdcalc SET cisrad = 386 WHERE idmzdcalc = 2396;
UPDATE pmzdcalc SET cisrad = 387 WHERE idmzdcalc = 2397;
UPDATE pmzdcalc SET cisrad = 388 WHERE idmzdcalc = 2398;
UPDATE pmzdcalc SET cisrad = 389 WHERE idmzdcalc = 2399;
UPDATE pmzdcalc SET cisrad = 390 WHERE idmzdcalc = 2400;
UPDATE pmzdcalc SET cisrad = 391 WHERE idmzdcalc = 2401;
UPDATE pmzdcalc SET cisrad = 392 WHERE idmzdcalc = 2402;
UPDATE pmzdcalc SET cisrad = 393 WHERE idmzdcalc = 2403;
UPDATE pmzdcalc SET cisrad = 394 WHERE idmzdcalc = 2404;
UPDATE pmzdcalc SET cisrad = 395 WHERE idmzdcalc = 2405;
UPDATE pmzdcalc SET cisrad = 396 WHERE idmzdcalc = 2406;
UPDATE pmzdcalc SET cisrad = 397 WHERE idmzdcalc = 2407;
UPDATE pmzdcalc SET cisrad = 398 WHERE idmzdcalc = 2408;
UPDATE pmzdcalc SET cisrad = 399 WHERE idmzdcalc = 2409;
UPDATE pmzdcalc SET cisrad = 400 WHERE idmzdcalc = 2410;
UPDATE pmzdcalc SET cisrad = 401 WHERE idmzdcalc = 2411;
UPDATE pmzdcalc SET cisrad = 402 WHERE idmzdcalc = 2412;
UPDATE pmzdcalc SET cisrad = 403 WHERE idmzdcalc = 2413;
UPDATE pmzdcalc SET cisrad = 404 WHERE idmzdcalc = 2414;
UPDATE pmzdcalc SET cisrad = 405 WHERE idmzdcalc = 2415;
UPDATE pmzdcalc SET cisrad = 406 WHERE idmzdcalc = 2416;
UPDATE pmzdcalc SET cisrad = 407 WHERE idmzdcalc = 2417;
UPDATE pmzdcalc SET cisrad = 408 WHERE idmzdcalc = 2418;
UPDATE pmzdcalc SET cisrad = 409 WHERE idmzdcalc = 2419;
UPDATE pmzdcalc SET cisrad = 412 WHERE idmzdcalc = 2420;
UPDATE pmzdcalc SET cisrad = 413 WHERE idmzdcalc = 2421;
UPDATE pmzdcalc SET cisrad = 414 WHERE idmzdcalc = 2422;
UPDATE pmzdcalc SET cisrad = 415 WHERE idmzdcalc = 2423;
UPDATE pmzdcalc SET cisrad = 416 WHERE idmzdcalc = 2424;
UPDATE pmzdcalc SET cisrad = 417 WHERE idmzdcalc = 2425;
UPDATE pmzdcalc SET cisrad = 418 WHERE idmzdcalc = 2426;
UPDATE pmzdcalc SET cisrad = 419 WHERE idmzdcalc = 2427;
UPDATE pmzdcalc SET cisrad = 420 WHERE idmzdcalc = 2428;
UPDATE pmzdcalc SET cisrad = 421 WHERE idmzdcalc = 2429;
UPDATE pmzdcalc SET cisrad = 422 WHERE idmzdcalc = 2430;
UPDATE pmzdcalc SET cisrad = 423 WHERE idmzdcalc = 2431;
UPDATE pmzdcalc SET cisrad = 424 WHERE idmzdcalc = 2432;
UPDATE pmzdcalc SET cisrad = 425 WHERE idmzdcalc = 2433;
UPDATE pmzdcalc SET cisrad = 426 WHERE idmzdcalc = 2434;
UPDATE pmzdcalc SET cisrad = 427 WHERE idmzdcalc = 2435;
UPDATE pmzdcalc SET cisrad = 428 WHERE idmzdcalc = 2436;
UPDATE pmzdcalc SET cisrad = 429 WHERE idmzdcalc = 2437;
UPDATE pmzdcalc SET cisrad = 430 WHERE idmzdcalc = 2438;
UPDATE pmzdcalc SET cisrad = 431 WHERE idmzdcalc = 2439;
UPDATE pmzdcalc SET cisrad = 432 WHERE idmzdcalc = 2440;
UPDATE pmzdcalc SET cisrad = 433 WHERE idmzdcalc = 2441;
UPDATE pmzdcalc SET cisrad = 434 WHERE idmzdcalc = 2442;
UPDATE pmzdcalc SET cisrad = 435 WHERE idmzdcalc = 2443;
UPDATE pmzdcalc SET cisrad = 436 WHERE idmzdcalc = 2444;
UPDATE pmzdcalc SET cisrad = 437 WHERE idmzdcalc = 2445;
UPDATE pmzdcalc SET cisrad = 438 WHERE idmzdcalc = 2446;
UPDATE pmzdcalc SET cisrad = 439 WHERE idmzdcalc = 2447;
UPDATE pmzdcalc SET cisrad = 440 WHERE idmzdcalc = 2448;
UPDATE pmzdcalc SET cisrad = 441 WHERE idmzdcalc = 2449;
UPDATE pmzdcalc SET cisrad = 442 WHERE idmzdcalc = 2450;
UPDATE pmzdcalc SET cisrad = 443 WHERE idmzdcalc = 2451;
UPDATE pmzdcalc SET cisrad = 444 WHERE idmzdcalc = 2452;
UPDATE pmzdcalc SET cisrad = 445 WHERE idmzdcalc = 2453;
UPDATE pmzdcalc SET cisrad = 446 WHERE idmzdcalc = 2454;
UPDATE pmzdcalc SET cisrad = 447 WHERE idmzdcalc = 2455;
UPDATE pmzdcalc SET cisrad = 448 WHERE idmzdcalc = 2456;
UPDATE pmzdcalc SET cisrad = 449 WHERE idmzdcalc = 2457;
UPDATE pmzdcalc SET cisrad = 450 WHERE idmzdcalc = 2458;
UPDATE pmzdcalc SET cisrad = 451 WHERE idmzdcalc = 2459;
UPDATE pmzdcalc SET cisrad = 452 WHERE idmzdcalc = 2460;
UPDATE pmzdcalc SET cisrad = 453 WHERE idmzdcalc = 2461;
UPDATE pmzdcalc SET cisrad = 454 WHERE idmzdcalc = 2462;
UPDATE pmzdcalc SET cisrad = 455 WHERE idmzdcalc = 2463;
UPDATE pmzdcalc SET cisrad = 456 WHERE idmzdcalc = 2464;
UPDATE pmzdcalc SET cisrad = 457 WHERE idmzdcalc = 2465;
UPDATE pmzdcalc SET cisrad = 458 WHERE idmzdcalc = 2466;
UPDATE pmzdcalc SET cisrad = 459 WHERE idmzdcalc = 2467;
UPDATE pmzdcalc SET cisrad = 460 WHERE idmzdcalc = 2468;
UPDATE pmzdcalc SET cisrad = 461 WHERE idmzdcalc = 2469;
UPDATE pmzdcalc SET cisrad = 462 WHERE idmzdcalc = 2470;
UPDATE pmzdcalc SET cisrad = 463 WHERE idmzdcalc = 2471;
UPDATE pmzdcalc SET cisrad = 464 WHERE idmzdcalc = 2472;
UPDATE pmzdcalc SET cisrad = 465 WHERE idmzdcalc = 2473;
UPDATE pmzdcalc SET cisrad = 466 WHERE idmzdcalc = 2474;
UPDATE pmzdcalc SET cisrad = 467 WHERE idmzdcalc = 2475;
UPDATE pmzdcalc SET cisrad = 468 WHERE idmzdcalc = 2476;
UPDATE pmzdcalc SET cisrad = 469 WHERE idmzdcalc = 2477;
UPDATE pmzdcalc SET cisrad = 470 WHERE idmzdcalc = 2478;
UPDATE pmzdcalc SET cisrad = 471 WHERE idmzdcalc = 2479;
UPDATE pmzdcalc SET cisrad = 472 WHERE idmzdcalc = 2480;
UPDATE pmzdcalc SET cisrad = 473 WHERE idmzdcalc = 2481;
UPDATE pmzdcalc SET cisrad = 474 WHERE idmzdcalc = 2482;
UPDATE pmzdcalc SET cisrad = 475 WHERE idmzdcalc = 2483;
UPDATE pmzdcalc SET cisrad = 476 WHERE idmzdcalc = 2484;
UPDATE pmzdcalc SET cisrad = 477 WHERE idmzdcalc = 2485;
UPDATE pmzdcalc SET cisrad = 478 WHERE idmzdcalc = 2486;
UPDATE pmzdcalc SET cisrad = 479 WHERE idmzdcalc = 2487;
UPDATE pmzdcalc SET cisrad = 480 WHERE idmzdcalc = 2488;
UPDATE pmzdcalc SET cisrad = 481 WHERE idmzdcalc = 2489;
UPDATE pmzdcalc SET cisrad = 482 WHERE idmzdcalc = 2490;
UPDATE pmzdcalc SET cisrad = 483 WHERE idmzdcalc = 2491;
UPDATE pmzdcalc SET cisrad = 484 WHERE idmzdcalc = 2492;
UPDATE pmzdcalc SET cisrad = 485 WHERE idmzdcalc = 2493;
UPDATE pmzdcalc SET cisrad = 486 WHERE idmzdcalc = 2494;
UPDATE pmzdcalc SET cisrad = 487 WHERE idmzdcalc = 2495;
UPDATE pmzdcalc SET cisrad = 488 WHERE idmzdcalc = 2496;
UPDATE pmzdcalc SET cisrad = 489 WHERE idmzdcalc = 2501;
UPDATE pmzdcalc SET cisrad = 490 WHERE idmzdcalc = 2502;
UPDATE pmzdcalc SET cisrad = 491 WHERE idmzdcalc = 2503;
UPDATE pmzdcalc SET cisrad = 492 WHERE idmzdcalc = 2504;
UPDATE pmzdcalc SET cisrad = 493 WHERE idmzdcalc = 2505;
UPDATE pmzdcalc SET cisrad = 494 WHERE idmzdcalc = 2506;
UPDATE pmzdcalc SET cisrad = 495 WHERE idmzdcalc = 2507;
UPDATE pmzdcalc SET cisrad = 496 WHERE idmzdcalc = 2508;
UPDATE pmzdcalc SET cisrad = 497 WHERE idmzdcalc = 2509;
UPDATE pmzdcalc SET cisrad = 498 WHERE idmzdcalc = 2510;
UPDATE pmzdcalc SET cisrad = 499 WHERE idmzdcalc = 2511;
UPDATE pmzdcalc SET cisrad = 500 WHERE idmzdcalc = 2512;
UPDATE pmzdcalc SET cisrad = 501 WHERE idmzdcalc = 2513;
UPDATE pmzdcalc SET cisrad = 502 WHERE idmzdcalc = 2514;
UPDATE pmzdcalc SET cisrad = 503 WHERE idmzdcalc = 2515;
UPDATE pmzdcalc SET cisrad = 504 WHERE idmzdcalc = 2516;
UPDATE pmzdcalc SET cisrad = 505 WHERE idmzdcalc = 2517;
UPDATE pmzdcalc SET cisrad = 506 WHERE idmzdcalc = 2518;
UPDATE pmzdcalc SET cisrad = 507 WHERE idmzdcalc = 2519;
UPDATE pmzdcalc SET cisrad = 508 WHERE idmzdcalc = 2520;
UPDATE pmzdcalc SET cisrad = 509 WHERE idmzdcalc = 2521;
UPDATE pmzdcalc SET cisrad = 510 WHERE idmzdcalc = 2522;
UPDATE pmzdcalc SET cisrad = 511 WHERE idmzdcalc = 2523;
UPDATE pmzdcalc SET cisrad = 512 WHERE idmzdcalc = 2524;
UPDATE pmzdcalc SET cisrad = 513 WHERE idmzdcalc = 2525;
UPDATE pmzdcalc SET cisrad = 514 WHERE idmzdcalc = 2526;
UPDATE pmzdcalc SET cisrad = 515 WHERE idmzdcalc = 2527;
UPDATE pmzdcalc SET cisrad = 516 WHERE idmzdcalc = 2528;
UPDATE pmzdcalc SET cisrad = 517 WHERE idmzdcalc = 2529;
UPDATE pmzdcalc SET cisrad = 518 WHERE idmzdcalc = 2530;
UPDATE pmzdcalc SET cisrad = 519 WHERE idmzdcalc = 2531;
UPDATE pmzdcalc SET cisrad = 520 WHERE idmzdcalc = 2532;
UPDATE pmzdcalc SET cisrad = 521 WHERE idmzdcalc = 2533;
UPDATE pmzdcalc SET cisrad = 522 WHERE idmzdcalc = 2534;
UPDATE pmzdcalc SET cisrad = 523 WHERE idmzdcalc = 2535;
UPDATE pmzdcalc SET cisrad = 524 WHERE idmzdcalc = 2536;
UPDATE pmzdcalc SET cisrad = 525 WHERE idmzdcalc = 2537;
UPDATE pmzdcalc SET cisrad = 526 WHERE idmzdcalc = 2538;
UPDATE pmzdcalc SET cisrad = 527 WHERE idmzdcalc = 2539;
UPDATE pmzdcalc SET cisrad = 528 WHERE idmzdcalc = 2540;
UPDATE pmzdcalc SET cisrad = 529 WHERE idmzdcalc = 2541;
UPDATE pmzdcalc SET cisrad = 530 WHERE idmzdcalc = 2542;
UPDATE pmzdcalc SET cisrad = 531 WHERE idmzdcalc = 2543;
UPDATE pmzdcalc SET cisrad = 532 WHERE idmzdcalc = 2544;
UPDATE pmzdcalc SET cisrad = 533 WHERE idmzdcalc = 2545;
UPDATE pmzdcalc SET cisrad = 534 WHERE idmzdcalc = 2546;
UPDATE pmzdcalc SET cisrad = 535 WHERE idmzdcalc = 2547;
UPDATE pmzdcalc SET cisrad = 536 WHERE idmzdcalc = 2548;
UPDATE pmzdcalc SET cisrad = 537 WHERE idmzdcalc = 2549;
UPDATE pmzdcalc SET cisrad = 538 WHERE idmzdcalc = 2550;
UPDATE pmzdcalc SET cisrad = 539 WHERE idmzdcalc = 2551;
UPDATE pmzdcalc SET cisrad = 540 WHERE idmzdcalc = 2552;
UPDATE pmzdcalc SET cisrad = 541 WHERE idmzdcalc = 2553;
UPDATE pmzdcalc SET cisrad = 542 WHERE idmzdcalc = 2554;
UPDATE pmzdcalc SET cisrad = 543 WHERE idmzdcalc = 2555;
UPDATE pmzdcalc SET cisrad = 544 WHERE idmzdcalc = 2556;
UPDATE pmzdcalc SET cisrad = 545 WHERE idmzdcalc = 2557;
UPDATE pmzdcalc SET cisrad = 546 WHERE idmzdcalc = 2558;
UPDATE pmzdcalc SET cisrad = 547 WHERE idmzdcalc = 2559;
UPDATE pmzdcalc SET cisrad = 548 WHERE idmzdcalc = 2560;
UPDATE pmzdcalc SET cisrad = 549 WHERE idmzdcalc = 2561;
UPDATE pmzdcalc SET cisrad = 550 WHERE idmzdcalc = 2562;
UPDATE pmzdcalc SET cisrad = 551 WHERE idmzdcalc = 2563;
UPDATE pmzdcalc SET cisrad = 552 WHERE idmzdcalc = 2564;
UPDATE pmzdcalc SET cisrad = 553 WHERE idmzdcalc = 2565;
UPDATE pmzdcalc SET cisrad = 554 WHERE idmzdcalc = 2566;
UPDATE pmzdcalc SET cisrad = 555 WHERE idmzdcalc = 2567;
UPDATE pmzdcalc SET cisrad = 556 WHERE idmzdcalc = 2568;
UPDATE pmzdcalc SET cisrad = 557 WHERE idmzdcalc = 2569;
UPDATE pmzdcalc SET cisrad = 558 WHERE idmzdcalc = 2570;
UPDATE pmzdcalc SET cisrad = 559 WHERE idmzdcalc = 2571;
UPDATE pmzdcalc SET cisrad = 560 WHERE idmzdcalc = 2572;
UPDATE pmzdcalc SET cisrad = 561 WHERE idmzdcalc = 2573;
UPDATE pmzdcalc SET cisrad = 562 WHERE idmzdcalc = 2574;
UPDATE pmzdcalc SET cisrad = 563 WHERE idmzdcalc = 2575;
UPDATE pmzdcalc SET cisrad = 564 WHERE idmzdcalc = 2576;
UPDATE pmzdcalc SET cisrad = 565 WHERE idmzdcalc = 2577;
UPDATE pmzdcalc SET cisrad = 566 WHERE idmzdcalc = 2578;
UPDATE pmzdcalc SET cisrad = 567 WHERE idmzdcalc = 2579;
UPDATE pmzdcalc SET cisrad = 568 WHERE idmzdcalc = 2580;
UPDATE pmzdcalc SET cisrad = 569 WHERE idmzdcalc = 2581;
UPDATE pmzdcalc SET cisrad = 411 WHERE idmzdcalc = 2582;
UPDATE pmzdcalc SET cisrad = 410 WHERE idmzdcalc = 2583;
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (2584, '2012-03-19 00:00:00.000', 'ZP-JE POJIŠTĚN 1 POM', 'Identifikace zdravotního pojištění pro jeden pracovní poměr', true, 290, 0.0, 0.0, 1.0, 'procMzd', 'procMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 3, 352, 352);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (2585, '2012-03-19 00:00:00.000', 'ZP-JE POJIŠTĚN 1 POM', '1 pracovní poměr  - základ pro zdravotní pojištění  ', true, 293, 1.0, 1.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 3, 163, 352);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (2586, '2012-03-19 00:00:00.000', 'ZP-JE POJIŠTĚN', 'Identifikace zdravotního pojištění pro jeden pracovní poměr', true, 321, 1.0, 1.0, 0.0, 'procMzd', 'procMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, true, 3, 352, 353);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (2587, '2012-03-19 00:00:00.000', 'ZP-JE POJIŠTĚN', 'Identifikace zdravotního pojištění pro osobu', true, 322, 1.0, 0.0, 0.0, 'procMzd', 'procMzd', 'procMzd', 0.0, 0.0, 'mzdCalcOper.lomeno', false, 0, true, 3, 353, 353, 353);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (2588, '2012-03-23 00:00:00.000', 'ZÁKL.SP-1 PRAC.POMĚR', 'Celkové sociální pojištění', true, 570, 1.0, 1.0, 0.0, 'castMzd;zaklMzd', 'zaklMzd;zaklMzd', 'castMzd;zaklMzd', 0.0, 0.0, 'mzdCalcOper.rozdelPomer', false, 0, false, 3, 217, 350, 162);

-- parametry pomeru
UPDATE ptyppracpomparam SET cisrad = 160 WHERE idtyppracpomparam = 85;
INSERT INTO ptyppracpomparam (idtyppracpomparam, lastupdate, kod, nazev, popis, show, cisrad, odhodnoty, dohodnoty, koeficient, poletest, polenuluj, actmalyroz, actvelkyroz, actmaprohl, actnemaprohl, actdannerez, actdanrez, actzdrdopl, actzdrnedopl, idmzdcalchlav, idtyppracpom, idcismzdsloz)
 VALUES (86, '2012-03-19 00:00:00.000', 'ZP-JE POJIŠTĚN 1 POM', 'Identifikace zdravotního pojištění pro jeden pracovní poměr', '', true, 62, 0.0, 10000.0, 0.0, 'zaklMzd', 'procMzd', true, true, true, true, false, true, true, true, 3, 2, 352);
INSERT INTO ptyppracpomparam (idtyppracpomparam, lastupdate, kod, nazev, popis, show, cisrad, odhodnoty, dohodnoty, koeficient, poletest, polenuluj, actmalyroz, actvelkyroz, actmaprohl, actnemaprohl, actdannerez, actdanrez, actzdrdopl, actzdrnedopl, idmzdcalchlav, idtyppracpom, idcismzdsloz)
 VALUES (87, '2012-03-20 00:00:00.000', 'ZP-JE POJIŠTĚN 1 POM', 'Identifikace zdravotního pojištění pro jeden pracovní poměr', '', true, 155, 0.0, 9.999999999E9, 0.0, 'zaklMzd', 'procMzd', true, true, true, true, false, true, true, true, 3, 6, 352);

-- hromadne

PERFORM pg_catalog.setval('seq_pcismzdsloz', 353, true);
PERFORM pg_catalog.setval('seq_pmzdcalc', 2588, true);
PERFORM pg_catalog.setval('seq_ptyppracpomparam', 87, true);
-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 604, 't', %appVersion%, clock_timestamp());
