--------------------------------------------------------------------------------
-- Bug 28435 – [winstrom] neziskové organizace
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;
begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);

  if (_idtyporg = 4) then

-- uprava uctu
UPDATE ustducty SET druhuctuk = 'druhUctu.pasivni' WHERE uuid = 'CZ_NEZ_249';
UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvy' WHERE uuid = 'CZ_NEZ_336';
UPDATE ustducty SET druhuctuk = 'druhUctu.pasivni' WHERE uuid = 'CZ_NEZ_368';
UPDATE ustducty SET druhuctuk = 'druhUctu.aktivni' WHERE uuid = 'CZ_NEZ_391';
UPDATE ustducty SET nazev = 'Dlouhodobé bankovní úvěry' WHERE uuid = 'CZ_NEZ_951';
INSERT INTO ustducty (lastupdate, kod, nazev, popis, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
 VALUES ('2012-03-28 00:00:00.000', '232', 'Eskontní úvěry', 'nový', true, 0, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 4, 'CZ_NEZ_232');
INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
 VALUES ('2012-04-24 00:00:00.000', '231', 'Krátkodobé bankovní úvěry', true, 0, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 4, 'CZ_NEZ_231');

UPDATE uucty SET druhuctuk = 'druhUctu.pasivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'CZ_NEZ_249');
UPDATE uucty SET druhuctuk = 'druhUctu.aktpasvy' WHERE idstducet = (select idstducet from ustducty where uuid = 'CZ_NEZ_336');
UPDATE uucty SET druhuctuk = 'druhUctu.pasivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'CZ_NEZ_368');
UPDATE uucty SET druhuctuk = 'druhUctu.aktivni' WHERE idstducet = (select idstducet from ustducty where uuid = 'CZ_NEZ_391');


-- sestavy
UPDATE usestavy SET nazev = 'Rozvaha pro organizace účtující dle vyhlášky 504/2002 (nevýdělečné organizace)' WHERE uuid = 'CZ_NEZISKOVE_ROZVAHA_2010';
UPDATE usestavy SET nazev = 'Výkaz zisku a ztráty  pro organizace účtující dle vyhlášky 504/2002 (nevýdělečné organizace)' WHERE uuid = 'CZ_NEZISKOVE_VYSLEDOVKA_2010';

-- radky
UPDATE usesradky SET cisrad = 2 WHERE idsesradky = 20001;
UPDATE usesradky SET cisrad = 3 WHERE idsesradky = 20002;
UPDATE usesradky SET cisrad = 4 WHERE idsesradky = 20003;
UPDATE usesradky SET cisrad = 5, oznaceni = 'A.   A.        I     4' WHERE idsesradky = 20004;
UPDATE usesradky SET cisrad = 6, oznaceni = 'A.   A.        I     5' WHERE idsesradky = 20005;
UPDATE usesradky SET cisrad = 7, oznaceni = 'A.   A.        I     6' WHERE idsesradky = 20006;
UPDATE usesradky SET cisrad = 8, oznaceni = 'A.   A.        I     7' WHERE idsesradky = 20007;
UPDATE usesradky SET cisrad = 29 WHERE idsesradky = 20008;
UPDATE usesradky SET cisrad = 30 WHERE idsesradky = 20009;
UPDATE usesradky SET cisrad = 31 WHERE idsesradky = 20010;
UPDATE usesradky SET cisrad = 32 WHERE idsesradky = 20011;
UPDATE usesradky SET cisrad = 33 WHERE idsesradky = 20012;
UPDATE usesradky SET cisrad = 10, oznaceni = 'A.   A.        II    1' WHERE idsesradky = 20013;
UPDATE usesradky SET cisrad = 11, oznaceni = 'A.   A.        II    2' WHERE idsesradky = 20014;
UPDATE usesradky SET cisrad = 12, oznaceni = 'A.   A.        II    3' WHERE idsesradky = 20015;
UPDATE usesradky SET cisrad = 13, oznaceni = 'A.   A.        II    4' WHERE idsesradky = 20016;
UPDATE usesradky SET cisrad = 14, oznaceni = 'A.   A.        II    5' WHERE idsesradky = 20017;
UPDATE usesradky SET cisrad = 15, oznaceni = 'A.   A.        II    6' WHERE idsesradky = 20018;
UPDATE usesradky SET cisrad = 16, oznaceni = 'A.   A.        II    7' WHERE idsesradky = 20019;
UPDATE usesradky SET cisrad = 17, oznaceni = 'A.   A.        II    8' WHERE idsesradky = 20020;
UPDATE usesradky SET cisrad = 18, oznaceni = 'A.   A.        II    9' WHERE idsesradky = 20021;
UPDATE usesradky SET cisrad = 19, oznaceni = 'A.   A.        II    10' WHERE idsesradky = 20022;
UPDATE usesradky SET cisrad = 35, oznaceni = 'A.   A.        IV   6' WHERE idsesradky = 20023;
UPDATE usesradky SET cisrad = 36, oznaceni = 'A.   A.        IV   7' WHERE idsesradky = 20024;
UPDATE usesradky SET cisrad = 37, oznaceni = 'A.   A.        IV   8' WHERE idsesradky = 20025;
UPDATE usesradky SET cisrad = 38, oznaceni = 'A.   A.        IV   9' WHERE idsesradky = 20026;
UPDATE usesradky SET cisrad = 39, oznaceni = 'A.   A.        IV  10' WHERE idsesradky = 20027;
UPDATE usesradky SET cisrad = 40, oznaceni = 'A.   A.        IV  11' WHERE idsesradky = 20028;
UPDATE usesradky SET cisrad = 21, oznaceni = 'A.   A.        III   1' WHERE idsesradky = 20029;
UPDATE usesradky SET cisrad = 22, oznaceni = 'A.   A.        III   2' WHERE idsesradky = 20030;
UPDATE usesradky SET cisrad = 23, oznaceni = 'A.   A.        III   3', nazev = '063 - Dluhové cenné papíry držené do splatnosti	 ', poznam = '\n' WHERE idsesradky = 20031;
UPDATE usesradky SET cisrad = 24, oznaceni = 'A.   A.        III   4', nazev = '066 - Půjčky organizačním složkám	 ' WHERE idsesradky = 20032;
UPDATE usesradky SET cisrad = 25, oznaceni = 'A.   A.        III   5', nazev = '067 - Ostatní dlouhodobé půjčky	 ' WHERE idsesradky = 20033;
UPDATE usesradky SET cisrad = 26, oznaceni = 'A.   A.        III   6', nazev = '069 - Ostatní dlouhodobý finanční majetek  	 ' WHERE idsesradky = 20034;
UPDATE usesradky SET cisrad = 27, oznaceni = 'A.   A.        III   7', nazev = '043 -  Pořízovaný dlouhodobý finanční majetek' WHERE idsesradky = 20035;
UPDATE usesradky SET cisrad = 43 WHERE idsesradky = 20036;
UPDATE usesradky SET cisrad = 44 WHERE idsesradky = 20037;
UPDATE usesradky SET cisrad = 45 WHERE idsesradky = 20038;
UPDATE usesradky SET cisrad = 46 WHERE idsesradky = 20039;
UPDATE usesradky SET cisrad = 47 WHERE idsesradky = 20040;
UPDATE usesradky SET cisrad = 48 WHERE idsesradky = 20041;
UPDATE usesradky SET cisrad = 49 WHERE idsesradky = 20042;
UPDATE usesradky SET cisrad = 50 WHERE idsesradky = 20043;
UPDATE usesradky SET cisrad = 52, oznaceni = 'A.   B.        II   1' WHERE idsesradky = 20044;
UPDATE usesradky SET cisrad = 53, oznaceni = 'A.   B.        II   2' WHERE idsesradky = 20045;
UPDATE usesradky SET cisrad = 54, oznaceni = 'A.   B.        II   3' WHERE idsesradky = 20046;
UPDATE usesradky SET cisrad = 55, oznaceni = 'A.   B.        II   4' WHERE idsesradky = 20047;
UPDATE usesradky SET cisrad = 57, oznaceni = 'A.   B.        II   8' WHERE idsesradky = 20049;
UPDATE usesradky SET cisrad = 58, oznaceni = 'A.   B.        II   8' WHERE idsesradky = 20050;
UPDATE usesradky SET cisrad = 59, oznaceni = 'A.   B.        II   9' WHERE idsesradky = 20051;
UPDATE usesradky SET cisrad = 60, oznaceni = 'A.   B.        II   10' WHERE idsesradky = 20052;
UPDATE usesradky SET cisrad = 61, oznaceni = 'A.   B.        II   11' WHERE idsesradky = 20053;
UPDATE usesradky SET cisrad = 62, oznaceni = 'A.   B.        II   12' WHERE idsesradky = 20054;
UPDATE usesradky SET cisrad = 63, oznaceni = 'A.   B.        II   13' WHERE idsesradky = 20055;
UPDATE usesradky SET cisrad = 64, oznaceni = 'A.   B.        II   14' WHERE idsesradky = 20056;
UPDATE usesradky SET cisrad = 65, oznaceni = 'A.   B.        II   15' WHERE idsesradky = 20057;
UPDATE usesradky SET cisrad = 66, oznaceni = 'A.   B.        II   16' WHERE idsesradky = 20058;
UPDATE usesradky SET cisrad = 67, oznaceni = 'A.   B.        II   17' WHERE idsesradky = 20059;
UPDATE usesradky SET cisrad = 68, oznaceni = 'A.   B.        II   18' WHERE idsesradky = 20060;
UPDATE usesradky SET cisrad = 70, oznaceni = 'A.   B.        II   20' WHERE idsesradky = 20061;
UPDATE usesradky SET cisrad = 74, oznaceni = 'A.   B.        III  3' WHERE idsesradky = 20062;
UPDATE usesradky SET cisrad = 75, oznaceni = 'A.   B.        III  4' WHERE idsesradky = 20065;
UPDATE usesradky SET cisrad = 76, oznaceni = 'A.   B.        III  5' WHERE idsesradky = 20066;
UPDATE usesradky SET cisrad = 77, oznaceni = 'A.   B.        III  6' WHERE idsesradky = 20067;
UPDATE usesradky SET cisrad = 78, oznaceni = 'A.   B.        III  7' WHERE idsesradky = 20068;
UPDATE usesradky SET cisrad = 72, oznaceni = 'A.   B.        III  1' WHERE idsesradky = 20069;
UPDATE usesradky SET cisrad = 81 WHERE idsesradky = 20070;
UPDATE usesradky SET cisrad = 82 WHERE idsesradky = 20071;
UPDATE usesradky SET cisrad = 83 WHERE idsesradky = 20072;
UPDATE usesradky SET cisrad = 123, oznaceni = 'A.   B.        III  19', nazev = '389 - Dohadné účty pasivní          ', popis = 'přesunut z aktiv\n' WHERE idsesradky = 20073;
UPDATE usesradky SET cisrad = 87 WHERE idsesradky = 20074;
UPDATE usesradky SET cisrad = 88 WHERE idsesradky = 20075;
UPDATE usesradky SET cisrad = 89, nazev = '921 - Oceňovací rozdíly z přecenění finančního majetku a závazků' WHERE idsesradky = 20076;
UPDATE usesradky SET cisrad = 91 WHERE idsesradky = 20077;
UPDATE usesradky SET cisrad = 92 WHERE idsesradky = 20078;
UPDATE usesradky SET cisrad = 93 WHERE idsesradky = 20079;
UPDATE usesradky SET cisrad = 96, oznaceni = 'P.   B.        I     1' WHERE idsesradky = 20080;
UPDATE usesradky SET cisrad = 98, oznaceni = 'P.   B.        II    2' WHERE idsesradky = 20081;
UPDATE usesradky SET cisrad = 99, oznaceni = 'P.   B.        II    3' WHERE idsesradky = 20082;
UPDATE usesradky SET cisrad = 100, oznaceni = 'P.   B.        II    4' WHERE idsesradky = 20083;
UPDATE usesradky SET cisrad = 101, oznaceni = 'P.   B.        II    5' WHERE idsesradky = 20084;
UPDATE usesradky SET cisrad = 103, oznaceni = 'P.   B.        II    7' WHERE idsesradky = 20085;
UPDATE usesradky SET cisrad = 105, oznaceni = 'P.   B.        III   1' WHERE idsesradky = 20086;
UPDATE usesradky SET cisrad = 106, oznaceni = 'P.   B.        III   2' WHERE idsesradky = 20087;
UPDATE usesradky SET cisrad = 107, oznaceni = 'P.   B.        III   3' WHERE idsesradky = 20088;
UPDATE usesradky SET cisrad = 108, oznaceni = 'P.   B.        III   4' WHERE idsesradky = 20089;
UPDATE usesradky SET cisrad = 109, oznaceni = 'P.   B.        III   5' WHERE idsesradky = 20090;
UPDATE usesradky SET cisrad = 110, oznaceni = 'P.   B.        III   6' WHERE idsesradky = 20091;
UPDATE usesradky SET cisrad = 112, oznaceni = 'P.   B.        III   8' WHERE idsesradky = 20092;
UPDATE usesradky SET cisrad = 113, oznaceni = 'P.   B.        III   9' WHERE idsesradky = 20093;
UPDATE usesradky SET cisrad = 114, oznaceni = 'P.   B.        III   10' WHERE idsesradky = 20094;
UPDATE usesradky SET cisrad = 115, oznaceni = 'P.   B.        III   11' WHERE idsesradky = 20095;
UPDATE usesradky SET cisrad = 116, oznaceni = 'P.   B.        III   12' WHERE idsesradky = 20096;
UPDATE usesradky SET cisrad = 117, oznaceni = 'P.   B.        III   13' WHERE idsesradky = 20097;
UPDATE usesradky SET cisrad = 118, oznaceni = 'P.   B.        III   14' WHERE idsesradky = 20098;
UPDATE usesradky SET cisrad = 119, oznaceni = 'P.   B.        III   15' WHERE idsesradky = 20099;
UPDATE usesradky SET cisrad = 124, oznaceni = 'P.   B.        III   20' WHERE idsesradky = 20101;
UPDATE usesradky SET cisrad = 120, oznaceni = 'P.   B.        III   16', nazev = '231 - Krátkodobé bankovní úvěry' WHERE idsesradky = 20102;
UPDATE usesradky SET cisrad = 122, oznaceni = 'P.   B.        III   18' WHERE idsesradky = 20106;
UPDATE usesradky SET cisrad = 111, oznaceni = 'P.   B.        III   7', nazev = '336 - Závazky ze sociálního zabezpečení a zdr.pojištění ' WHERE idsesradky = 20107;
UPDATE usesradky SET cisrad = 126, oznaceni = 'P.   B.        IV    1' WHERE idsesradky = 20108;
UPDATE usesradky SET cisrad = 127, oznaceni = 'P.   B.        IV    2' WHERE idsesradky = 20109;
UPDATE usesradky SET cisrad = 128, oznaceni = 'P.   B.        IV    3' WHERE idsesradky = 20110;
UPDATE usesradky SET cisrad = 102, oznaceni = 'P.   B.        II    6' WHERE idsesradky = 20111;
UPDATE usesradky SET cisrad = 1, nazev = 'A.                Dlouhodobý majetek celkem' WHERE idsesradky = 20112;
UPDATE usesradky SET cisrad = 9, nazev = 'A. I.            Dlouhodobý nehmotný majetek celkem ' WHERE idsesradky = 20113;
UPDATE usesradky SET cisrad = 20, nazev = 'A. II.          Dlouhodobý hmotný majetek celkem ' WHERE idsesradky = 20115;
UPDATE usesradky SET cisrad = 41, oznaceni = 'A.   A.        IV', nazev = 'A. V.              Oprávky k dlouhodobému majetku celkem ' WHERE idsesradky = 20116;
UPDATE usesradky SET cisrad = 28, nazev = 'A. III.        Dlouhodobý finanční majetek' WHERE idsesradky = 20117;
UPDATE usesradky SET cisrad = 42, nazev = 'B.      Krátkodobý majetek celkem' WHERE idsesradky = 20118;
UPDATE usesradky SET cisrad = 80, oznaceni = 'A.   B.        III    440-530', nazev = 'B. III.         Krátkodobý finanční majetek' WHERE idsesradky = 20119;
UPDATE usesradky SET cisrad = 51, nazev = 'B.  I.          Zásoby' WHERE idsesradky = 20120;
UPDATE usesradky SET cisrad = 71, oznaceni = 'A.   B.        II      540-690 minus 693 ', nazev = 'B II.           Pohledávky' WHERE idsesradky = 20121;
UPDATE usesradky SET cisrad = 84, nazev = 'B.IV.         Jiná aktiva celkem' WHERE idsesradky = 20122;
UPDATE usesradky SET cisrad = 85 WHERE idsesradky = 20124;
UPDATE usesradky SET cisrad = 86, nazev = 'A.                Vlastní zdroje' WHERE idsesradky = 20125;
UPDATE usesradky SET cisrad = 90, nazev = 'A.  I.               Jmění' WHERE idsesradky = 20126;
UPDATE usesradky SET cisrad = 94, nazev = 'A.  II.              Hospodářský výsledek' WHERE idsesradky = 20127;
UPDATE usesradky SET cisrad = 95, nazev = 'B.                      Cizí zdroje' WHERE idsesradky = 20128;
UPDATE usesradky SET cisrad = 129, oznaceni = 'P.   B.        IV', nazev = 'B.  IV.          Jiná pasiva' WHERE idsesradky = 20129;
UPDATE usesradky SET cisrad = 125, oznaceni = 'P.   B.        III   ', nazev = 'B.  III.          Krátkodobé závazky' WHERE idsesradky = 20130;
UPDATE usesradky SET cisrad = 142, oznaceni = 'P.   B.        II', nazev = 'B. II.            xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' WHERE idsesradky = 20131;
UPDATE usesradky SET cisrad = 104, oznaceni = 'P.   B.        II', nazev = 'B.  II.                     Dlouhodobé závazky' WHERE idsesradky = 20132;
UPDATE usesradky SET cisrad = 130, nazev = 'Ú H R N   P A S I V  ř. 85 + 94' WHERE idsesradky = 20134;
UPDATE usesradky SET cisrad = 131 WHERE idsesradky = 20135;
UPDATE usesradky SET cisrad = 132 WHERE idsesradky = 20136;
UPDATE usesradky SET cisrad = 2 WHERE idsesradky = 20137;
UPDATE usesradky SET cisrad = 3 WHERE idsesradky = 20138;
UPDATE usesradky SET cisrad = 4 WHERE idsesradky = 20139;
UPDATE usesradky SET cisrad = 5 WHERE idsesradky = 20140;
UPDATE usesradky SET cisrad = 7 WHERE idsesradky = 20141;
UPDATE usesradky SET cisrad = 8 WHERE idsesradky = 20142;
UPDATE usesradky SET cisrad = 9 WHERE idsesradky = 20143;
UPDATE usesradky SET cisrad = 11 WHERE idsesradky = 20144;
UPDATE usesradky SET cisrad = 13 WHERE idsesradky = 20145;
UPDATE usesradky SET cisrad = 14 WHERE idsesradky = 20146;
UPDATE usesradky SET cisrad = 15 WHERE idsesradky = 20147;
UPDATE usesradky SET cisrad = 16 WHERE idsesradky = 20148;
UPDATE usesradky SET cisrad = 17 WHERE idsesradky = 20149;
UPDATE usesradky SET cisrad = 19, oznaceni = 'IV.  1' WHERE idsesradky = 20150;
UPDATE usesradky SET cisrad = 20, oznaceni = 'IV.  2' WHERE idsesradky = 20151;
UPDATE usesradky SET cisrad = 21, oznaceni = 'IV.  3' WHERE idsesradky = 20152;
UPDATE usesradky SET cisrad = 23, oznaceni = 'V.   1' WHERE idsesradky = 20153;
UPDATE usesradky SET cisrad = 24, oznaceni = 'V.   2' WHERE idsesradky = 20154;
UPDATE usesradky SET cisrad = 25, oznaceni = 'V.   3' WHERE idsesradky = 20155;
UPDATE usesradky SET cisrad = 26, oznaceni = 'V.   5' WHERE idsesradky = 20156;
UPDATE usesradky SET cisrad = 27, oznaceni = 'V.   6' WHERE idsesradky = 20157;
UPDATE usesradky SET cisrad = 28, oznaceni = 'V.   7' WHERE idsesradky = 20158;
UPDATE usesradky SET cisrad = 29, oznaceni = 'V.   8' WHERE idsesradky = 20159;
UPDATE usesradky SET cisrad = 30, oznaceni = 'V.   9' WHERE idsesradky = 20160;
UPDATE usesradky SET cisrad = 32, oznaceni = 'VI.  1' WHERE idsesradky = 20161;
UPDATE usesradky SET cisrad = 33, oznaceni = 'VI.  2' WHERE idsesradky = 20162;
UPDATE usesradky SET cisrad = 34, oznaceni = 'VI.  3' WHERE idsesradky = 20163;
UPDATE usesradky SET cisrad = 35, oznaceni = 'VI.  4' WHERE idsesradky = 20164;
UPDATE usesradky SET cisrad = 36, oznaceni = 'VI.  5' WHERE idsesradky = 20165;
UPDATE usesradky SET cisrad = 37, oznaceni = 'VI.  6' WHERE idsesradky = 20166;
UPDATE usesradky SET cisrad = 39, oznaceni = 'VII. 1' WHERE idsesradky = 20167;
UPDATE usesradky SET cisrad = 40, oznaceni = 'VII. 2' WHERE idsesradky = 20168;
UPDATE usesradky SET cisrad = 44 WHERE idsesradky = 20169;
UPDATE usesradky SET cisrad = 45 WHERE idsesradky = 20170;
UPDATE usesradky SET cisrad = 46 WHERE idsesradky = 20171;
UPDATE usesradky SET cisrad = 48, nazev = '611 - Změna stavu zásob nedokončené výroby' WHERE idsesradky = 20172;
UPDATE usesradky SET cisrad = 49 WHERE idsesradky = 20173;
UPDATE usesradky SET cisrad = 50 WHERE idsesradky = 20174;
UPDATE usesradky SET cisrad = 51 WHERE idsesradky = 20175;
UPDATE usesradky SET cisrad = 53, nazev = '621 - Aktivace' WHERE idsesradky = 20176;
UPDATE usesradky SET cisrad = 54 WHERE idsesradky = 20177;
UPDATE usesradky SET cisrad = 55 WHERE idsesradky = 20178;
UPDATE usesradky SET cisrad = 56 WHERE idsesradky = 20179;
UPDATE usesradky SET cisrad = 58 WHERE idsesradky = 20180;
UPDATE usesradky SET cisrad = 59 WHERE idsesradky = 20181;
UPDATE usesradky SET cisrad = 60 WHERE idsesradky = 20182;
UPDATE usesradky SET cisrad = 61 WHERE idsesradky = 20183;
UPDATE usesradky SET cisrad = 62 WHERE idsesradky = 20184;
UPDATE usesradky SET cisrad = 63 WHERE idsesradky = 20185;
UPDATE usesradky SET cisrad = 64 WHERE idsesradky = 20186;
UPDATE usesradky SET cisrad = 66 WHERE idsesradky = 20187;
UPDATE usesradky SET cisrad = 67 WHERE idsesradky = 20188;
UPDATE usesradky SET cisrad = 68 WHERE idsesradky = 20189;
UPDATE usesradky SET cisrad = 69 WHERE idsesradky = 20190;
UPDATE usesradky SET cisrad = 70 WHERE idsesradky = 20191;
UPDATE usesradky SET cisrad = 71 WHERE idsesradky = 20192;
UPDATE usesradky SET cisrad = 72 WHERE idsesradky = 20193;
UPDATE usesradky SET cisrad = 74 WHERE idsesradky = 20194;
UPDATE usesradky SET cisrad = 75 WHERE idsesradky = 20195;
UPDATE usesradky SET cisrad = 76 WHERE idsesradky = 20196;
UPDATE usesradky SET cisrad = 77 WHERE idsesradky = 20197;
UPDATE usesradky SET cisrad = 80 WHERE idsesradky = 20198;
UPDATE usesradky SET cisrad = 41, oznaceni = 'VIII.' WHERE idsesradky = 20199;
UPDATE usesradky SET cisrad = 42 WHERE idsesradky = 20200;
UPDATE usesradky SET cisrad = 78 WHERE idsesradky = 20201;
UPDATE usesradky SET cisrad = 79 WHERE idsesradky = 20202;
UPDATE usesradky SET cisrad = 81 WHERE idsesradky = 20203;
UPDATE usesradky SET cisrad = 82 WHERE idsesradky = 20204;
UPDATE usesradky SET cisrad = 73, oznaceni = 'A.   B.        III  2' WHERE idsesradky = 20205;
UPDATE usesradky SET cisrad = 1 WHERE idsesradky = 20206;
UPDATE usesradky SET cisrad = 6 WHERE idsesradky = 20207;
UPDATE usesradky SET cisrad = 12, oznaceni = 'III.  ' WHERE idsesradky = 20209;
UPDATE usesradky SET cisrad = 18, oznaceni = 'IV.  ' WHERE idsesradky = 20210;
UPDATE usesradky SET cisrad = 22, oznaceni = 'V.   ' WHERE idsesradky = 20211;
UPDATE usesradky SET cisrad = 31, oznaceni = 'VI.    ' WHERE idsesradky = 20212;
UPDATE usesradky SET cisrad = 38, oznaceni = 'VII.' WHERE idsesradky = 20213;
UPDATE usesradky SET cisrad = 43 WHERE idsesradky = 20214;
UPDATE usesradky SET cisrad = 47 WHERE idsesradky = 20215;
UPDATE usesradky SET cisrad = 52 WHERE idsesradky = 20216;
UPDATE usesradky SET cisrad = 57 WHERE idsesradky = 20217;
UPDATE usesradky SET cisrad = 65 WHERE idsesradky = 20218;
UPDATE usesradky SET cisrad = 73 WHERE idsesradky = 20219;
UPDATE usesradky SET cisrad = 79, oznaceni = 'A.   B.        III  8' WHERE idsesradky = 20220;
UPDATE usesradky SET cisrad = 56, oznaceni = 'A.   B.        II   5' WHERE idsesradky = 20221;
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, nazevb, zjednodusena, poznam, popis, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (20222, '2012-04-11 00:00:00.000', 121, 'P.   B.        III   17', '232 - Eskontní úvěry', '951 - Bankovní úvěry', false, 'nový', '10.PASIVA', 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 201);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (20223, '2012-04-24 00:00:00.000', 69, 'A.   B.        II   19', '388 - Dohadné účty aktivní', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 201);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (20224, '2012-04-24 00:00:00.000', 97, 'P.   B.        II    1', '951 - Dlouhodobé bankovní úvěry', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 201);

-- sumace
UPDATE usessumace SET idsesradky = 20116 WHERE idsessumace = 20013;
UPDATE usessumace SET idsesradky = 20116 WHERE idsessumace = 20014;
UPDATE usessumace SET idsesradky = 20116 WHERE idsessumace = 20015;
UPDATE usessumace SET idsesradky = 20116 WHERE idsessumace = 20016;
UPDATE usessumace SET idsesradky = 20116 WHERE idsessumace = 20017;
UPDATE usessumace SET idsesradkysum = 20080 WHERE idsessumace = 20096;
UPDATE usessumace SET idsesradkysum = 20224 WHERE idsessumace = 20332;
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20336, '2012-03-29 00:00:00.000', false, 20200, 20199);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20337, '2012-04-11 00:00:00.000', false, 20132, 20111);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20338, '2012-04-11 00:00:00.000', false, 20130, 20107);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20339, '2012-04-11 00:00:00.000', false, 20130, 20102);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20340, '2012-04-11 00:00:00.000', false, 20130, 20222);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20341, '2012-04-11 00:00:00.000', false, 20130, 20106);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (20342, '2012-04-11 00:00:00.000', false, 20130, 20073);
DELETE FROM usessumace WHERE idsessumace = 20002;
DELETE FROM usessumace WHERE idsessumace = 20198;
DELETE FROM usessumace WHERE idsessumace = 20130;
DELETE FROM usessumace WHERE idsessumace = 20121;
DELETE FROM usessumace WHERE idsessumace = 20125;
DELETE FROM usessumace WHERE idsessumace = 20126;

-- smazeme radku az po uprave sumaci
DELETE FROM usesradky WHERE idsesradky = 20114;

-- predpisy
UPDATE usesstdpred SET jenkladne = true WHERE idsesstdpred = 20052;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.aktivni', prevratznam = false WHERE idsesstdpred = 20063;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.pasivni', prevratznam = true, idstducet = (select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_389') WHERE idsesstdpred = 20075;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.pasivni', prevratznam = true WHERE idsesstdpred = 20101;
UPDATE usesstdpred SET idstducet = (select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_231') WHERE idsesstdpred = 20104;
UPDATE usesstdpred SET prevratznam = true WHERE idsesstdpred = 20108;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.pasivni', prevratznam = true, jenkladne = true, idstducet = (select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_336') WHERE idsesstdpred = 20109;
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (20199, '2012-03-28 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 20222, (select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_232'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (20200, '2012-04-24 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 20223, (select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_388'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (20201, '2012-04-24 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 20224, (select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_951'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (20202, '2012-04-24 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 20101, (select IdStdUcet from uStdUcty where uuid = 'CZ_NEZ_249'));

  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 612, 't', %appVersion%, clock_timestamp());
