--------------------------------------------------------------------------------
-- Bug 41467 - Daňové zvýhodnění na děti ZTP/P má být dvojnásobné
-- Bug 41542 - Flexibee mzdy - krácení dovolené při ukončení PP v lednu
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
    exist_changes boolean;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
  
-- zacatek ceskeho bloku
-- inicializace
UPDATE pmzdcalcinit SET polein = 'odpocetDetiZtp;odpocetDite1Ztp;odpocetDite2Ztp', poleout = 'castkaDen;dnySvatek;hodinySvatek' WHERE idmzdcalcinit = 193;

-- radky
UPDATE pmzdcalc SET popis = 'Pokud je měsíc 0 připravíme si k přičtení 13, aby jsme byli na prosinci', koeficient2 = 13.0 WHERE idmzdcalc = 1555;
UPDATE pmzdcalc SET koeficient3 = 0.0 WHERE idmzdcalc = 1557;
UPDATE pmzdcalc SET popis = 'Pokud je měsíc 0 připravíme si k přičtení 13, aby jsme byli na prosinci', koeficient2 = 13.0 WHERE idmzdcalc = 2415;
UPDATE pmzdcalc SET koeficient3 = 0.0 WHERE idmzdcalc = 2417;
UPDATE pmzdcalc SET popis = 'Pokud je měsíc 0 připravíme si k přičtení 13, aby jsme byli na prosinci', koeficient2 = 13.0 WHERE idmzdcalc = 3412;
UPDATE pmzdcalc SET koeficient3 = 0.0 WHERE idmzdcalc = 3414;
UPDATE pmzdcalc SET popis = 'Pokud je měsíc 0 připravíme si k přičtení 13, aby jsme byli na prosinci', koeficient2 = 13.0 WHERE idmzdcalc = 4420;
UPDATE pmzdcalc SET koeficient3 = 0.0 WHERE idmzdcalc = 4422;
UPDATE pmzdcalc SET popis = 'Pokud je měsíc 0 připravíme si k přičtení 13, aby jsme byli na prosinci', koeficient2 = 13.0 WHERE idmzdcalc = 5446;
UPDATE pmzdcalc SET koeficient3 = 0.0 WHERE idmzdcalc = 5448;
UPDATE pmzdcalc SET koeficient = 1.0, koeficient3 = 1.0, polein = 'castkaDen;dnySvatek;hodinySvatek', polein2 = '1417;-300;-100', poleout = 'castMzd;castMzd;castMzd', idmzdslozin2 = 251 WHERE idmzdcalc = 6366;
UPDATE pmzdcalc SET popis = 'Pokud je měsíc 0 připravíme si k přičtení 13 - první nekompletní je až za tímto rokem', koeficient2 = 13.0 WHERE idmzdcalc = 6452;
UPDATE pmzdcalc SET koeficient3 = 0.0 WHERE idmzdcalc = 6454;

-- parametry pomeru
-- hromadne

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

alter table ppracestred alter column hodin type numeric(6,2);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
   values (nextval('seq_dbversion'), 888, 't', %appVersion%, clock_timestamp());
