--Bug 41764 - Změnit status účtu 346 na aktivní/pasivní dle výsledku

--# Organizace CZ_POD
CREATE OR REPLACE FUNCTION nastavProOrgCzPodnikatele()
RETURNS void AS $$
DECLARE
 legislativa varchar(20);
 kodTypOrg varchar(20);
BEGIN
  legislativa := (select kod from astaty where idstatu = (select idstatuleg from nnastav order by coalesce(platioddata, '1900-01-01') desc limit 1));
  kodtyporg := (select kod from utyporg where idtyporg = (select idtyporg from nnastav order by coalesce(platioddata, '1900-01-01') desc limit 1));
  
  IF (legislativa = 'CZ' and kodtyporg = 'PODNIKATELE') THEN   

    update ustducty set druhuctuk = 'druhUctu.aktpasvy' where uuid  = 'CZ_POD_346';
    
    --pridat predpis pro radek 54
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (453, '2015-03-23 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 39, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_346')); 
     
    --aktualizovat predpis pro radek 113
    update usesstdpred set jenkladne=true where idsesstdpred = 186;

   END IF;
   RETURN;
 END;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION nastavProOrgCzPodnikatele() OWNER TO %firmaRole%;
 
 
select nastavProOrgCzPodnikatele();
drop function nastavProOrgCzPodnikatele();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
    values (nextval('seq_dbversion'), 906, 't', %appVersion%, clock_timestamp());


--# Organizace CZ_NEZ
--zkontrolovano


--# Organizace CZ_ROZ
--sestava se vyrazne lisi

--# Organizace SK_POD
-- zkontrolovano

