-------------------------------------------------------------------------
-- Bug 43934 - Nový kód přenesené daňové povinnosti - 3
-------------------------------------------------------------------------
create or replace function runupgrade()
    returns void as $$
declare
    stat character varying;
    cnt integer;
begin
    select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
        where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
    
    if (stat = 'CZ_CZ') then
        cnt := (select count(*) from udphpren where kod = '3');
        if (cnt = 0) then
            insert into udphpren (kod, nazev, omezPrenDanPovK, platiod, platido, uuid)
            values ('3', '§ 92d – dodání nemovité věci','omezPrenDanPov.bezOmezeni', 2016, 9999, 'CZ_§92_3_2016');
        else
            update udphpren set nazev = '§ 92d – dodání nemovité věci', omezPrenDanPovK = 'omezPrenDanPov.bezOmezeni', 
                platiod = 2016, platido = 9999, uuid = 'CZ_§92_3_2016' where kod = '3';
        end if;
    end if;
 end;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();
-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 956, 't', %appVersion%, clock_timestamp());