<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" xmlns:diffgr="urn:schemas-microsoft-com:xml-diffgram-v1" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" >

  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="StavySkladu">
    <winstrom version="1.0">
	<adresar update="ignore">
		<id>ext:ATC-ADR:ATComp</id>
		<id>code:AT_COMP</id>
		<kod>AT_COMP</kod>
		<nazev>AT Computers, a.s.</nazev>
	</adresar>
    <xsl:apply-templates select="Zbozi"/>
    </winstrom>
  </xsl:template>

<!--
    
-->

  <xsl:template match="Zbozi">
	<dodavatel>
		<id>ext:ATC-ADR:<xsl:value-of select="@kod"/></id>
		<firma>[code:AT_COMP][ext:ATC-ADR:ATComp]</firma>
		<cenik>ext:ATC-CENIK:<xsl:value-of select="@kod"/></cenik>
		<stavMJ><xsl:value-of select="@pocet"/></stavMJ>
    	</dodavatel>
  </xsl:template>
</xsl:stylesheet>
