<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java">
    <xsl:output method="xml" indent="yes"  encoding="utf-8"/>

    <xsl:template match="items2stock">
	<winstrom version="1.0">
	<xsl:for-each select="row[not(@item_id=preceding-sibling::row/@item_id)]">
	    <cenik create="fail">
		<id>ext:AWIS-ITEMS-<xsl:value-of select="java:flexibee.Tool.toUpper(java:flexibee.Tool.params('terminal-store'))"/>:<xsl:value-of select="@item_id"/></id>

		<sady-a-komplety removeAll="true">
                        <xsl:apply-templates select="//items2stock/row[@item_id = current()/@item_id]" />
		</sady-a-komplety>
	    </cenik>
	</xsl:for-each>
	</winstrom>
    </xsl:template>

    <xsl:template match="row">
	<xsl:if test="@quantity &gt; 0">
	<sady-a-komplety>
	    <id>ext:AWIS-ITEMS2STOCK-<xsl:value-of select="java:flexibee.Tool.toUpper(java:flexibee.Tool.params('terminal-store'))"/>:<xsl:value-of select="@item_id"/>-<xsl:value-of select="@stock_id"/></id>
	    <mnozMj><xsl:value-of select="@quantity"/></mnozMj>
<!--	    <cenikSada>ext:AWIS-ITEMS-<xsl:value-of select="java:flexibee.Tool.toUpper(java:flexibee.Tool.params('terminal-store'))"/>:<xsl:value-of select="@item_id"/></cenikSada> -->
	    <cenik>ext:AWIS-STOCK-<xsl:value-of select="java:flexibee.Tool.toUpper(java:flexibee.Tool.params('terminal-store'))"/>:<xsl:value-of select="@stock_id"/></cenik>
	</sady-a-komplety>
	</xsl:if>

    </xsl:template>

</xsl:stylesheet>