<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java">
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

    <xsl:template match="winstrom">
	<winstrom>
	    <xsl:apply-templates select="*"/>
	</winstrom>
    </xsl:template>

    <!--
    PLU_ID
    BARCODE
    NAME
    DESC
    SOLE
    PRINT_STOCK
    NEG
    FRAC
    UNIT_ID
    DPT_ID
    SALE
    HALO
    TAX_ID
    LPLU1
    PRICE
    STOCK
    NUMBER
    AMOUNT
    -->

    <xsl:template match="//winstrom/*">
	<cenik>
            <id>plu:<xsl:value-of select="PLU_ID"/></id>
            <xsl:if test="BARCODE != ''">
                <id>ean:<xsl:value-of select="EAN"/></id>
                <eanKod><xsl:value-of select="BARCODE"/></eanKod>
            </xsl:if>
	    <kodPlu><xsl:value-of select="PLU_ID"/></kodPlu>
	    <nazev><xsl:value-of select="NAME"/></nazev>
            <xsl:if test="DESC != ''">
                <popis><xsl:value-of select="DESC"/></popis>
            </xsl:if>
            <UNIT_ID></UNIT_ID> <!-- TODO -->
            <DPT_ID></DPT_ID> <!-- TODO -->
            <TAX_ID></TAX_ID> <!-- TODO -->
            <cenaZakl><xsl:value-of select="PRICE"/></cenaZakl>
	</cenik>
    </xsl:template>

</xsl:stylesheet>