<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" >

  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="winstrom">
    <winstrom version="1.0">
      <xsl:apply-templates select="*"/>
    </winstrom>
  </xsl:template>


    <!--
<row>
	<UCET>032001</UCET>
	<ROK>2012</ROK>
	<MD>23800</MD>
	<DAL>0</DAL>
</row>
-->

  <xsl:template match="*">
    <obrat>
		<uzivNastav>true</uzivNastav>
		<mena>code:CZK</mena>
		<ucetniObdobi>code:<xsl:value-of select="ROK"/></ucetniObdobi>
		<ucet>code:<xsl:value-of select="UCET"/></ucet>
		<obdobi>0</obdobi>
		<stredisko>code:C</stredisko>
		<rok><xsl:value-of select="ROK"/></rok>
        <obrDal><xsl:value-of select="java:flexibee.Tool.parseMoney(java:flexibee.Tool.round(DAL, '2'))"/></obrDal>
        <obrMd><xsl:value-of select="java:flexibee.Tool.parseMoney(java:flexibee.Tool.round(MD, '2'))"/></obrMd>
    </obrat>
  </xsl:template>
</xsl:stylesheet>
